-- $Id: gondolin-craftsmaster.lua 3279 2018-03-09 04:36:28Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2018 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

store_util.set_prices(npc.owner, player, {
  ench_weapon = {750, 700, 150},
  ench_armor = {750, 700, 150},
})

newChat {
  id = 'welcome',
  text = [[#LIGHT_GREEN#*A dark-haired High-Elf, more muscular than is usual, is shaping what appears to be a glowing hot ring on his anvil.  He looks up as you enter.*#LAST#
Ah, you have caught me working on one of my own projects.  But it is no pressing matter.  #LIGHT_GREEN#*He sets the ring aside*#LAST#  You look as though you need some smithing work done on your gear.]],
  answers = {
    {
      'Can you improve my weapon?' .. store_util.cost_sfx('ench_weapon'),
      cond = function(npc, player)
	local function cb(inv, o) return inv.worn and o.type == 'weapon' end
	return store_util.has_gear(player, cb)
      end,
      action = function(npc, player, dlg)
	local function cb(inv, o) return inv.worn and o.type == 'weapon' end
	return store_util.enchant_item(player, dlg, cb, { 'weapon', 'weapons' }, prices.ench_weapon, 'enchant', npc.owner.name)
      end,
    },
    {
      'Can you improve my armor?' .. store_util.cost_sfx('ench_armor'),
      cond = function(npc, player)
	local function cb(inv, o) return inv.worn and o.type == 'armor' end
	return store_util.has_gear(player, cb)
      end,
      action = function(npc, player, dlg)
	local function cb(inv, o) return inv.worn and o.type == 'armor' end
	return store_util.enchant_item(player, dlg, cb, { 'armor', 'armor' }, prices.ench_armor, 'enchant', npc.owner.name)
      end,
    },
    { 'Nah, sorry to interrupt.  You can get back to your ring. [leave]' },
  },
}

newChat {
  id = 'enchant',
  text = [[Well, that didn't work.  This store must be broken.]],
  answers = {
    { 'Ohh...kay, then. [leave]' }
  },
}

return 'welcome'
