-- $Id: gondolin-earth-dome.lua 3278 2018-03-09 04:13:23Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2018 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

store_util.set_prices(npc.owner, player, {
  heal = {32000, 10000, 0},
})

newChat {
  id = 'welcome',
  text = [[#LIGHT_GREEN#*A short white-haired High-Elf wearing a surgical-style mask and leather gloves is chopping up what look to be dried athelas leaves with a large knife.  She glances up as you enter.*#LAST#
You got the Black Breath, then?  Hard to tell in the early stages, I suppose, but you'd probably know if you've been stabbed by a Nazgûl recently.  If ya ain't got Black Breath, well, this stuff'll still do you some good.  No discount, though.]],
  answers = {
    {
      'Yes, some herbs, please. #YELLOW#(heal 200hp, cure poison/blind/confusion/cut/stun/Black Breath)#LAST#' .. store_util.cost_sfx('heal'),
      cond = store_util.can_afford('heal'),
      action = function(npc, player)
	player:removeEffect(player.EFF_BLACK_BREATH)
	-- This will deduct the gold for us.
	store_util.healing(npc, player)
      end,
    },
    { "Yikes, that's pricey. [leave]" },
  },
}

return 'welcome'
