-- $Id: khazad-dum-destroyed.lua 3140 2017-10-16 00:05:49Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

defineTile('^', 'MOUNTAIN_CHAIN', nil, nil, nil, { remember=true, lite=true })
defineTile('C', 'DARK_PIT', nil, nil, nil, { remember=true, lite=true })
defineTile(';', 'RUBBLE', nil, nil, nil, { remember=true, lite=true })
defineTile('#', 'PERMA_WALL', nil, nil, nil, { remember=true, lite=true })
defineTile('o', 'ROCKY_GROUND', nil, nil, nil, { remember=true, lite=true })
defineTile('A', 'ASH', nil, nil, nil, { remember=true, lite=true })
defineTile('F', 'A_BLAZING_FIRE', nil, nil, nil, { remember=true, lite=true })
defineTile('R', 'RUBBLE', nil, nil, nil, { remember=true, lite=true })

-- "Transparent" areas, passing through the previously generated tile from
-- PlasmaWilderness.
--defineTile(' ')

-- '@' tiles, also being undefined, will also pass through PlasmaWilderness
-- tiles; we use them for the border instead of ' ' purely for cosmetic
-- reasons, as spaces would be hard to see on the borders.
return [[
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@ooooooooooooo####^^^^^^^^^#######^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^#####oooo#######oo######^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^##########oooooooooo     CCCCCCC             @
@ooo##ooooooooo#####^^^^^##########^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^########ooo########ooo##########^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^################oooooooooooo     CCCCCCCC           @
@#oo###oo####oo##############################^^^^^^^^^^^^^^^^^########################oooo#########oo####  ###########^^^^^^^^^^^^^^^^^^^^^^^^#######    #######oooo##########     CCCCCCCC          @
@#############o#########oo###oo###################^^^^^^^############################oooo#########oo######       #################################   #####ooooooooo#############     CCCCCCCC      ; @
@^^^^########oooooooooooooo##ooooooooo#############################  #################oooo########oo###########     ##########################     ######ooooooooo################     CCCCCCCC ;    @
@############ooooooooooooooooooooooooooo######  ########### ######  ############## ####oooo#######o##o#############    ###################    ###########ooo########################     CCCCCCCC  ; @
@^#############ooooo##################oo### # #### # #####   #### ###############   ###ooo########ooo##   ##   ######  #   ##   ##   ##      # #######ooooo###########################     CCCCCCCC  @
@^^################oo#################ooooo####       ## ;                     ##   ;;  o        ; o       ##                                   # ooooooooo############################     CCCCCCCC @
@^^^^################o##########o#####oooooooooooooooooooooo                   AAAAAAAA #          o               ;           oooooooooooooooooooooooo##ooo############################     CCCCCCC @
@^^^^^^################################# ##   ;            o             ;    AAFFFFFAA A          o        ;                  o                   R#o###################################     CCCCCCC@
@^^^^^^################################          ###       o           ###     AAFFFFAAAA    ##    o               ###;        o         ##A      ########################################     CCCCCC@
@^^^^^#################################          ###       o     ###  ### ##   AAFFFFFAAo    ###   o                ###        o        #AAFFA     RR######################################    CCCCCC@
@^^^^^^^################################       ###### ;;   o       #########   AAAFFFFFAo  ######  o              ## ###       o       ## #AFA      #R##################################### ;  CCCCCC@
@^^^^^^^^################################ #    ## ####     o    ;    ## # #     AAAAAAAAA  ####### #             ####  #       o       ## ###FF#  ###R#R##################################    CCCCCC @
@^^^^^^^###################################     ## ##      o      ;  ;### #         AAAAo   # #  ##o              # ##     ;   o        # ##FF  ;#R##RR#################################    CCCCCCC  @
@^^^^^^^^^################################       ##  AAAAAAAA          ###              o    ###   o               # #         o         ##       # #R##################################    CCCCCC ; @
@^^^^^^^^^#################################         AAFFFFFFAA                          o          o                           o                  #R ##################################    CCCCCC    @
@^^^^^^^^^^################################       ; AAFFFFFFFAAoooooooo                 o          o                oooooooooooo       AAAA         R#################################    CCCCCC   ; @
@^^^^^^^^^^^^^###########################           AAAFFFFFAA        o                 o          o                o                 FFFFF A       #################################    CCCCCCC     @
@^^^^^^^^^^^^^^^##########################     AAAAAAAAAAAAAAFF       o           ### # o          o   ;###         o         ###  #   AF FAA      #R##############################    CCCCCCC     ; @
@^^^^^^^^^^^^#############################     AFFFAA       #####;    o          # ##   o          o   # ###        o        #   #   #  FF      ; ###############################;   CCCCCCC    ;    @
@^^^^^^^^^###############################      AAFFFA;    ## ## #     o         #### ## o   ;      o  #######       o         ### #A   AAA          ############################    CCCCCCC          @
@^#########################################      AFAA;    ##  ###     oooooooo  #### # #o          o  ######   oooooo       ###AAFF o          ;   R#############################;   CCCCCCC         @
@################ooo######################        AA    ;  ### #             o   #  ##  o          o   #####   o             ## AFFA#              RR#############oo##############     CCCCC;        @
@###oo##ooo#####o#######o###ooo###########                   ##   ;          o    ##    o          o    ###    o       ;      ###FFAA ;;          R########oo###oooooo#####oo######     CCCCC      ; @
@ooooooooooooooooooooooooooooooo##oooooooo                               ;   o    ;     o          o           o   ;              # ;;          ; oooooooooooo##oooooooo##oooooooooo     CCCCC  ;    @
@ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooAAAFooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo     CCCCCC      @
@oooooooooooooooooo##oooooo##oooooo##ooooo                     AA         ;             o          o      AA FFA                               ;  Roooooooo#oooooooooooooooooooooooo     CCCCC       @
@^#######################oo####ooooo#######     #####            FFAFA # #              o          o           AFFF###                    #       ######o####oo####oo######oo######;    CCCCC        @
@^^#######################o###########           ####             AAFFFAA#              oA         o           A FA## # ##              ## ##    RR####o####################oo####     CCCCC         @
@^#######################################      ## ### ;;   ;       AAFFAA#####          oA         FFFAA         ### ###               ## ####    R####oo#########################     CCCCCC        @
@^^########################################    #######          ;    #A#####            oA         o             #  ####  #              # ###    RRR###o############oo##########     CCCCCCC        @
@^^^###############ooo###################       ### #             ;  ;#  ##             oA      AA o  FA          #####    ;            ### ##  ;; R#####oo########ooooo#######     CCCCCCCC         @
@####oo##oo#####oooooooo##############oo##       ###       ;           ####             o  AA      o F A           ###                   ###      R#######oooo##oooooo#######     CCCCCCCCC        ; @
@ooooooooooo###ooooooooooooooooooooooooooo                                            # o    A     oF                                         #   ooooooooooooooooooooooooooo     CCCCCCCC           @
@ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooFoooFooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo     CCCCCCCC           ; @
@^ooooooooooooooooo###oooooooooo##oooooooo                                   o         #o     A    o            o  AA        #                    ooooooo####ooooooooooooo     CCCCCCCC              @
@^^#o###ooo#####ooo#####ooooo########oo#                    # #       ;      o    ###   o      A  Fo   ;###     o    A        ###                  oR#########ooooo###oo#     CCCCCCCC             ; @
@^^^^^###o################oo#############                  # # # ;           o   ###### #       AF o    ## #    o             ####              ;  R###########oo########     CCCCCCCC          ;    @
@^^^^^^^##################################R          ;      ####       ooooooo  #####   o   ;    A o  ######    ooooo A     #######               ########################    CCCCCCCCC              @
@^^^^^^^^^^##############################RR        AA;    ## #####     o ;      ####### o         Ao   ###  #       o  FFF  # ##  # o          ; #R########################    CCCCCCCC              @
@^^^^^^^^^^^^^^^#########################  R   AA  FF A ;  ## ##       o          ####  o          A   #####        o    AFF ### #              ############################    CCCCCCCC    ;        @
@^^^^^^^^^^^^^^^^^^^###################RR       AAAFFFAA    ##    ;    o          ###   o          o    # #         o  ;    A ###   ; ;;         RR##########################    CCCCCCCC            @
@^^^^^^^^^^^^^^^^^^^#################### R      AAAFFFAA ;             o            ;;  o        ; o                o        A              ;     R###########################    CCCCCCCC         ; @
@^^^^^^^^^^^^^^^^^^######################R        AAFFA A    ooooooooooo                o          o                oooooooooooo    ;;          ;R ############################    CCCCCCCC     ;    @
@^^^^^^^^^^^^^^^^^^^^^^#################RRR   ;     AFFA     o           ;     ;        o          o        ;             A    o                   R############################    CCCCCCCC         @
@^^^^^^^^^^^^^^^^^^^^^^^^##############R         ###         o         # #              o    ###   o               ###;   FF A o         ####    RR############################    CCCCCCCCCC        @
@^^^^^^^^^^^^^^^^^^^^^^^^^############RRR       ### #        o AAA A  # ###             o    ## #  o              # # #  AAFF Ao        #   ##    R   ########################    CCCCCCCCCCC        @
@^^^^^^^^^^^^^^^^^^^^^^^^^^##########R R       ### # #;;   ; o  AAAA ## ####            o  ## #### o             ### ###    FFAo       #######     R###########################    CCCCCCCCCCC       @
@^^^^^^^^^^^^^^^^^^^^^^^^^^##########RR        ## ###        o  ;A A #### ##   A  A     o  ### # # o             # ## ###  AAF AA        #######   ############################    CCCCCCCCCCC       @
@^^^^^^^^^^^^^^^^^^^^^^^^^###########            ###         o    ;  ;## ##     AAA     o   # ###  o              #####    ;  FFAA      ####    ; ##############################    CCCCCCCCCCC      @
@^^^^^^^^^^^^^^^^^^^^^^^############## R         ###       ; o          ##      AAAA    o    # #   o         A      ##       A oFA       ###      R##############################    CCCCCCCCCCC   ; @
@^^^^^^^^^^^^^^^^^^^^^^#################R                    o                   A     AoAA     A Ao   A A AAAAA               FFF               R#########oo###oo#################    CCCCCCCCCC    @
@^^^^^^^^^^^^^^^^^^#############o#######oooooooooooooooooooooo            ##       AA A o    A A   A  AR AAFFFAFA              oooooooooooooooooRoooooooooooooooooo##################    CCCCCCCC  ; @
@^^^^^^^^^^^^^^^^^############ooooooooooo#     ###  RRR      RR         # ### RR   R    o  RR##     AAR F FFA#FF A AA    FFFFRR   R    ##      R  oooooo##oooooooooo###################    CCCCCCC   @
@^^^^^^^^^^^#################ooooooooooo####R######R ##    RR###   ######### ###RR####o  RR##### #ooo# ### R#F#F#RRRR   A  FF##R#R    ##### ####################ooo#####################    CCCCCCC  @
@^^^^^^^^^^###################oo######oo###  ###########  ######## ## #### ###########oooo########ooo ##########R#A##A A  ######R#  ######  ####################oo######################    CCCCCCC  @
@^^^^^^^##########oo####oo####ooo#########  ############  #########  ###^^^ #########ooooo########oo##################A###################    #########^######oooo##ooo##################    CCCCCCC @
@#^^^^^#########oooooooooooooooo#################^^#######  ###########^^^^^###########ooooo######ooo#######################################     #####^^^#######ooooooooooooo#############  ; CCCCCCC@
@^^^##########ooooooooooo##ooooo######^#########^^^^##################^^^^^^^^^^^######ooo#######oooo#########^^^^^^^^^^^^^^^^^^^###########       #####^^^#######oo##oooooooo#############    CCCCCC@
@#############ooooo##########oo######^^^#####^^^^^^^^###############^^^^^^^^^^^^^^#####oooo#######ooo######^^^^^^^^^^^^^^^^^^^^^^^^^^^^######      ####^^^^^###############ooo##############    CCCCC@
@#######ooo#####oo##################^^^^^^^^^^^^^^^^^#############^^^^^^^^^^^^^^^^^####oo########oooo#####^^^^^^^^^^^^^^^^^^^^^^^^^^^###########   #######^^^^^#############ooo#ooo########    CCCCCC@
@o##oooooooooooooooo##############^^^^^^^^^^^^^^^^^^^^^^#########^^^^^^^^^^^^^^^^^^#####oo########oo######^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^#######  # ######^^^^^^^^^^^^########oooooooooooooo    CCCCC @
@oooooooooooooooooo########^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^########oooo#######ooooo###^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^##############^^^^^^^^^^^^^^^#######ooooooooooo     CCCCC  @
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@]]
