-- $Id: common.lua 2835 2017-04-11 00:13:59Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- Tile definitions used by all vault maps.
-- [cf. build_vault() in src/generate.c]

-- Slight Hack(TM):  See below.
local function mod_gate_id(k, v)
  return ('vault%d_%s'):format(data.n_vaults or 0, tostring(v))
end
local function mod_spot(spot)
  spot = table.clone(spot)
  spot.subtype = ('vault%d_%s'):format(data.n_vaults or 0, tostring(spot.subtype))
  return spot
end

defineTile('.', 'FLOOR', nil, nil, nil, { room=true, vault=true })
defineTile('%', 'outer_wall', nil, nil, nil, { room=true, vault=true })
-- cf. Zone:onLoadZoneFile()
defineTile('#', 'diggable_inner_wall', nil, nil, nil, { room=true, vault=true })
defineTile('X', 'PERMA_WALL', nil, nil, nil, { room=true, vault=true })
-- OOD+0 object (75%) or trap (25%)
defineTile('*', 'FLOOR', { prob=75, util.ood_filter() }, nil, { not_if='object', util.ood_filter(0, {trap_type='FLOOR'}) }, { room=true, vault=true, obj_found={type='vault'} })
defineTile('+', 'SECRET_DOOR', nil, nil, nil, { room=true, vault=true, secret_door='diggable_inner_wall' })
-- Trap
defineTile('^', 'FLOOR', nil, nil, util.ood_filter(0, {trap_type='FLOOR'}), { room=true, vault=true })
defineTile('G', 'GLASS_WALL', nil, nil, nil, { room=true, vault=true })
-- OOD+5 actor
defineTile('&', 'FLOOR', nil, util.ood_filter(5), nil, { room=true, vault=true })
-- OOD+11 actor
defineTile('@', 'FLOOR', nil, util.ood_filter(11), nil, { room=true, vault=true })
-- OOD+9 actor and OOD+7 object
defineTile('9', 'FLOOR', util.ood_filter(7), util.ood_filter(9), nil, { room=true, vault=true, obj_found={type='vault'} })
-- OOD+40 actor and OOD+20 object
defineTile('8', 'FLOOR', util.ood_filter(20), util.ood_filter(40), nil, { room=true, vault=true, obj_found={type='vault'} })
-- OOD+3 actor (50%) and/or OOD+7 object (separate 50%)
defineTile(',', 'FLOOR', { prob=50, util.ood_filter(7) }, { prob=50, util.ood_filter(3) }, nil, { room=true, vault=true, obj_found={type='vault'} })
-- Slight Hack(TM), redux:  The gate info in the following tiles needs to
-- be "unique-ified" for this vault.  We use the mod functions defined
-- above for this.
defineTile('0', 'VOID_JUMPGATE', nil, nil, nil, { gate_id='gate_0', mods={gate_id=mod_gate_id} }, { type='jumpgate', subtype='gate_0', mod=mod_spot })
defineTile('1', 'VOID_JUMPGATE', nil, nil, nil, { gate_id='gate_1', mods={gate_id=mod_gate_id} }, { type='jumpgate', subtype='gate_1', mod=mod_spot })
defineTile('2', 'VOID_JUMPGATE', nil, nil, nil, { gate_id='gate_2', mods={gate_id=mod_gate_id} }, { type='jumpgate', subtype='gate_2', mod=mod_spot })
defineTile('3', 'VOID_JUMPGATE', nil, nil, nil, { gate_id='gate_3', mods={gate_id=mod_gate_id} }, { type='jumpgate', subtype='gate_3', mod=mod_spot })
defineTile('4', 'VOID_JUMPGATE', nil, nil, nil, { gate_id='gate_4', mods={gate_id=mod_gate_id} }, { type='jumpgate', subtype='gate_4', mod=mod_spot })
defineTile('5', 'VOID_JUMPGATE', nil, nil, nil, { gate_id='gate_5', mods={gate_id=mod_gate_id} }, { type='jumpgate', subtype='gate_5', mod=mod_spot })
defineTile('6', 'VOID_JUMPGATE', nil, nil, nil, { gate_id='gate_6', mods={gate_id=mod_gate_id} }, { type='jumpgate', subtype='gate_6', mod=mod_spot })
defineTile('7', 'VOID_JUMPGATE', nil, nil, nil, { gate_id='gate_7', mods={gate_id=mod_gate_id} }, { type='jumpgate', subtype='gate_7', mod=mod_spot })
