-- $Id: object_flavors.lua 3406 2018-06-12 02:24:56Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2018 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

newFlavorSet {
  type = 'food',
  subtype = 'mushroom',
  values = {
    { "Blue", colors.C_b, 'object/flavor/shroom_b.png' },
    { "Black", colors.C_D, 'object/flavor/shroom_D.png' },
    { "Black Spotted", colors.C_D, 'object/flavor/shroom_D.png' },
    { "Brown", colors.C_u, 'object/flavor/shroom_u.png' },
    { "Dark Blue", colors.C_b, 'object/flavor/shroom_b.png' },
    { "Dark Green", colors.C_g, 'object/flavor/shroom_g.png' },
    { "Dark Red", colors.C_r, 'object/flavor/shroom_r.png' },
    { "Yellow", colors.C_y, 'object/flavor/shroom_y.png' },
    { "Furry", colors.C_W, 'object/flavor/shroom_W.png' },
    { "Green", colors.C_g, 'object/flavor/shroom_g.png' },
    { "Grey", colors.C_s, 'object/flavor/shroom_s.png' },
    { "Light Blue", colors.C_B, 'object/flavor/shroom_B.png' },
    { "Light Green", colors.C_G, 'object/flavor/shroom_G.png' },
    { "Violet", colors.C_v, 'object/flavor/shroom_v.png' },
    { "Red", colors.C_r, 'object/flavor/shroom_r.png' },
    { "Slimy", colors.C_s, 'object/flavor/shroom_s.png' },
    { "Tan", colors.C_U, 'object/flavor/shroom_U.png' },
    { "White", colors.C_w, 'object/flavor/shroom_w.png' },
    { "White Spotted", colors.C_w, 'object/flavor/shroom_w.png' },
    { "Wrinkled", colors.C_u, 'object/flavor/shroom_u.png' },
  }
}

newFlavorSet {
  type = 'utility',
  subtype = 'potion',
  values = {
    { "Strangely Phosphorescent", colors.C_multi, 'object/flavor/pot_m.png' },
    { "Azure", colors.C_B, 'object/flavor/pot_B.png' },
    { "Blue", colors.C_b, 'object/flavor/pot_b.png' },
    { "Blue Speckled", colors.C_b, 'object/flavor/pot_b.png' },
    { "Black", colors.C_D, 'object/flavor/pot_D.png' },
    { "Brown", colors.C_u, 'object/flavor/pot_u.png' },
    { "Brown Speckled", colors.C_u, 'object/flavor/pot_u.png' },
    { "Bubbling", colors.C_W, 'object/flavor/pot_W.png' },
    { "Chartreuse", colors.C_G, 'object/flavor/pot_G.png' },
    { "Cloudy", colors.C_w, 'object/flavor/pot_w.png' },
    { "Copper Speckled", colors.C_U, 'object/flavor/pot_U.png' },
    { "Crimson", colors.C_r, 'object/flavor/pot_r.png' },
    { "Cyan", colors.C_B, 'object/flavor/pot_B.png' },
    { "Dark Blue", colors.C_b, 'object/flavor/pot_b.png' },
    { "Dark Green", colors.C_g, 'object/flavor/pot_g.png' },
    { "Dark Red", colors.C_r, 'object/flavor/pot_r.png' },
    { "Gold Speckled", colors.C_y, 'object/flavor/pot_y.png' },
    { "Green", colors.C_g, 'object/flavor/pot_g.png' },
    { "Green Speckled", colors.C_g, 'object/flavor/pot_g.png' },
    { "Grey", colors.C_s, 'object/flavor/pot_s.png' },
    { "Grey Speckled", colors.C_s, 'object/flavor/pot_s.png' },
    { "Hazy", colors.C_W, 'object/flavor/pot_W.png' },
    { "Indigo", colors.C_v, 'object/flavor/pot_v.png' },
    { "Light Blue", colors.C_B, 'object/flavor/pot_B.png' },
    { "Light Green", colors.C_G, 'object/flavor/pot_G.png' },
    { "Magenta", colors.C_r, 'object/flavor/pot_r.png' },
    { "Metallic Blue", colors.C_b, 'object/flavor/pot_b.png' },
    { "Metallic Red", colors.C_r, 'object/flavor/pot_r.png' },
    { "Metallic Green", colors.C_g, 'object/flavor/pot_g.png' },
    { "Metallic Purple", colors.C_v, 'object/flavor/pot_v.png' },
    { "Misty", colors.C_W, 'object/flavor/pot_W.png' },
    { "Orange", colors.C_o, 'object/flavor/pot_o.png' },
    { "Orange Speckled", colors.C_o, 'object/flavor/pot_o.png' },
    { "Pink", colors.C_R, 'object/flavor/pot_R.png' },
    { "Pink Speckled", colors.C_R, 'object/flavor/pot_R.png' },
    { "Puce", colors.C_v, 'object/flavor/pot_v.png' },
    { "Purple", colors.C_v, 'object/flavor/pot_v.png' },
    { "Purple Speckled", colors.C_v, 'object/flavor/pot_v.png' },
    { "Red", colors.C_r, 'object/flavor/pot_r.png' },
    { "Red Speckled", colors.C_r, 'object/flavor/pot_r.png' },
    { "Silver Speckled", colors.C_W, 'object/flavor/pot_W.png' },
    { "Smoky", colors.C_D, 'object/flavor/pot_D.png' },
    { "Tangerine", colors.C_o, 'object/flavor/pot_o.png' },
    { "Violet", colors.C_v, 'object/flavor/pot_v.png' },
    { "Vermilion", colors.C_r, 'object/flavor/pot_r.png' },
    { "White", colors.C_w, 'object/flavor/pot_w.png' },
    { "Yellow", colors.C_y, 'object/flavor/pot_y.png' },
    { "Violet Speckled", colors.C_v, 'object/flavor/pot_v.png' },
    { "Pungent", colors.C_R, 'object/flavor/pot_R.png' },
    { "Clotted Red", colors.C_r, 'object/flavor/pot_r.png' },
    { "Viscous Pink", colors.C_R, 'object/flavor/pot_R.png' },
    { "Oily Yellow", colors.C_y, 'object/flavor/pot_y.png' },
    { "Gloopy Green", colors.C_g, 'object/flavor/pot_g.png' },
    { "Shimmering", colors.C_multi, 'object/flavor/pot_m.png' },
    { "Coagulated Crimson", colors.C_r, 'object/flavor/pot_r.png' },
    { "Yellow Speckled", colors.C_y, 'object/flavor/pot_y.png' },
    { "Gold", colors.C_y, 'object/flavor/pot_y.png' },
    { "Manly", colors.C_U, 'object/flavor/pot_U.png' },
    { "Stinking", colors.C_u, 'object/flavor/pot_u.png' },
    { "Oily Black", colors.C_D, 'object/flavor/pot_D.png' },
    { "Ichor", colors.C_r, 'object/flavor/pot_r.png' },
    { "Ivory White", colors.C_w, 'object/flavor/pot_w.png' },
    { "Sky Blue", colors.C_B, 'object/flavor/pot_B.png' },
  },
  assigned = {
    POT_WATER = { "Clear", colors.C_w, 'object/flavor/pot_w.png' },
    POT_APPLE_JUICE = { "Light Brown", colors.C_U, 'object/flavor/pot_U.png' },
    POT_SLIME_MOLD_JUICE = { "icky Green", colors.C_g, 'object/flavor/pot_g.png' },
  }
}

newFlavorSet {
  type = 'utility',
  subtype = 'scroll',
  pop_flavor = function(type, subtype)
    local ObjectData = require('mod.class.interface.ObjectData')
    local fl_def = ObjectData.flavors_def[type][subtype]
    -- The Adam Bolt tileset has four tiles for scrolls.  All the other
    -- flavored-object tiles are keyed by color, but all scrolls are white,
    -- so we choose one at random to assign to this flavor.
    local tile = ('object/flavor/scroll_%d.png'):format(rng.range(1, 4))
    -- Collect a list of titles we've already generated for comparision
    -- to avoid collisions.
    local seen = {}
    local used = game.state.flavors_assigned[type][subtype]
    for _, title in pairs(used) do seen[title] = true end
    -- As per object1.c:flavor_init(), we assemble a list of one- or two-
    -- syllable words, stopping before we exceed 15 characters.
    while true do
      local words = {}
      local len = 0
      while true do
	local word = ''
	local nsyl = rng.range(1,100) < 30 and 1 or 2
	for _ = 1, nsyl do word = word..rng.table(fl_def.syllables) end
	if #words > 0 and len + word:len() + 1 > 15 then break end
	len = len + word:len() + (#words > 0 and 1 or 0)
	words[#words+1] = word
      end
      local title = table.concat(words, ' ')
      if not seen[title] then return { title, colors.C_w, tile } end
    end
  end,
  syllables = {
    "a", "ab", "ag", "aks", "ala", "an", "ankh", "app",
    "arg", "arze", "ash", "aus", "ban", "bar", "bat", "bek",
    "bie", "bin", "bit", "bjor", "blu", "bot", "bu",
    "byt", "comp", "con", "cos", "cre", "dalf", "dan",
    "den", "der", "doe", "dok", "eep", "el", "eng", "er", "ere", "erk",
    "esh", "evs", "fa", "fid", "flit", "for", "fri", "fu", "gan",
    "gar", "glen", "gop", "gre", "ha", "he", "hyd", "i",
    "ing", "ion", "ip", "ish", "it", "ite", "iv", "jo",
    "kho", "kli", "klis", "la", "lech", "man", "mar",
    "me", "mi", "mic", "mik", "mon", "mung", "mur", "nag", "nej",
    "nelg", "nep", "ner", "nes", "nis", "nih", "nin", "o",
    "od", "ood", "org", "orn", "ox", "oxy", "pay", "pet",
    "ple", "plu", "po", "pot", "prok", "re", "rea", "rhov",
    "ri", "ro", "rog", "rok", "rol", "sa", "san", "sat",
    "see", "sef", "seh", "shu", "ski", "sna", "sne", "snik",
    "sno", "so", "sol", "sri", "sta", "sun", "ta", "tab",
    "tem", "ther", "ti", "tox", "trol", "tue", "turs", "u",
    "ulk", "um", "un", "uni", "ur", "val", "viv", "vly",
    "vom", "wah", "wed", "werg", "wex", "whon", "wun", "x",
    "yerg", "yp", "zun", "tri", "blaa", "jah", "bul", "on",
    "foo", "ju", "xuxu"
  }
}

newFlavorSet {
  type = 'jewelry',
  subtype = 'ring',
  values = {
    { "Alexandrite", colors.C_g, 'object/flavor/ring_g.png' },
    { "Amethyst", colors.C_v, 'object/flavor/ring_v.png' },
    { "Aquamarine", colors.C_B, 'object/flavor/ring_B.png' },
    { "Azurite", colors.C_B, 'object/flavor/ring_B.png' },
    { "Beryl", colors.C_G, 'object/flavor/ring_G.png' },
    { "Bloodstone", colors.C_r, 'object/flavor/ring_r.png' },
    { "Calcite", colors.C_w, 'object/flavor/ring_w.png' },
    { "Carnelian", colors.C_r, 'object/flavor/ring_r.png' },
    { "Corundum", colors.C_s, 'object/flavor/ring_s.png' },
    { "Diamond", colors.C_w, 'object/flavor/ring_w.png' },
    { "Emerald", colors.C_g, 'object/flavor/ring_g.png' },
    { "Fluorite", colors.C_G, 'object/flavor/ring_G.png' },
    { "Garnet", colors.C_r, 'object/flavor/ring_r.png' },
    { "Granite", colors.C_D, 'object/flavor/ring_D.png' },
    { "Jade", colors.C_G, 'object/flavor/ring_G.png' },
    { "Jasper", colors.C_u, 'object/flavor/ring_u.png' },
    { "Lapis Lazuli", colors.C_b, 'object/flavor/ring_b.png' },
    { "Malachite", colors.C_g, 'object/flavor/ring_g.png' },
    { "Marble", colors.C_w, 'object/flavor/ring_w.png' },
    { "Moonstone", colors.C_W, 'object/flavor/ring_W.png' },
    { "Onyx", colors.C_R, 'object/flavor/ring_R.png' },
    { "Opal", colors.C_W, 'object/flavor/ring_W.png' },
    { "Pearl", colors.C_w, 'object/flavor/ring_w.png' },
    { "Quartz", colors.C_W, 'object/flavor/ring_W.png' },
    { "Quartzite", colors.C_W, 'object/flavor/ring_W.png' },
    { "Rhodonite", colors.C_R, 'object/flavor/ring_R.png' },
    { "Ruby", colors.C_r, 'object/flavor/ring_r.png' },
    { "Sapphire", colors.C_b, 'object/flavor/ring_b.png' },
    { "Tiger Eye", colors.C_y, 'object/flavor/ring_y.png' },
    { "Topaz", colors.C_y, 'object/flavor/ring_y.png' },
    { "Turquoise", colors.C_B, 'object/flavor/ring_B.png' },
    { "Zircon", colors.C_U, 'object/flavor/ring_U.png' },
    { "Platinum", colors.C_w, 'object/flavor/ring_w.png' },
    { "Bronze", colors.C_U, 'object/flavor/ring_U.png' },
    { "Gold", colors.C_y, 'object/flavor/ring_y.png' },
    { "Obsidian", colors.C_D, 'object/flavor/ring_D.png' },
    { "Silver", colors.C_W, 'object/flavor/ring_W.png' },
    { "Tortoise Shell", colors.C_g, 'object/flavor/ring_g.png' },
    { "Mithril", colors.C_B, 'object/flavor/ring_B.png' },
    { "Jet", colors.C_D, 'object/flavor/ring_D.png' },
    { "Engagement", colors.C_y, 'object/flavor/ring_y.png' },
    { "Adamantite", colors.C_v, 'object/flavor/ring_v.png' },
    { "Wire", colors.C_u, 'object/flavor/ring_u.png' },
    { "Dilithium", colors.C_W, 'object/flavor/ring_W.png' },
    { "Bone", colors.C_w, 'object/flavor/ring_w.png' },
    { "Wooden", colors.C_u, 'object/flavor/ring_u.png' },
    { "Spikard", colors.C_b, 'object/flavor/ring_b.png' },
    { "Serpent", colors.C_g, 'object/flavor/ring_g.png' },
    { "Wedding", colors.C_y, 'object/flavor/ring_y.png' },
    { "Double", colors.C_o, 'object/flavor/ring_o.png' },
    { "Plain", colors.C_y, 'object/flavor/ring_y.png' },
    { "Brass", colors.C_o, 'object/flavor/ring_o.png' },
    { "Scarab", colors.C_G, 'object/flavor/ring_G.png' },
    { "Shining", colors.C_y, 'object/flavor/ring_y.png' },
    { "Rusty", colors.C_r, 'object/flavor/ring_r.png' },
    { "Transparent", colors.C_w, 'object/flavor/ring_w.png' },
    { "Copper", colors.C_u, 'object/flavor/ring_u.png' },
    { "Black Opal", colors.C_D, 'object/flavor/ring_D.png' },
    { "Nickel", colors.C_W, 'object/flavor/ring_W.png' },
    { "Glass", colors.C_w, 'object/flavor/ring_w.png' },
    { "Fluorspar", colors.C_b, 'object/flavor/ring_b.png' },
    { "Agate", colors.C_W, 'object/flavor/ring_W.png' },
  },
  assigned = {
    ONE_RING_BASE = { "Plain Gold", colors.C_y, 'object/flavor/ring_y.png' },
    OF_POWER_THE_ONE_RING = { "Plain Gold", colors.C_y, 'object/flavor/ring_y.png' },
  }
}

newFlavorSet {
  type = 'jewelry',
  subtype = 'amulet',
  values = {
    { "Amber", colors.C_y, 'object/flavor/amulet_y.png' },
    { "Driftwood", colors.C_U, 'object/flavor/amulet_U.png' },
    { "Coral", colors.C_w, 'object/flavor/amulet_w.png' },
    { "Agate", colors.C_W, 'object/flavor/amulet_W.png' },
    { "Ivory", colors.C_w, 'object/flavor/amulet_w.png' },
    { "Obsidian", colors.C_D, 'object/flavor/amulet_D.png' },
    { "Bone", colors.C_w, 'object/flavor/amulet_w.png' },
    { "Brass", colors.C_o, 'object/flavor/amulet_o.png' },
    { "Bronze", colors.C_U, 'object/flavor/amulet_U.png' },
    { "Pewter", colors.C_s, 'object/flavor/amulet_s.png' },
    { "Tortoise Shell", colors.C_g, 'object/flavor/amulet_g.png' },
    { "Golden", colors.C_y, 'object/flavor/amulet_y.png' },
    { "Azure", colors.C_B, 'object/flavor/amulet_B.png' },
    { "Crystal", colors.C_B, 'object/flavor/amulet_B.png' },
    { "Silver", colors.C_W, 'object/flavor/amulet_W.png' },
    { "Copper", colors.C_U, 'object/flavor/amulet_U.png' },
    { "Amethyst", colors.C_v, 'object/flavor/amulet_v.png' },
    { "Mithril", colors.C_B, 'object/flavor/amulet_B.png' },
    { "Sapphire", colors.C_b, 'object/flavor/amulet_b.png' },
    { "Dragon Tooth", colors.C_W, 'object/flavor/amulet_W.png' },
    { "Carved Oak", colors.C_u, 'object/flavor/amulet_u.png' },
    { "Sea Shell", colors.C_B, 'object/flavor/amulet_B.png' },
    { "Flint Stone", colors.C_s, 'object/flavor/amulet_s.png' },
    { "Ruby", colors.C_r, 'object/flavor/amulet_r.png' },
    { "Scarab", colors.C_G, 'object/flavor/amulet_G.png' },
    { "Origami Paper", colors.C_w, 'object/flavor/amulet_w.png' },
    { "Meteoric Iron", colors.C_D, 'object/flavor/amulet_D.png' },
    { "Platinum", colors.C_W, 'object/flavor/amulet_W.png' },
    { "Glass", colors.C_w, 'object/flavor/amulet_w.png' },
    { "Beryl", colors.C_G, 'object/flavor/amulet_G.png' },
    { "Malachite", colors.C_g, 'object/flavor/amulet_g.png' },
    { "Adamantite", colors.C_v, 'object/flavor/amulet_v.png' },
    { "Mother-of-pearl", colors.C_W, 'object/flavor/amulet_W.png' },
    { "Runed", colors.C_u, 'object/flavor/amulet_u.png' },
  }
}

newFlavorSet {
  type = 'utility',
  subtype = 'wand',
  values = {
    { "Aluminium", colors.C_B, 'object/flavor/wand_B.png' },
    { "Cast Iron", colors.C_D, 'object/flavor/wand_D.png' },
    { "Chromium", colors.C_w, 'object/flavor/wand_w.png' },
    { "Copper", colors.C_u, 'object/flavor/wand_u.png' },
    { "Gold", colors.C_y, 'object/flavor/wand_y.png' },
    { "Iron", colors.C_s, 'object/flavor/wand_s.png' },
    { "Magnesium", colors.C_W, 'object/flavor/wand_W.png' },
    { "Molybdenum", colors.C_W, 'object/flavor/wand_W.png' },
    { "Nickel", colors.C_W, 'object/flavor/wand_W.png' },
    { "Rusty", colors.C_r, 'object/flavor/wand_r.png' },
    { "Silver", colors.C_W, 'object/flavor/wand_W.png' },
    { "Steel", colors.C_W, 'object/flavor/wand_W.png' },
    { "Tin", colors.C_W, 'object/flavor/wand_W.png' },
    { "Titanium", colors.C_w, 'object/flavor/wand_w.png' },
    { "Tungsten", colors.C_w, 'object/flavor/wand_w.png' },
    { "Zirconium", colors.C_W, 'object/flavor/wand_W.png' },
    { "Zinc", colors.C_W, 'object/flavor/wand_W.png' },
    { "Aluminium-Plated", colors.C_B, 'object/flavor/wand_B.png' },
    { "Copper-Plated", colors.C_U, 'object/flavor/wand_U.png' },
    { "Gold-Plated", colors.C_y, 'object/flavor/wand_y.png' },
    { "Nickel-Plated", colors.C_U, 'object/flavor/wand_U.png' },
    { "Silver-Plated", colors.C_W, 'object/flavor/wand_W.png' },
    { "Steel-Plated", colors.C_W, 'object/flavor/wand_W.png' },
    { "Tin-Plated", colors.C_W, 'object/flavor/wand_W.png' },
    { "Zinc-Plated", colors.C_W, 'object/flavor/wand_W.png' },
    { "Mithril-Plated", colors.C_B, 'object/flavor/wand_B.png' },
    { "Mithril", colors.C_B, 'object/flavor/wand_B.png' },
    { "Runed", colors.C_u, 'object/flavor/wand_u.png' },
    { "Bronze", colors.C_U, 'object/flavor/wand_U.png' },
    { "Brass", colors.C_U, 'object/flavor/wand_U.png' },
    { "Platinum", colors.C_w, 'object/flavor/wand_w.png' },
    { "Lead", colors.C_s, 'object/flavor/wand_s.png' },
    { "Lead-Plated", colors.C_s, 'object/flavor/wand_s.png' },
    { "Ivory" , colors.C_w, 'object/flavor/wand_w.png' },
    { "Adamantite", colors.C_v, 'object/flavor/wand_v.png' },
    { "Uridium", colors.C_R, 'object/flavor/wand_R.png' },
    { "Long", colors.C_B, 'object/flavor/wand_B.png' },
    { "Short", colors.C_b, 'object/flavor/wand_b.png' },
    { "Hexagonal", colors.C_r, 'object/flavor/wand_r.png' },
  }
}

newFlavorSet {
  type = 'utility',
  subtype = 'staff',
  values = {
    { "Aspen", colors.C_U, 'object/flavor/staff_U.png' },
    { "Balsa", colors.C_U, 'object/flavor/staff_U.png' },
    { "Banyan", colors.C_U, 'object/flavor/staff_U.png' },
    { "Birch", colors.C_U, 'object/flavor/staff_U.png' },
    { "Cedar", colors.C_U, 'object/flavor/staff_U.png' },
    { "Cottonwood", colors.C_U, 'object/flavor/staff_U.png' },
    { "Cypress", colors.C_U, 'object/flavor/staff_U.png' },
    { "Dogwood", colors.C_U, 'object/flavor/staff_U.png' },
    { "Elm", colors.C_U, 'object/flavor/staff_U.png' },
    { "Eucalyptus", colors.C_U, 'object/flavor/staff_U.png' },
    { "Hemlock", colors.C_U, 'object/flavor/staff_U.png' },
    { "Hickory", colors.C_U, 'object/flavor/staff_U.png' },
    { "Ironwood", colors.C_u, 'object/flavor/staff_u.png' },
    { "Locust", colors.C_U, 'object/flavor/staff_U.png' },
    { "Mahogany", colors.C_u, 'object/flavor/staff_u.png' },
    { "Maple", colors.C_U, 'object/flavor/staff_U.png' },
    { "Mulberry", colors.C_U, 'object/flavor/staff_U.png' },
    { "Oak", colors.C_U, 'object/flavor/staff_U.png' },
    { "Pine", colors.C_U, 'object/flavor/staff_U.png' },
    { "Redwood", colors.C_r, 'object/flavor/staff_r.png' },
    { "Rosewood", colors.C_r, 'object/flavor/staff_r.png' },
    { "Spruce", colors.C_U, 'object/flavor/staff_U.png' },
    { "Sycamore", colors.C_U, 'object/flavor/staff_U.png' },
    { "Teak", colors.C_U, 'object/flavor/staff_U.png' },
    { "Walnut", colors.C_u, 'object/flavor/staff_u.png' },
    { "Mistletoe", colors.C_g, 'object/flavor/staff_g.png' },
    { "Hawthorn", colors.C_U, 'object/flavor/staff_U.png' },
    { "Bamboo", colors.C_U, 'object/flavor/staff_U.png' },
    { "Silver", colors.C_W, 'object/flavor/staff_W.png' },
    { "Runed", colors.C_u, 'object/flavor/staff_u.png' },
    { "Golden", colors.C_y, 'object/flavor/staff_y.png' },
    { "Ashen", colors.C_s, 'object/flavor/staff_s.png' },
    { "Gnarled", colors.C_u, 'object/flavor/staff_u.png' },
    { "Ivory", colors.C_W, 'object/flavor/staff_W.png' },
    { "Willow", colors.C_U, 'object/flavor/staff_U.png' },
  }
}

newFlavorSet {
  type = 'utility',
  subtype = 'rodtip',
  values = {
    { "Aluminium", colors.C_B, 'object/flavor/rod_tip_B.png' },
    { "Cast Iron", colors.C_D, 'object/flavor/rod_tip_D.png' },
    { "Chromium", colors.C_w, 'object/flavor/rod_tip_w.png' },
    { "Copper", colors.C_u, 'object/flavor/rod_tip_u.png' },
    { "Gold", colors.C_y, 'object/flavor/rod_tip_y.png' },
    { "Iron", colors.C_s, 'object/flavor/rod_tip_s.png' },
    { "Magnesium", colors.C_W, 'object/flavor/rod_tip_W.png' },
    { "Molybdenum", colors.C_W, 'object/flavor/rod_tip_W.png' },
    { "Nickel", colors.C_W, 'object/flavor/rod_tip_W.png' },
    { "Rusty", colors.C_r, 'object/flavor/rod_tip_r.png' },
    { "Silver", colors.C_W, 'object/flavor/rod_tip_W.png' },
    { "Steel", colors.C_W, 'object/flavor/rod_tip_W.png' },
    { "Tin", colors.C_W, 'object/flavor/rod_tip_W.png' },
    { "Titanium", colors.C_w, 'object/flavor/rod_tip_w.png' },
    { "Tungsten", colors.C_w, 'object/flavor/rod_tip_w.png' },
    { "Zirconium", colors.C_W, 'object/flavor/rod_tip_W.png' },
    { "Zinc", colors.C_W, 'object/flavor/rod_tip_W.png' },
    { "Aluminium-Plated", colors.C_B, 'object/flavor/rod_tip_B.png' },
    { "Copper-Plated", colors.C_U, 'object/flavor/rod_tip_U.png' },
    { "Gold-Plated", colors.C_y, 'object/flavor/rod_tip_y.png' },
    { "Nickel-Plated", colors.C_U, 'object/flavor/rod_tip_U.png' },
    { "Silver-Plated", colors.C_W, 'object/flavor/rod_tip_W.png' },
    { "Steel-Plated", colors.C_W, 'object/flavor/rod_tip_W.png' },
    { "Tin-Plated", colors.C_W, 'object/flavor/rod_tip_W.png' },
    { "Zinc-Plated", colors.C_W, 'object/flavor/rod_tip_W.png' },
    { "Mithril-Plated", colors.C_B, 'object/flavor/rod_tip_B.png' },
    { "Mithril", colors.C_B, 'object/flavor/rod_tip_B.png' },
    { "Runed", colors.C_u, 'object/flavor/rod_tip_u.png' },
    { "Bronze", colors.C_U, 'object/flavor/rod_tip_U.png' },
    { "Brass", colors.C_U, 'object/flavor/rod_tip_U.png' },
    { "Platinum", colors.C_w, 'object/flavor/rod_tip_w.png' },
    { "Lead", colors.C_s, 'object/flavor/rod_tip_s.png' },
    { "Lead-Plated", colors.C_s, 'object/flavor/rod_tip_s.png' },
    { "Ivory" , colors.C_w, 'object/flavor/rod_tip_w.png' },
    { "Adamantite", colors.C_v, 'object/flavor/rod_tip_v.png' },
    { "Uridium", colors.C_R, 'object/flavor/rod_tip_R.png' },
    { "Long", colors.C_B, 'object/flavor/rod_tip_B.png' },
    { "Short", colors.C_b, 'object/flavor/rod_tip_b.png' },
    { "Hexagonal", colors.C_r, 'object/flavor/rod_tip_r.png' },
  }
}
