-- $Id: sneakiness.lua 2864 2017-05-08 01:36:27Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------
-- This file was generated automatically by the 'gen_skill' Perl script.
-- DO NOT MODIFY THIS FILE DIRECTLY, as any changes will be lost the next
-- time the file is generated (with the possible exception of lines between
-- 'BEGIN VERBATIM' and 'END VERBATIM' markers, if supported by the script).
-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------

-- Player skills generated from s_info.txt.

newSkill {
  name = 'Sneakiness',
  short_name = 'SNEAKINESS',
  desc = [[General ability at the sneakiness skills.  It also affects the searching abilities.]],
  rate = 0,
  depth = 0,
  achievement = 'SNEAKINESS_50',
  random_gain = 100,
  -- BEGIN VERBATIM
  player_calc = function(def, p, init)
    if init then
      p.skill_searching = 0
      p.skill_perception = 0
      return
    end
    p.skill_searching = p.skill_searching + p:getSkillLevel('SNEAKINESS', 35)
    p.skill_perception = p.skill_perception + p:getSkillLevel('SNEAKINESS', 25)
  end
  -- END VERBATIM
}

newSkill {
  name = 'Stealth',
  short_name = 'STEALTH',
  desc = [[Ability to move unnoticed, silently.]],
  rate = 0,
  depth = 1,
  achievement = 'STEALTH_50',
  parent = 'SNEAKINESS',
  ripple_to = {
    SNEAKINESS = 15,
  },
  random_gain = 100,
  -- BEGIN VERBATIM
  player_calc = function(def, p, init)
    if init then
      p.skill_stealth = 0
      return
    end
    p.skill_stealth = p.skill_stealth + 1 + p:getSkillLevel('STEALTH', 25)
  end
  -- END VERBATIM
}

newSkill {
  name = 'Disarming',
  short_name = 'DISARMING',
  desc = [[Ability to disarm the various traps.]],
  rate = 0,
  depth = 1,
  achievement = 'DISARMING_50',
  parent = 'SNEAKINESS',
  ripple_to = {
    SNEAKINESS = 10,
  },
  random_gain = 100,
  -- BEGIN VERBATIM
  player_calc = function(def, p, init)
    if init then
      p.skill_disarm = 0
      return
    end
    p.skill_disarm = p.skill_disarm + p:getSkillLevel('DISARMING', 75) +
				      p:getStatRelated('int_disarm') +
				      p:getStatRelated('dex_disarm')
  end,
  -- END VERBATIM
}

newSkill {
  name = 'Backstab',
  short_name = 'BACKSTAB',
  desc = [[Ability to backstab fleeing and sleeping monsters to increase damage.]],
  rate = 1000,
  depth = 1,
  achievement = 'BACKSTAB_50',
  parent = 'SNEAKINESS',
  ripple_to = {
    SNEAKINESS = 5,
  },
}

newSkill {
  name = 'Stealing',
  short_name = 'STEALING',
  desc = [[Ability to steal objects.]],
  rate = 0,
  depth = 1,
  achievement = 'STEALING_50',
  parent = 'SNEAKINESS',
  talents = {
    [ActorTalents.T_STEAL] = true,
    ActorTalents.T_STEAL,
  },
  ripple_to = {
    SNEAKINESS = 15,
  },
}

newSkill {
  name = 'Dodging',
  short_name = 'DODGING',
  desc = [[Ability to dodge blows and bolts.]],
  rate = 0,
  depth = 1,
  achievement = 'DODGING_50',
  parent = 'SNEAKINESS',
  ripple_to = {
    SNEAKINESS = 10,
  },
}
