-- $Id: mimicry.lua 2835 2017-04-11 00:13:59Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

local Entity = require 'engine.Entity'

newTalentType {
  name = 'Mimicry powers',
  type = 'skill/mimicry',
  description = 'Talents conferred by the Mimicry skill',
}

newTalent {
  name = [[Invisibility]],
  short_name = 'MIMIC_INVIS',
  display_entity = Entity.new { image='talents/invisibility.png' },
  type = 'skill/mimicry',
  mode = 'activated',
  is_spell = true,
  skill = 'MIMICRY',
  skill_level = 10,
  mana = 6,
  base_fail = 20,
  stat = 'DEX',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIMIC_INVIS)')
  end,
  info = [[Watch this space]],
}

newTalent {
  name = [[Legs Mimicry]],
  short_name = 'MIMIC_LEGS',
  display_entity = Entity.new { image='talents/legs_mimicry.png' },
  type = 'skill/mimicry',
  mode = 'activated',
  is_spell = true,
  skill = 'MIMICRY',
  skill_level = 25,
  mana = 20,
  base_fail = 25,
  stat = 'DEX',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIMIC_LEGS)')
  end,
  info = [[Watch this space]],
}

newTalent {
  name = [[Wall Mimicry]],
  short_name = 'MIMIC_WALL',
  display_entity = Entity.new { image='talents/wall_mimicry.png' },
  type = 'skill/mimicry',
  mode = 'activated',
  is_spell = true,
  skill = 'MIMICRY',
  skill_level = 30,
  mana = 40,
  base_fail = 30,
  stat = 'DEX',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIMIC_WALL)')
  end,
  info = [[Watch this space]],
}

newTalent {
  name = [[Arms Mimicry]],
  short_name = 'MIMIC_ARMS',
  display_entity = Entity.new { image='talents/arms_mimicry.png' },
  type = 'skill/mimicry',
  mode = 'activated',
  is_spell = true,
  skill = 'MIMICRY',
  skill_level = 35,
  mana = 100,
  base_fail = 40,
  stat = 'DEX',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIMIC_ARMS)')
  end,
  info = [[Watch this space]],
}
