-- $Id: mindcraft.lua 2835 2017-04-11 00:13:59Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

local Entity = require 'engine.Entity'

newTalentType {
  name = 'Mindcraft powers',
  type = 'skill/mindcraft',
  description = 'Talents conferred by the Mindcraft skill',
}

newTalent {
  name = [[Precognition]],
  short_name = 'MIND_PRECOG',
  display_entity = Entity.new { image='talents/precognition.png' },
  type = 'skill/mindcraft',
  mode = 'activated',
  is_spell = true,
  skill = 'MINDCRAFT',
  skill_level = 1,
  mana = 1,
  base_fail = 15,
  stat = 'WIS',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIND_PRECOG)')
  end,
  info = [[Watch this space]],
}

newTalent {
  name = [[Neural Blast]],
  short_name = 'MIND_NEURAL',
  display_entity = Entity.new { image='talents/neural_blast.png' },
  type = 'skill/mindcraft',
  mode = 'activated',
  is_spell = true,
  skill = 'MINDCRAFT',
  skill_level = 2,
  mana = 1,
  base_fail = 20,
  stat = 'WIS',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIND_NEURAL)')
  end,
  info = [[Watch this space]],
}

newTalent {
  name = [[Minor Displacement]],
  short_name = 'MIND_MINOR_TELE',
  display_entity = Entity.new { image='talents/minor_displacement.png' },
  type = 'skill/mindcraft',
  mode = 'activated',
  is_spell = true,
  skill = 'MINDCRAFT',
  skill_level = 3,
  mana = 2,
  base_fail = 25,
  stat = 'WIS',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIND_MINOR_TELE)')
  end,
  info = [[Watch this space]],
}

newTalent {
  name = [[Major Displacement]],
  short_name = 'MIND_MAJOR_TELE',
  display_entity = Entity.new { image='talents/major_displacement.png' },
  type = 'skill/mindcraft',
  mode = 'activated',
  is_spell = true,
  skill = 'MINDCRAFT',
  skill_level = 7,
  mana = 6,
  base_fail = 35,
  stat = 'WIS',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIND_MAJOR_TELE)')
  end,
  info = [[Watch this space]],
}

newTalent {
  name = [[Domination]],
  short_name = 'MIND_DOMINATE',
  display_entity = Entity.new { image='talents/domination.png' },
  type = 'skill/mindcraft',
  mode = 'activated',
  is_spell = true,
  skill = 'MINDCRAFT',
  skill_level = 9,
  mana = 7,
  base_fail = 50,
  stat = 'WIS',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIND_DOMINATE)')
  end,
  info = [[Watch this space]],
}

newTalent {
  name = [[Pulverize]],
  short_name = 'MIND_PULVERIZE',
  display_entity = Entity.new { image='talents/pulverize.png' },
  type = 'skill/mindcraft',
  mode = 'activated',
  is_spell = true,
  skill = 'MINDCRAFT',
  skill_level = 11,
  mana = 7,
  base_fail = 30,
  stat = 'WIS',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIND_PULVERIZE)')
  end,
  info = [[Watch this space]],
}

newTalent {
  name = [[Character Armor]],
  short_name = 'MIND_ARMOR',
  display_entity = Entity.new { image='talents/character_armor.png' },
  type = 'skill/mindcraft',
  mode = 'activated',
  is_spell = true,
  skill = 'MINDCRAFT',
  skill_level = 13,
  mana = 12,
  base_fail = 50,
  stat = 'WIS',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIND_ARMOR)')
  end,
  info = [[Watch this space]],
}

newTalent {
  name = [[Psychometry]],
  short_name = 'MIND_IDENTIFY',
  display_entity = Entity.new { image='talents/psychometry.png' },
  type = 'skill/mindcraft',
  mode = 'activated',
  is_spell = true,
  skill = 'MINDCRAFT',
  skill_level = 15,
  mana = 12,
  base_fail = 60,
  stat = 'WIS',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIND_IDENTIFY)')
  end,
  info = [[Watch this space]],
}

newTalent {
  name = [[Mind Wave]],
  short_name = 'MIND_WAVE',
  display_entity = Entity.new { image='talents/mind_wave.png' },
  type = 'skill/mindcraft',
  mode = 'activated',
  is_spell = true,
  skill = 'MINDCRAFT',
  skill_level = 18,
  mana = 10,
  base_fail = 50,
  stat = 'WIS',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIND_WAVE)')
  end,
  info = [[Watch this space]],
}

newTalent {
  name = [[Adrenaline Channeling]],
  short_name = 'MIND_SPEED',
  display_entity = Entity.new { image='talents/adrenaline_channeling.png' },
  type = 'skill/mindcraft',
  mode = 'activated',
  is_spell = true,
  skill = 'MINDCRAFT',
  skill_level = 23,
  mana = 15,
  base_fail = 50,
  stat = 'WIS',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIND_SPEED)')
  end,
  info = [[Watch this space]],
}

newTalent {
  name = [[Psychic Drain]],
  short_name = 'MIND_DRAIN',
  display_entity = Entity.new { image='talents/psychic_drain.png' },
  type = 'skill/mindcraft',
  mode = 'activated',
  is_spell = true,
  skill = 'MINDCRAFT',
  skill_level = 25,
  mana = 10,
  base_fail = 40,
  stat = 'WIS',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIND_DRAIN)')
  end,
  info = [[Watch this space]],
}

newTalent {
  name = [[Telekinetic Wave]],
  short_name = 'MIND_TK_WAVE',
  display_entity = Entity.new { image='talents/telekinetic_wave.png' },
  type = 'skill/mindcraft',
  mode = 'activated',
  is_spell = true,
  skill = 'MINDCRAFT',
  skill_level = 28,
  mana = 20,
  base_fail = 45,
  stat = 'WIS',
  points = 0,
  action = function(self, t)
    game.log('Sorry, not implemented (MIND_TK_WAVE)')
  end,
  info = [[Watch this space]],
}
