-- $Id: nature.lua 3455 2018-08-01 02:18:08Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------
-- This file was generated automatically by the 'gen_spells' Perl script.
-- DO NOT MODIFY THIS FILE DIRECTLY, as any changes will be lost the next
-- time the file is generated (with the possible exception of lines between
-- 'BEGIN VERBATIM' and 'END VERBATIM' markers, if supported by the script).
-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------

-- Spell talents generated from T2's s_nature.lua

local Entity = require 'engine.Entity'

newTalentType {
  name = 'Nature spells',
  type = 'spell/nature',
  description = 'Spells from the Nature school',
}

newTalent {
  name = [[Grow Trees]],
  short_name = 'GROW_TREES',
  display_entity = Entity.new { image='talents/grow_trees.png' },
  type = 'spell/nature',
  mode = 'activated',
  is_spell = true,
  skill = { 'NATURE', 'TEMPORAL' },
  skill_level = 6,
  mana = spell.mana_cost,
  min_mana = 6,
  max_mana = 30,
  base_fail = 35,
  stat = 'INT',
  random_book = 'MAGIC',
  inertia = { 5, 50 },
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local r = 2 + spell.get_spell_level(self, t, 7)
    spell.grow_terrain(self, 'TREE', r, {'SUPPORT_GROWTH'})
    return true
  end,
  info = function(self, t)
    local r = 2 + spell.get_spell_level(self, t, 7)
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Causes trees to swiftly grow in random nearby grids (radius %d) that are suitable.  Radius will increase%s]]
    return ret:format(r, sfx)
  end,
}

newTalent {
  name = [[Healing]],
  short_name = 'HEALING',
  display_entity = Entity.new { image='talents/healing.png' },
  type = 'spell/nature',
  mode = 'activated',
  is_spell = true,
  skill = 'NATURE',
  skill_level = 10,
  mana = spell.mana_cost,
  min_mana = 15,
  max_mana = 50,
  base_fail = 45,
  stat = 'INT',
  random_book = 'MAGIC',
  stick = {
    type = 'utility/staff',
    charge = { 2, 3 },
    rarity = 90,
    base_level = { 1, 5 },
    max_level = { 20, 40 },
  },
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local pct = 15 + spell.get_spell_level(self, t, 35)
    local hp = math.floor(self.max_life * pct/100)
    if self.life < self.max_life then spell.stick.id = true end
    self:heal(hp)
    return true
  end,
  info = function(self, t)
    local pct = 15 + spell.get_spell_level(self, t, 35)
    local hp = math.floor(self.max_life * pct/100)
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Heals %d%% of your maximum hit points (currently %d hp).  Healing will increase%s]]
    return ret:format(pct, hp, sfx)
  end,
}

newTalent {
  name = [[Recovery]],
  short_name = 'RECOVERY',
  display_entity = Entity.new { image='talents/recovery.png' },
  type = 'spell/nature',
  mode = 'activated',
  is_spell = true,
  skill = 'NATURE',
  skill_level = 15,
  mana = spell.mana_cost,
  min_mana = 10,
  max_mana = 25,
  base_fail = 60,
  stat = 'INT',
  random_book = 'MAGIC',
  inertia = { 2, 100 },
  stick = {
    type = 'utility/staff',
    charge = { 5, 10 },
    rarity = 50,
    base_level = { 1, 5 },
    max_level = { 10, 30 },
  },
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local lev = spell.get_spell_level(self, t)
    local id = false
    if lev < 5 then
      local eff = self:hasEffect(self.EFF_POISON)
      if eff then
	id = true
	eff.merge = 'replace'
	self:setEffect(self.EFF_POISON, math.floor(eff.dur/2), eff)
      end
    else
      id = self:has('POISON') or self:has('CUT')
      self:removeEffect(self.EFF_POISON)
      self:removeEffect(self.EFF_CUT)
    end
    if lev >= 10 then
      local Stats = require "mod.class.interface.ActorStats"
      for _, stat in ipairs(Stats.stats) do
	local res = self:restoreStat(stat)
	id = id or res
      end
    end
    if lev >= 15 then
      if self.restoreExp then
	local res = self:restoreExp()
	id = id or res
      end
    end
    if id then spell.stick.id = true end
    return true
  end,
  info = function(self, t)
    return [[Cuts the duration of temporary poison effects in half.  At level 5, completely cures poison and cuts.  At level 10, restores all reduced stats.  At level 15, restores lost experience.]]
  end,
}

newTalent {
  name = [[Regeneration]],
  short_name = 'REGENERATION',
  display_entity = Entity.new { image='talents/regeneration.png' },
  type = 'spell/nature',
  mode = 'activated',
  is_spell = true,
  skill = 'NATURE',
  skill_level = 20,
  mana = spell.mana_cost,
  min_mana = 30,
  max_mana = 55,
  base_fail = 70,
  stat = 'INT',
  random_book = 'MAGIC',
  inertia = { 4, 40 },
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local dur = rng.range(1, 20) + 5 + spell.get_spell_level(self, t, 50)
    local pow = 300 + spell.get_spell_level(self, t, 700)
    local p = { power=pow, merge='no_replace' }
    self:setEffect(self.EFF_REGENERATION, dur, p)
    return true
  end,
  info = function(self, t)
    local base_dur = 5 + spell.get_spell_level(self, t, 50)
    local pow = 300 + spell.get_spell_level(self, t, 700)
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Increases your body's regeneration rate by %d for %d+1d10 turns.  Power and duration will increase%s]]
    return ret:format(pow, base_dur, sfx)
  end,
}

newTalent {
  name = [[Summon Animal]],
  short_name = 'SUMMON_ANNIMAL',
  display_entity = Entity.new { image='talents/summon_animal.png' },
  type = 'spell/nature',
  mode = 'activated',
  is_spell = true,
  skill = 'NATURE',
  skill_level = 25,
  mana = spell.mana_cost,
  min_mana = 25,
  max_mana = 50,
  base_fail = 90,
  stat = 'INT',
  random_book = 'MAGIC',
  stick = {
    type = 'utility/wand',
    charge = { 1, 3 },
    rarity = 85,
    base_level = { 1, 5 },
    max_level = { 15, 45 },
  },
  points = 0,
  range = 18,
  direct_hit = true,
  action = function(self, t)
    local lev = 25 + spell.get_spell_level(self, t)
    local filter = { not_properties={'unique'}, deep_flags={flags={ANIMAL=true}} }
    local ret = spell.summon(self, self.x, self.y, filter, 1, lev)
    if ret then spell.stick.id = true end
    return true
  end,
  info = function(self, t)
    local lev = 25 + spell.get_spell_level(self, t)
    local sfx = spell.spell_skill_desc(self, t)
    local ret = [[Summons a friendly animal to aid you, leveled to level %d.  Summon level increases%s]]
    return ret:format(lev, sfx)
  end,
}
