-- $Id: traps.lua 3074 2017-09-18 02:12:21Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

load('/data/general/traps/store.lua')

newEntity {
  base = 'BASE_STORE',
  define_as = 'LOTHLORIEN_HOME',
  name = "Your home (née Wolves' Den)",
  resolvers.store('LOTHLORIEN_HOME', 'home'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THE_MIRROR',
  name = "The Mirror",
  owner = resolvers.store_owner('THE_MIRROR'),
  resolvers.building_chat('galadriel', 'THE_MIRROR'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'SEAT_OF_RULING',
  name = "Seat of Ruling",
  resolvers.building_chat('lothlorien-seat-of-ruling', 'SEAT_OF_RULING'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'INN',
  name = "Inn",
  resolvers.store('INN'),
  resolvers.building_chat('inn'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'BEASTMASTER_SHANTY',
  name = "Beastmaster Shanty",
  owner = resolvers.store_owner('BEASTMASTER_SHANTY'),
  resolvers.building_chat('beastmaster-shanty', 'BEASTMASTER_SHANTY'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'WIZARDS_SPIRE',
  name = "Wizards Spire",
  owner = resolvers.store_owner('WIZARDS_SPIRE'),
  resolvers.building_chat('lothlorien-wizards-spire', 'WIZARDS_SPIRE'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'PRIESTS_CIRCLE',
  name = "Priests Circle",
  owner = resolvers.store_owner('PRIESTS_CIRCLE'),
  resolvers.building_chat('priests-circle', 'PRIESTS_CIRCLE'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'RANGERS_GUILD',
  name = "Rangers Guild",
  owner = resolvers.store_owner('RANGERS_GUILD'),
  resolvers.building_chat('rangers-guild', 'RANGERS_GUILD'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THUNDERLORDS_NEST',
  name = "Thunderlords' Nest",
  owner = resolvers.store_owner('THUNDERLORDS_NEST'),
  resolvers.building_chat('thunderlords-nest', 'THUNDERLORDS_NEST'),
}
