-- $Id: ActorProject.lua 3560 2019-01-18 01:16:15Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2019 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

require 'engine.class'
require 'engine.interface.ActorProject'
local DamageType = require 'engine.DamageType'

module(..., package.seeall, class.inherit(engine.interface.ActorProject))

-- A wrapper around engine.interface.ActorProject:project() to apply a
-- damage type's post_project() method afterward, if any.
function _M:project(t, x, y, damtype, dam, particles)
  local grids, stop_x, stop_y = engine.interface.ActorProject.project(self, t, x, y, damtype, dam, particles)

  local dt_def = DamageType:get(damtype)
  if dt_def and dt_def.post_project then
    dt_def:post_project(self, t, x, y, damtype, dam, particles, grids, stop_x, stop_y)
  end

  return grids, stop_x, stop_y
end
