-- $Id: CreditsDialog.lua 2835 2017-04-11 00:13:59Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2016-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

require 'engine.class'
local Dialog = require 'engine.ui.Dialog'
local Textzone = require 'engine.ui.Textzone'

module(..., package.seeall, class.inherit(Dialog))

function _M:init()
  Dialog.init(self, 'Credits', 700, game.h*0.8)

  local f, err = loadfile('/data/CREDITS.lua')
  local text
  if not f then
    if err then error(err) end
    text = 'Unable to load CREDITS.lua.'
  else
    text = f()
  end

  self.c_text = Textzone.new {
    width = self.iw,
    height = self.ih,
    scrollbar = true,
    no_color_bleed = true,
    text = text,
  }

  self:loadUI {
    { left=0, top=0, ui=self.c_text }
  }
  self:setupUI()
  self.key:addBinds {
    EXIT = function() game:unregisterDialog(self) end,
  }
end

function _M:on_register()
  game:onTickEnd(function() self.key:unicodeInput(true) end)
end
