-- $Id: artifacts.lua 3554 2019-01-16 03:37:53Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------
-- This file was generated automatically by the 'gen_art' Perl script.
-- DO NOT MODIFY THIS FILE DIRECTLY, as any changes will be lost the next
-- time the file is generated (with the possible exception of lines between
-- 'BEGIN VERBATIM' and 'END VERBATIM' markers, if supported by the script).
-- -----------------------------------------------------------------------
-- WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-- -----------------------------------------------------------------------

-- Artifact entities generated from T2's a_info.txt

-- BEGIN VERBATIM
local ActorTalents = require 'engine.interface.ActorTalents'
-- END VERBATIM

newEntity {
  base = 'GALADRIEL_BASE',
  define_as = 'OF_GALADRIEL',
  name = 'OF_GALADRIEL',
  unique = 'OF_GALADRIEL',
  keep_base = 'GALADRIEL_BASE',
  artifact_name = 'of Galadriel',
  artifact_desc = [[A small crystal phial, with the light of Earendil's Star contained inside.  Its light is imperishable, and near it darkness cannot endure.]],
  level = 20,
  rarity = 10,
  weight = 1,
  encumber = 1,
  cost = 10000,
  combat = { 1, 1 },
  pval = 4,
  insta_art = true,
  lite = 3,
  pval_flags = { skill_searching=true, skill_perception=true, adj_luck=true },
  flags = { ACTIVATE=true, HIDE_TYPE=true },
  set_info = {
    name = [[Elven Gifts]],
    desc = [[It is from a group of Elven items once entrusted to Hobbits]],
    [2] = {
      pval = 1,
      convey_resist_dam = { [DamageType.DARK]=true },
      stat_flags = { WIS=true, CHA=true },
    },
  },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s wells with clear light...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      spell.lite_room(who.x, who.y)
      spell.ball_spell(who, nil, DamageType.LITE_WEAK, rng.dice(2, 15), 3, who.x, who.y)
      return { used=true }
    end,
    power = { 10, 10 },
    name = 'illuminate your vicinity (dam 2d15)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'ELENDIL_BASE',
  define_as = 'OF_ELENDIL',
  name = 'OF_ELENDIL',
  unique = 'OF_ELENDIL',
  keep_base = 'ELENDIL_BASE',
  artifact_name = 'of Elendil',
  artifact_desc = [[The shining Star of the West, a famed heirloom of Elendil's house.]],
  level = 30,
  rarity = 25,
  weight = 0.5,
  encumber = 0.5,
  cost = 32500,
  combat = { 1, 1 },
  pval = 1,
  insta_art = true,
  lite = 4,
  convey_flags = { SEE_INVIS=true, HOLD_LIFE=true },
  pval_flags = { speed=true },
  flags = { ACTIVATE=true, HIDE_TYPE=true },
  worn_talents = { ActorTalents.T_PRIEST_DET_CURSE },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s shines brightly...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      spell.lite_room(who.x, who.y)
      spell.ball_spell(who, nil, DamageType.LITE_WEAK, rng.dice(2, 15), 3, who.x, who.y)
      who:computeFOV(40, 'block_sense', spell.map_area_callback, true, true, true)
      return { used=true }
    end,
    power = { 50, 50 },
    name = 'illuminate your vicinity (dam 2d15) and map the surrounding area',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'THRAIN_BASE',
  define_as = 'OF_THRAIN',
  name = 'OF_THRAIN',
  unique = 'OF_THRAIN',
  keep_base = 'THRAIN_BASE',
  artifact_name = 'of Thráin',
  artifact_desc = 'A great globe seemingly filled with moonlight, the famed Heart of the Mountain, which splinters the light that falls upon it into a thousand glowing shards.',
  level = 50,
  rarity = 50,
  weight = 0.5,
  encumber = 0.5,
  cost = 50000,
  combat = { 1, 1 },
  pval = 3,
  insta_art = true,
  lite = 3,
  convey_resist_dam = { [DamageType.CHAOS]=true, [DamageType.LITE]=true, [DamageType.DARK]=true },
  convey_flags = { SEE_INVIS=true, HOLD_LIFE=true },
  pval_flags = { adj_luck=true, speed=true },
  flags = { ACTIVATE=true, HIDE_TYPE=true },
  esp_flags = { ORC=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows a deep green...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      spell.detect_traps(25, who)
      spell.detect_doors_stairs(25, who)
      spell.detect_buried_treasure(25, who)
      spell.detect_gold(25, who)
      spell.detect_objects(25, who)
      spell.detect_monsters_normal(25, who)
      spell.detect_invisible_monsters(25, who)
      return { used=true }
    end,
    power = { 30, 30 },
    name = 'detect various things',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'CARLAMMAS_BASE',
  define_as = 'OF_CARLAMMAS',
  name = 'OF_CARLAMMAS',
  unique = 'OF_CARLAMMAS',
  keep_base = 'CARLAMMAS_BASE',
  artifact_name = 'of Carlammas',
  artifact_desc = 'A fiery circle of bronze, with mighty spells to ward off evil.',
  level = 50,
  rarity = 10,
  weight = 0.3,
  encumber = 0.3,
  cost = 60000,
  pval = 2,
  insta_art = true,
  convey_resist_dam = { [DamageType.FIRE]=true },
  stat_flags = { CON=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s lets out a shrill wail...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      who:setEffect(who.EFF_PROTECT_EVIL, rng.range(1, 25) + 3*who.level, {merge='combine'})
      return { used=true }
    end,
    power = { 225, 225 },
    name = 'protect yourself from evil creatures (dur lev*3 + d25)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  resolvers.artifact(),
}

newEntity {
  base = 'INGWE_BASE',
  define_as = 'OF_INGWE',
  name = 'OF_INGWE',
  unique = 'OF_INGWE',
  keep_base = 'INGWE_BASE',
  artifact_name = 'of Ingwë',
  artifact_desc = 'The ancient heirloom of Ingwë, high lord of the Vanyar, against whom nothing of evil could stand.',
  level = 65,
  rarity = 30,
  weight = 0.3,
  encumber = 0.3,
  cost = 90000,
  pval = 3,
  insta_art = true,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.COLD]=true, [DamageType.ELEC]=true },
  convey_flags = { SEE_INVIS=true, FREE_ACT=true },
  stat_flags = { INT=true, WIS=true, CHA=true },
  pval_flags = { skill_searching=true, skill_perception=true, infravision=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s floods the level with goodness...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      spell.los_spell(who, nil, DamageType.DISP_EVIL, who.level*5)
      return { used=true }
    end,
    power = { 300, 300 },
    name = 'dispel evil for damage level*5',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'NAUGLAMIR_BASE',
  define_as = 'NAUGLAMIR',
  name = 'NAUGLAMIR',
  unique = 'NAUGLAMIR',
  keep_base = 'NAUGLAMIR_BASE',
  artifact_name = [['Nauglamír']],
  artifact_desc = 'A carencet of gold, set with a multitude of shining gems of Valinor.  Despite its size, its weight seems as that of gossamer.',
  level = 70,
  rarity = 50,
  weight = 0.3,
  encumber = 0.3,
  cost = 75000,
  pval = 3,
  insta_art = true,
  lite = 3,
  convey_resist_dam = { [DamageType.FEAR]=true },
  convey_flags = { SEE_INVIS=true, FREE_ACT=true, REGENERATE=true },
  stat_flags = { STR=true, CON=true, DEX=true },
  pval_flags = { infravision=true, speed=true },
  flags = { HIDE_TYPE=true },
  resolvers.artifact(),
}

newEntity {
  base = 'FLARE_BASE',
  define_as = 'OF_FLARE',
  name = 'OF_FLARE',
  unique = 'OF_FLARE',
  keep_base = 'FLARE_BASE',
  artifact_name = 'of Flare',
  artifact_desc = 'The mighty ring of the Thunderlord Flare that makes the wearer strong and healthy.  Once a ring of power, it wasgiven to Flare by Celegorm when he arrived on Middle-earth with a full nest of Thunderlords.',
  level = 50,
  rarity = 35,
  weight = 0.2,
  encumber = 0.2,
  cost = 75000,
  pval = 3,
  insta_art = true,
  convey_immune_dam = { [DamageType.FIRE]=true },
  convey_flags = { SEE_INVIS=true, FLY=true },
  stat_flags = { STR=true, CON=true, CHA=true },
  pval_flags = { skill_searching=true, skill_perception=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  esp_flags = { THUNDERLORD=true },
  worn_talents = { ActorTalents.T_OBJ_SWAP_POSITION },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local lev = who.level or 0
      local ret = spell.target_jumpgates(who, lev + 2, 10)
      if type(ret) == 'nil' then return {} end
      local speed = (60 - lev)/100 + (ok and 0 or 1)
      return { used=true, use_speed=speed }
    end,
    power = 100,
    name = 'create a pair of void jumpgates linking your current location to another targeted location',
  },
  cant_use_if = { not_wielded=true },
  max_power = 100,
  power_regen = 1,
  desc_post = function(self, t)
    if t and t.char_dump then return nil end
    local ret = [[#YELLOW#Creating void jumpgates takes %d%% of a turn, decreasing with player level.#LAST#]]
    return ret:format(60 - (game.player.level or 0))
  end,
  -- END VERBATIM
}

newEntity {
  base = 'BARAHIR_BASE',
  define_as = 'OF_BARAHIR',
  name = 'OF_BARAHIR',
  unique = 'OF_BARAHIR',
  keep_base = 'BARAHIR_BASE',
  artifact_name = 'of Barahir',
  artifact_desc = [[A ring shaped into twinned serpents with eyes of emerald meeting beneath a crown of flowers, an ancient treasure of Isildur's house.]],
  level = 50,
  rarity = 25,
  weight = 0.2,
  encumber = 0.2,
  cost = 75000,
  pval = 1,
  insta_art = true,
  convey_resist_dam = { [DamageType.POISON]=true, [DamageType.DARK]=true },
  convey_flags = { SEE_INVIS=true },
  stat_flags = { STR=true, INT=true, WIS=true, DEX=true, CON=true, CHA=true },
  pval_flags = { skill_stealth=true, skill_searching=true, skill_perception=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'You exterminate small life.')
      spell.los_spell(who, nil, DamageType.DISP_ALL, 4)
      return { used=true }
    end,
    power = { 55, 55 },
    name = 'dispel small life (for damage 4)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'TULKAS_BASE',
  define_as = 'OF_TULKAS',
  name = 'OF_TULKAS',
  unique = 'OF_TULKAS',
  keep_base = 'TULKAS_BASE',
  artifact_name = 'of Tulkas',
  artifact_desc = 'The treasure of Tulkas, most fleet and wrathful of the Valar.',
  level = 70,
  rarity = 50,
  weight = 0.2,
  encumber = 0.2,
  cost = 175000,
  pval = 4,
  insta_art = true,
  stat_flags = { STR=true, DEX=true, CON=true },
  pval_flags = { speed=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  esp_flags = { EVIL=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows brightly...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      who:setEffect(who.EFF_SPEED, 75+rng.range(1, 75), { speed=10, merge=function(c,n) return c+5 end })
      return { used=true }
    end,
    power = { 150, 150 },
    name = 'temporarily increase your speed',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'NARYA_BASE',
  define_as = 'OF_POWER_NARYA',
  name = 'OF_POWER_NARYA',
  unique = 'OF_POWER_NARYA',
  keep_base = 'NARYA_BASE',
  artifact_name = [[of Power 'Narya']],
  artifact_desc = 'The Ring of Fire, set with a ruby that glows like flame.  Narya is one of the three Rings of Power created by the Elves and hidden by them from Sauron.',
  level = 70,
  rarity = 30,
  weight = 0.2,
  encumber = 0.2,
  cost = 100000,
  combat = { 1, 1 }, to_h = 6, to_d = 6,
  pval = 1,
  special_gene = true,
  insta_art = true,
  convey_resist_dam = { [DamageType.NETHER]=true, [DamageType.FEAR]=true },
  convey_immune_dam = { [DamageType.FIRE]=true },
  convey_flags = { FREE_ACT=true, SEE_INVIS=true, SUST_STR=true, SUST_CON=true, SUST_WIS=true, SUST_CHA=true, REGENERATE=true },
  stat_flags = { STR=true, INT=true, WIS=true, DEX=true, CON=true, CHA=true },
  pval_flags = { speed=true, adj_luck=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows deep red...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      who:heal(500, this)
      who:removeEffect(who.EFF_BLIND)
      who:removeEffect(who.EFF_CONFUSED)
      who:removeEffect(who.EFF_POISON)
      who:removeEffect(who.EFF_STUN)
      who:removeEffect(who.EFF_CUT)
      return { used=true }
    end,
    power = { 200, 100 },
    name = 'heal 500hp and remove some detrimental effects',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'NENYA_BASE',
  define_as = 'OF_POWER_NENYA',
  name = 'OF_POWER_NENYA',
  unique = 'OF_POWER_NENYA',
  keep_base = 'NENYA_BASE',
  artifact_name = [[of Power 'Nenya']],
  artifact_desc = 'The Ring of Adamant, with a pure white stone as centrepiece.  Nenya is one of the three Rings of Power created by the Elves and hidden by them from Sauron.',
  level = 80,
  rarity = 40,
  weight = 0.2,
  encumber = 0.2,
  cost = 200000,
  combat = { 1, 1 }, to_h = 9, to_d = 9,
  pval = 2,
  insta_art = true,
  convey_resist_dam = { [DamageType.BLIND]=true },
  convey_immune_dam = { [DamageType.COLD]=true },
  convey_flags = { HOLD_LIFE=true, FREE_ACT=true, SEE_INVIS=true, SUST_INT=true, SUST_WIS=true, SUST_CHA=true },
  stat_flags = { STR=true, INT=true, WIS=true, DEX=true, CON=true, CHA=true },
  pval_flags = { speed=true, adj_luck=true, skill_stealth=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  esp_flags = { ALL=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_ability(e)
    return nil	-- Delete the origin field
  end),
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows bright white...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      who:heal(800, this)
      who:removeEffect(who.EFF_BLIND)
      who:removeEffect(who.EFF_CONFUSED)
      who:removeEffect(who.EFF_POISON)
      who:removeEffect(who.EFF_STUN)
      who:removeEffect(who.EFF_CUT)
      return { used=true }
    end,
    power = { 100, 200 },
    name = 'heal 800hp and remove some detrimental effects',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'VILYA_BASE',
  define_as = 'OF_POWER_VILYA',
  name = 'OF_POWER_VILYA',
  unique = 'OF_POWER_VILYA',
  keep_base = 'VILYA_BASE',
  artifact_name = [[of Power 'Vilya']],
  artifact_desc = 'The Ring of Sapphire, with clear blue gems that shine like stars, glittering untouchable despite all that Sauron ever wrought.  Vilya is one of the three Rings of Power created by the Elves and hidden by them from Sauron.',
  level = 90,
  rarity = 50,
  weight = 0.2,
  encumber = 0.2,
  cost = 300000,
  combat = { 1, 1 }, to_h = 12, to_d = 12,
  pval = 3,
  insta_art = true,
  convey_resist_dam = { [DamageType.POISON]=true, [DamageType.DISENCHANT]=true },
  convey_immune_dam = { [DamageType.ELEC]=true },
  convey_flags = { HOLD_LIFE=true, FREE_ACT=true, SEE_INVIS=true, FEATHER=true, SLOW_DIGEST=true, REGENERATE=true, SUST_STR=true, SUST_DEX=true, SUST_CON=true },
  stat_flags = { STR=true, INT=true, WIS=true, DEX=true, CON=true, CHA=true },
  pval_flags = { speed=true, adj_luck=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_ability(e)
    return nil	-- Delete the origin field
  end),
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows deep blue...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      who:heal(900, this)
      who:removeEffect(who.EFF_BLIND)
      who:removeEffect(who.EFF_CONFUSED)
      who:removeEffect(who.EFF_POISON)
      who:removeEffect(who.EFF_STUN)
      who:removeEffect(who.EFF_CUT)
      who:removeEffect(who.EFF_BLACK_BREATH)
      return { used=true }
    end,
    power = { 100, 200 },
    name = 'heal 900hp, cure Black Breath and remove some detrimental effects',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'ONE_RING_BASE',
  define_as = 'OF_POWER_THE_ONE_RING',
  name = 'OF_POWER_THE_ONE_RING',
  unique = 'OF_POWER_THE_ONE_RING',
  keep_base = 'ONE_RING_BASE',
  artifact_name = [[of Power 'The One Ring']],
  artifact_desc = '"Ash nazg durbatulûk, ash nazg gimbatul, ash nazg thrakatulûk agh burzum-ishi krimpatul". Unadorned, made of massive gold, set with runes in the foul speech of Mordor, with power so great that it inevitably twists and masters any earthly being who wears it.',
  level = 100,
  rarity = 100,
  weight = 0.2,
  encumber = 0.2,
  cost = 5000000,
  combat = { 1, 1 }, to_h = 15, to_d = 15,
  pval = 5,
  insta_art = true,
  convey_resist_dam = { [DamageType.BLIND]=true, [DamageType.POISON]=true, [DamageType.DISENCHANT]=true, [DamageType.NETHER]=true },
  convey_immune_dam = { [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.ELEC]=true, [DamageType.ACID]=true },
  convey_flags = { SEE_INVIS=true, REGENERATE=true, FREE_ACT=true, SUST_STR=true, SUST_DEX=true, SUST_CON=true, SUST_INT=true, SUST_WIS=true, SUST_CHA=true, DRAIN_EXP=true },
  stat_flags = { STR=true, INT=true, WIS=true, DEX=true, CON=true, CHA=true },
  pval_flags = { speed=true, invisibility=true, spellpower=true, mana_mult=true },
  cum_flags = { drain_mana=true, drain_hp=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, AUTO_CURSE=true, HEAVY_CURSE=true, CURSED=true, CURSE_NO_DROP=true, PERMA_CURSE=true },
  esp_flags = { ALL=true },
  worn_talents = { ActorTalents.T_OBJ_CHANGE_THE_WORLD },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_ability(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      local list = {
	{ name='Summon a wraith', action='wraith' },
	{ name='Rule the world', action='world' },
	{ name='Cast a powerful attack', action='attack' }
      }
      local function cb(item) return item and item.act end
      local ret = who:talentDialog(ui_util.listPopup(self:getName{no_mods=true, no_pval=true, no_inscr=true}, 'Select a power to use:', list, 600, cb))
      if not ret then return {} end
      if ret == 'wraith' then
	local filter = { not_properties={'unique'} }
	if who.level and who.level > 47 then
	  filter.displays = 'LVW'
	else
	  filter.deep_flags = { flags={UNDEAD=true} }
	end
	local lev = math.floor((who.level or 0)*3/2)
	local wraiths = spell.summon(who, who.x, who.y, filter, 1, lev)
	if #wraiths > 0 then
	  game.logPlayer(who, [[Cold winds begin to blow around you, carrying with them the stench of decay...]])
	  game.logPlayer(who, [[Ancient, long-dead forms arise from the ground to serve you!]])
	end
      elseif ret == 'world' then
	game.logPlayer(who, [[The power of the ring destroys the world!]])
	game.logPlayer(who, [[The world changes!]])
	spell.alter_reality()
      elseif ret == 'attack' then
	-- Sneaky Hack(TM):  The T2 code doesn't reveal what kind of attack
	-- this is going to be until after the target is selected.
	local tg = { type='bolt', range=20 }
	local x, y = self:getTarget(tg)
	if not x or not y then return {} end
	if rng.chance(3) then
	  game.logPlayer(who, [[You call the fire of Mount Doom!]])
	  spell.ball_spell(who, nil, DamageType.METEOR, 600, 4, x, y, 20)
	else
	  game.logPlayer(who, [[Your ring tries to take possession of your enemy's mind!]])
	  spell.bolt_spell(who, nil, DamageType.CHARM, 600, x, y, 20)
	end
      else
	game.log('??? %s', tostring(ret))
	return {}
      end
      return { used=true, id=true }
    end,
    power = { 250, 250 },
    name = 'do powerful things',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  worn_callbacks = {
    -- on_global_turn() for the AUTO_CURSE flag will be added by
    -- Object:resolve().
    on_die_pre = function(who, o, src, p)
      -- If somone else saved our proverbial, no need to do anything.
      if p.no_die then return end

      -- cf. quest_one_die_hook() in src/q_one.c
      local Dialog = require 'engine.Dialog'
      local text
      if who.max_life > 1 then
	text = [[You feel the power of the One Ring sustaining your life, but it drags you even further into the shadow world.]]
	who.ring_death_count = (who.ring_death_count or 0) + 1
	p.no_die = true
      else
	text = [[The One Ring finally drags you totally into the shadow world.  Your mortal existence ends there.]]
      end
      Dialog:simpleLongPopup('The One Ring', text, 600)
    end,
    on_player_calc_max_life = function(who, o)
      -- For every Ring-prevented death, reduce max_live by a third.
      -- [cf. quest_one_hp_hook() in src/q_one.c]
      for _ = 1, (who.ring_death_count or 0) do
	self.max_life = math.floor((self.max_life * 2)/3)
      end
    end,
  },
  no_obj_teleport = true,	-- cf. trap_util.teleport_item()
  -- END VERBATIM
}

newEntity {
  base = 'SPACE_TIME_BASE',
  define_as = 'OF_SPACE_TIME',
  name = 'OF_SPACE_TIME',
  unique = 'OF_SPACE_TIME',
  keep_base = 'SPACE_TIME_BASE',
  artifact_name = 'of Space-Time',
  artifact_desc = 'A powerful stone that provides a strong light for any who wields it. It is rumoured that it may even protect the wearer from the passing of time.',
  level = 30,
  rarity = 12,
  weight = 1.5,
  encumber = 1.5,
  cost = 50000,
  combat = { 1, 1 },
  pval = 0,
  insta_art = true,
  lite = 1,
  resolvers.artifact(),
  -- BEGIN VERBATIM
  -- T2's 'resist_continuum' flag, which also has the effect of resist time.
  convey_flags = { ANCHOR=true },
  convey_resist_dam = { [DamageType.TIME]=true },
  -- END VERBATIM
}

newEntity {
  base = 'LORE_BASE',
  define_as = 'OF_LORE',
  name = 'OF_LORE',
  unique = 'OF_LORE',
  keep_base = 'LORE_BASE',
  artifact_name = 'of Lore',
  artifact_desc = 'A great emerald that fills your mind with images of knowledge and dreadful understanding as you stare into its depths.',
  level = 15,
  rarity = 12,
  weight = 1.5,
  encumber = 1.5,
  cost = 20000,
  combat = { 1, 1 },
  pval = 0,
  special_gene = true,
  insta_art = true,
  lite = 1,
  flags = { ACTIVATE=true, EASY_USE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s reveals hidden mysteries...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      if not spell.identify_dialog(who, true, 'Select item to identify') then
	return {}
      end
      if who.mana and who:has('PERFECT_CASTING') then
	-- ...?  Wait, if we have Perfect Casting, we lose hp *and* mana?
	-- That makes no sense.  [cf. src/cmd6.c lines 5493-5550]
	if who.mana >= 20 then
	  who:incMana(-20)
	else
	  local oops = 20 - who.mana
	  who:incMana(-who.mana)
	  game.logPlayer(who, 'You are too weak to control the stone!')
	  who:setEffect(who.EFF_PARALYZED, rng.range(1, 5*oops+1), { merge='combine' })
	  who:setEffect(who.EFF_CONFUSED, rng.range(1, 5*oops+1), { merge='combine' })
	end
      end
      who:takeHit(rng.dice(1, 12), self)
      if rng.chance(5) then
	who:setEffect(who.EFF_CONFUSED, rng.range(1, 10), { merge='combine' })
      end
      if rng.chance(20) then
	who:takeHit(rng.dice(4, 10), self)
      end
      return { used=true }
    end,
    name = 'identify an item, taking 1d12 damage and possibly experiencing temporary confusion and paralysis',
    power = 1,
  },
  cant_use_if = { not_wielded=true },
  max_power = 1,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'MULTI_HUED_DRAGON_SCALE_MAIL',
  define_as = 'RAZORBACK',
  name = 'RAZORBACK',
  unique = 'RAZORBACK',
  keep_base = 'MULTI_HUED_DRAGON_SCALE_MAIL',
  artifact_name = [['Razorback']],
  artifact_desc = 'A massive suit of heavy dragon scales deeply saturated with many colours.  It throbs with angry energies, and you feel the raw elemental might of untamed Lightning as you put it on.',
  level = 90,
  rarity = 9,
  weight = 50,
  encumber = 50,
  cost = 400000,
  to_h = -4,
  pval = 0,
  armor = 30,
  to_a = 25,
  special_gene = true,
  lite = 1,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.POISON]=true, [DamageType.LITE]=true, [DamageType.DARK]=true },
  convey_immune_dam = { [DamageType.ELEC]=true },
  convey_flags = { FREE_ACT=true, SEE_INVIS=true, AGGRAVATE=true },
  flags = { ACTIVATE=true },
  esp_flags = { DRAGON=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      spelll.ray_spells(who, nil, DamageType.ELEC, 150, 3, 20)
      return { used=true }
    end,
    power = 1000,
    name = [[fire balls of lightning (150 damage, radius 3) in all eight directions]],
  },
  cant_use_if = { not_wielded=true },
  max_power = 1000,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'POWER_DRAGON_SCALE_MAIL',
  define_as = 'POWER_DRAGON_SCALE_MAIL_OF_ETERNITY',
  name = 'POWER_DRAGON_SCALE_MAIL_OF_ETERNITY',
  unique = 'POWER_DRAGON_SCALE_MAIL_OF_ETERNITY',
  keep_base = 'POWER_DRAGON_SCALE_MAIL',
  artifact_name = 'of Eternity',
  artifact_desc = 'A suit of adamant, set with scales of every colour, surrounded in a nimbus of perfectly untramelled yet inextricably intermingled and utterly mastered powers elemental and ethereal.',
  level = 100,
  rarity = 16,
  weight = 60,
  encumber = 60,
  cost = 500000,
  to_h = -8,
  pval = 0,
  armor = 50,
  to_a = 35,
  special_gene = true,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.ELEC]=true, [DamageType.POISON]=true, [DamageType.NETHER]=true, [DamageType.NEXUS]=true, [DamageType.CHAOS]=true, [DamageType.LITE]=true, [DamageType.DARK]=true, [DamageType.SHARDS]=true, [DamageType.SOUND]=true, [DamageType.DISENCHANT]=true, [DamageType.BLIND]=true, [DamageType.CONFUSION]=true },
  convey_flags = { HOLD_LIFE=true, REGENERATE=true, FEATHER=true, FLY=true },
  flags = { ULTIMATE=true, ACTIVATE=true },
  esp_flags = { DRAGON=true },
  ignore_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      who:setEffect(who.EFF_INVULNERABILITY, 4 + rng.dice(1, 8), { merge='combine' })
      return { used=true }
    end,
    power = 800,
    name = 'render yourself nearly invulnerable (dur 4+d8)',
  },
  cant_use_if = { not_wielded=true },
  max_power = 800,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'SPEAR',
  define_as = 'OF_MELKOR',
  name = 'OF_MELKOR',
  unique = 'OF_MELKOR',
  keep_base = 'SPEAR',
  artifact_name = 'of Melkor',
  artifact_desc = 'The mighty spear used once by Melkor to slay the trees of Valinor.',
  level = 65,
  rarity = 45,
  weight = 20,
  encumber = 20,
  cost = 100000,
  combat = { 4, 6 }, to_h = 12, to_d = 24,
  pval = -4,
  convey_resist_dam = { [DamageType.DARK]=true, [DamageType.BLIND]=true, [DamageType.LITE]=true, [DamageType.NETHER]=true, [DamageType.CONFUSION]=true },
  brand_dam = { [DamageType.POISON]=true },
  stat_flags = { WIS=true },
  pval_flags = { skill_stealth=true },
  cum_flags = { drain_mana=true, drain_hp=true },
  flags = { CURSED=true, HEAVY_CURSE=true, TY_CURSE=true },
  esp_flags = { GOOD=true },
  resolvers.artifact(),
}

newEntity {
  base = 'ADAMANTITE_PLATE_MAIL',
  define_as = 'SOULKEEPER',
  name = 'SOULKEEPER',
  unique = 'SOULKEEPER',
  keep_base = 'ADAMANTITE_PLATE_MAIL',
  artifact_name = [['Soulkeeper']],
  artifact_desc = 'A suit of imperishable adamant, with unconquerable strength to endure evil and disruptive magics, that protects the life force of its wearer as nothing else can.',
  level = 75,
  rarity = 9,
  weight = 42,
  encumber = 42,
  cost = 300000,
  combat = { 2, 4 }, to_h = -4,
  pval = 2,
  armor = 40,
  to_a = 20,
  convey_resist_dam = { [DamageType.CONFUSION]=true, [DamageType.FEAR]=true, [DamageType.ACID]=true, [DamageType.COLD]=true, [DamageType.DARK]=true, [DamageType.NETHER]=true, [DamageType.NEXUS]=true, [DamageType.CHAOS]=true },
  convey_flags = { HOLD_LIFE=true, SUST_CON=true },
  stat_flags = { CON=true },
  flags = { ACTIVATE=true },
  esp_flags = { UNDEAD=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows bright white...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      game.logPlayer(who, 'You feel much better...')
      who:heal(1000, self)
      return { used=true }
    end,
    power = 888,
    name = 'heal 1000hp',
  },
  cant_use_if = { not_wielded=true },
  max_power = 888,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'FULL_PLATE_ARMOUR',
  define_as = 'OF_ISILDUR',
  name = 'OF_ISILDUR',
  unique = 'OF_ISILDUR',
  keep_base = 'FULL_PLATE_ARMOUR',
  artifact_name = 'of Isildur',
  artifact_desc = 'A gleaming steel suit covering the wearer from neck to foot, with runes of warding and stability deeply engraved into its surface.',
  level = 30,
  rarity = 3,
  weight = 30,
  encumber = 30,
  cost = 50000,
  combat = { 2, 4 },
  pval = 1,
  armor = 25,
  to_a = 25,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.SOUND]=true, [DamageType.CONFUSION]=true, [DamageType.NEXUS]=true },
  stat_flags = { CON=true },
  resolvers.artifact(),
}

newEntity {
  base = 'METAL_BRIGANDINE_ARMOUR',
  define_as = 'OF_THE_ROHIRRIM',
  name = 'OF_THE_ROHIRRIM',
  unique = 'OF_THE_ROHIRRIM',
  keep_base = 'METAL_BRIGANDINE_ARMOUR',
  artifact_name = 'of the Rohirrim',
  artifact_desc = 'A stiff suit of armour composed of small metal plates sewn to an inner layer of heavy canvas, and covered with a second layer of cloth.  Within it is the spirit of Eorl the Young, matchless in combat.',
  level = 30,
  rarity = 3,
  weight = 20,
  encumber = 20,
  cost = 30000,
  combat = { 1, 4 },
  pval = 2,
  armor = 19,
  to_a = 15,
  convey_resist_dam = { [DamageType.FEAR]=true, [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.CONFUSION]=true, [DamageType.SOUND]=true },
  stat_flags = { STR=true, DEX=true },
  pval_flags = { speed=true },
  flags = { HIDE_TYPE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'MITHRIL_CHAIN_MAIL',
  define_as = 'BELEGENNON',
  name = 'BELEGENNON',
  unique = 'BELEGENNON',
  keep_base = 'MITHRIL_CHAIN_MAIL',
  artifact_name = [['Belegennon']],
  artifact_desc = 'This wondrous suit of fine-linked chain shimmers as though of pure silver.  It stands untouched amidst the fury of the elements, and a power of concealment rests within.',
  level = 40,
  rarity = 10,
  weight = 15,
  encumber = 15,
  cost = 135000,
  combat = { 1, 4 }, to_h = -1,
  pval = 4,
  armor = 28,
  to_a = 20,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.POISON]=true, [DamageType.DARK]=true, [DamageType.FEAR]=true },
  convey_flags = { HOLD_LIFE=true, SEE_INVIS=true },
  stat_flags = { WIS=true, INT=true },
  pval_flags = { skill_stealth=true },
  flags = { ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'A heavenly choir sings...')
      who:removeEffect(who.EFF_POISON)
      who:removeEffect(who.EFF_CUT)
      who:removeEffect(who.EFF_STUN)
      who:removeEffect(who.EFF_CONFUSED)
      who:removeEffect(who.EFF_BLIND)
      who:setEffect(who.EFF_HEROISM, rng.range(1, 25), { merge='combine' })
      who:heal(777, self)
      return { used=true }
    end,
    power = 300,
    name = 'heal 777hp, cure various ailments and induce heroism',
  },
  cant_use_if = { not_wielded=true },
  max_power = 300,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'MITHRIL_PLATE_MAIL',
  define_as = 'OF_CELEBORN',
  name = 'OF_CELEBORN',
  unique = 'OF_CELEBORN',
  keep_base = 'MITHRIL_PLATE_MAIL',
  artifact_name = 'of Celeborn',
  artifact_desc = 'A shimmering suit of true-silver, forged long ago by dwarven smiths of legend.  It gleams with purest white as you gaze upon it, and mighty are its powers to protect and banish.',
  level = 40,
  rarity = 3,
  weight = 25,
  encumber = 25,
  cost = 150000,
  combat = { 2, 4 }, to_h = -3,
  pval = 4,
  armor = 35,
  to_a = 25,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.DARK]=true, [DamageType.DISENCHANT]=true },
  stat_flags = { STR=true, CHA=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  esp_flags = { ORC=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows deep blue...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.genocide(who, 'target', nil, 4)
      return { used=ret }
    end,
    power = 500,
    name = 'remove all non-unique monsters of the selected type from the level, taking 1d4 damage for each monster removed',
  },
  cant_use_if = { not_wielded=true },
  max_power = 500,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'CHAIN_MAIL',
  define_as = 'OF_ARVEDUI',
  name = 'OF_ARVEDUI',
  unique = 'OF_ARVEDUI',
  keep_base = 'CHAIN_MAIL',
  artifact_name = 'of Arvedui',
  artifact_desc = 'A hauberk, leggings, and sleeves of interlocking steel rings, well padded with leather. You feel strong and tall as Arvedui, last king of Arnor, as you put it on.',
  level = 20,
  rarity = 3,
  weight = 22,
  encumber = 22,
  cost = 32000,
  combat = { 1, 4 }, to_h = -2,
  pval = 2,
  armor = 14,
  to_a = 15,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.SHARDS]=true, [DamageType.NEXUS]=true },
  stat_flags = { STR=true, CHA=true },
  flags = { HIDE_TYPE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'AUGMENTED_CHAIN_MAIL',
  define_as = 'OF_CASPANION',
  name = 'OF_CASPANION',
  unique = 'OF_CASPANION',
  keep_base = 'AUGMENTED_CHAIN_MAIL',
  artifact_name = 'of Caspanion',
  artifact_desc = 'A hauberk, leggings, and sleeves of interlocking steel rings, strategically reinforced at vital locations with a second layer of chain.  Magics to enhance body and mind lie within, and no door can hope to resist the wearer.',
  level = 25,
  rarity = 9,
  weight = 27,
  encumber = 27,
  cost = 40000,
  combat = { 1, 4 }, to_h = -2,
  pval = 3,
  armor = 16,
  to_a = 20,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.POISON]=true, [DamageType.CONFUSION]=true },
  stat_flags = { INT=true, WIS=true, CON=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      spell.ball_spell(who, nil, DamageType.KILL_DOOR, dam, 1, who.x, who.y)
      spell.ball_spell(who, nil, DamageType.KILL_TRAP, dam, 1, who.x, who.y)
      return { used=true }
    end,
    power = 10,
    name = 'destroy doors and traps',
  },
  cant_use_if = { not_wielded=true },
  max_power = 10,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'THUNDERLORD_COAT',
  define_as = 'OF_MARDA',
  name = 'OF_MARDA',
  unique = 'OF_MARDA',
  keep_base = 'THUNDERLORD_COAT',
  artifact_name = 'of Marda',
  artifact_desc = 'The flying suit of Marda, very powerful armour that protects the wearer from cold.  Wonderful as this mighty armour is, beware wearing it, for it has been cursed by a powerful wizard since Marda had it and is said to have gained a couple of undesirable side-effects...',
  level = 70,
  rarity = 3,
  weight = 8,
  encumber = 8,
  cost = 80000,
  combat = { 0, 0 },
  pval = 5,
  armor = 9,
  to_a = 25,
  convey_resist_dam = { [DamageType.BLIND]=true, [DamageType.CONFUSION]=true, [DamageType.FEAR]=true, [DamageType.NEXUS]=true, [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.COLD]=true },
  convey_immune_dam = { [DamageType.COLD]=true },
  convey_melee_retal = { [DamageType.FIRE]='plyrdam' },
  convey_flags = { FREE_ACT=true, REFLECT=true, SUST_INT=true, SUST_CON=true, SUST_CHA=true, AGGRAVATE=true },
  stat_flags = { CON=true, CHA=true, INT=true },
  cum_flags = { drain_mana=true },
  flags = { HEAVY_CURSE=true, CURSED=true },
  esp_flags = { THUNDERLORD=true },
  resolvers.artifact(),
}

newEntity {
  base = 'THUNDERLORD_COAT',
  define_as = 'OF_TRONE',
  name = 'OF_TRONE',
  unique = 'OF_TRONE',
  keep_base = 'THUNDERLORD_COAT',
  artifact_name = 'of Trone',
  artifact_desc = 'The flying suit of Trone.  It protects the user from fire and imps are said to be less annoying with this on.',
  level = 30,
  rarity = 3,
  weight = 8,
  encumber = 8,
  cost = 65000,
  combat = { 0, 0 },
  pval = 4,
  armor = 9,
  to_a = 20,
  special_gene = true,
  convey_resist_dam = { [DamageType.NEXUS]=true, [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.COLD]=true },
  convey_immune_dam = { [DamageType.FIRE]=true },
  convey_melee_retal = { [DamageType.FIRE]='plyrdam' },
  convey_flags = { REFLECT=true, FLY=true },
  stat_flags = { CON=true, INT=true },
  pval_flags = { skill_stealth=true, speed=true },
  esp_flags = { THUNDERLORD=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'LEATHER_SCALE_MAIL',
  define_as = 'THALKETTOTH',
  name = 'THALKETTOTH',
  unique = 'THALKETTOTH',
  keep_base = 'LEATHER_SCALE_MAIL',
  artifact_name = [['Thalkettoth']],
  artifact_desc = 'A tunic and skirt sewn with thick, overlapping scales of hardened leather whose wearer moves with agility and assurance.',
  level = 20,
  rarity = 3,
  weight = 6,
  encumber = 6,
  cost = 25000,
  combat = { 1, 1 }, to_h = -1,
  pval = 3,
  armor = 11,
  to_a = 25,
  special_gene = true,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.SHARDS]=true },
  stat_flags = { DEX=true },
  pval_flags = { speed=true },
  flags = { HIDE_TYPE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'PAIR_OF_SOFT_LEATHER_BOOTS',
  define_as = 'OF_WORMTONGUE',
  name = 'OF_WORMTONGUE',
  unique = 'OF_WORMTONGUE',
  keep_base = 'PAIR_OF_SOFT_LEATHER_BOOTS',
  artifact_name = 'of Wormtongue',
  artifact_desc = 'The pair of boots used by Gríma son of Gálmód, also named the Wormtongue:  a treacherous but persuasive counsellor, ever ready to betray, sneak, lie, cheat and steal - but never ready to actually fight.',
  level = 40,
  rarity = 20,
  weight = 2,
  encumber = 2,
  cost = 50000,
  to_h = -10, to_d = -10,
  pval = 3,
  armor = 2,
  to_a = 10,
  convey_resist_dam = { [DamageType.DARK]=true, [DamageType.LITE]=true },
  convey_flags = { FREE_ACT=true, FEATHER=true },
  stat_flags = { INT=true, DEX=true, CHA=true },
  pval_flags = { skill_stealth=true, skill_searching=true, skill_perception=true, speed=true },
  flags = { HIDE_TYPE=true },
  esp_flags = { GOOD=true, UNIQUE=true },
  worn_talents = { ActorTalents.T_OBJ_PANIC_HIT },
  resolvers.artifact(),
}

newEntity {
  base = 'SMALL_METAL_SHIELD',
  define_as = 'OF_THORIN',
  name = 'OF_THORIN',
  unique = 'OF_THORIN',
  keep_base = 'SMALL_METAL_SHIELD',
  artifact_name = 'of Thorin',
  artifact_desc = 'Invoking the strength and endurance of Thorin, King under the Mountain, this little metal shield is proof against the Element of Earth.',
  level = 30,
  rarity = 6,
  weight = 6.5,
  encumber = 6.5,
  cost = 60000,
  pval = 4,
  armor = 3,
  to_a = 25,
  convey_resist_dam = { [DamageType.SOUND]=true, [DamageType.CHAOS]=true },
  convey_immune_dam = { [DamageType.ACID]=true },
  convey_flags = { FREE_ACT=true },
  stat_flags = { STR=true, CON=true },
  flags = { HIDE_TYPE=true },
  esp_flags = { ORC=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'LARGE_LEATHER_SHIELD',
  define_as = 'OF_CELEGORM',
  name = 'OF_CELEGORM',
  unique = 'OF_CELEGORM',
  keep_base = 'LARGE_LEATHER_SHIELD',
  artifact_name = 'of Celegorm',
  artifact_desc = 'This shield emblazoned with a multitude of creatures not seen for ages once protected Celegorm, lord of Himlad; around it lies a mystic balance that contains the conflicts of the elements.',
  level = 30,
  rarity = 3,
  weight = 6,
  encumber = 6,
  cost = 12000,
  pval = 0,
  armor = 4,
  to_a = 20,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.LITE]=true, [DamageType.DARK]=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'LARGE_METAL_SHIELD',
  define_as = 'OF_ANARION',
  name = 'OF_ANARION',
  unique = 'OF_ANARION',
  keep_base = 'LARGE_METAL_SHIELD',
  artifact_name = 'of Anárion',
  artifact_desc = 'The great metal-bound shield of Anárion, son of Elendil, who Sauron found himself powerless to wither or diminish.',
  level = 40,
  rarity = 9,
  weight = 12,
  encumber = 12,
  cost = 160000,
  pval = 0,
  armor = 5,
  to_a = 20,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true },
  convey_flags = { SUST_STR=true, SUST_INT=true, SUST_WIS=true, SUST_DEX=true, SUST_CON=true, SUST_CHA=true },
  esp_flags = { EVIL=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'BEAKED_AXE',
  define_as = 'OF_HURIN',
  name = 'OF_HURIN',
  unique = 'OF_HURIN',
  keep_base = 'BEAKED_AXE',
  artifact_name = 'of Húrin',
  artifact_desc = [[Wielded by Húrin Thalion in the Fifth Battle of Beleriand, this troll-bane smoked in the black blood of Gothmog's guards.]],
  level = 20,
  rarity = 15,
  weight = 18,
  encumber = 18,
  cost = 90000,
  combat = { 2, 6 }, to_h = 12, to_d = 20,
  pval = 3,
  lite = 1,
  convey_resist_dam = { [DamageType.ACID]=true },
  brand_dam = { [DamageType.ACID]=true },
  slay_flags = { ORC=true, X_DEMON=true, TROLL=true },
  stat_flags = { STR=true, CON=true },
  cum_flags = { drain_mana=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true, MUST2H=true },
  obvious_flags = { flags = { MUST2H=true } },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local function merge_fn(c, n) return n+5 end
      who:setEffect(who.EFF_SPEED, rng.range(51, 100), { speed=10, merge=merge_fn })
      who:heal(30, self)
      who:removeEffect(who.EFF_AFRAID)
      who:setEffect(who.EFF_SUPERHEROISM, rng.range(51, 100), {merge='combine'})
      return { used=true, id=true }
    end,
    power = { 200, 100 },
    name = 'induce berzerker rage and +10 speed',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'MORGOTH_CROWN_BASE',
  define_as = 'OF_MORGOTH',
  name = 'OF_MORGOTH',
  unique = 'OF_MORGOTH',
  keep_base = 'MORGOTH_CROWN_BASE',
  artifact_name = 'of Morgoth',
  artifact_desc = 'Two Silmarils of Fëanor blaze from the thunderous crown of twisted iron. The corrupted metal feels at once as infernal as hellfire and as chilling as the Outer Darkness. One protrusion from the crown is abruptly ended where a third jewel might have shone.',
  level = 100,
  rarity = 1,
  weight = 2,
  encumber = 2,
  cost = 10000000,
  pval = 125,
  armor = 0,
  insta_art = true,
  special_gene = true,
  lite = 1,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.POISON]=true, [DamageType.LITE]=true, [DamageType.DARK]=true, [DamageType.CONFUSION]=true, [DamageType.NEXUS]=true, [DamageType.NETHER]=true },
  convey_flags = { SEE_INVIS=true },
  stat_flags = { STR=true, INT=true, WIS=true, DEX=true, CON=true, CHA=true },
  pval_flags = { infravision=true },
  flags = { HIDE_TYPE=true, CURSED=true, HEAVY_CURSE=true, PERMA_CURSE=true },
  esp_flags = { ALL=true },
  resolvers.artifact(),
}

newEntity {
  base = 'IRON_CROWN',
  define_as = 'OF_BERUTHIEL',
  name = 'OF_BERUTHIEL',
  unique = 'OF_BERUTHIEL',
  keep_base = 'IRON_CROWN',
  artifact_name = 'of Berúthiel',
  artifact_desc = 'The midnight-hued steel circlet of the sorceress-queen Berúthiel, which grants extraordinary powers of sight and awareness at a terrible physical cost.',
  level = 40,
  rarity = 12,
  weight = 2,
  encumber = 2,
  cost = 0,
  pval = -5,
  armor = 0,
  to_a = 20,
  convey_flags = { FREE_ACT=true, SEE_INVIS=true },
  stat_flags = { STR=true, DEX=true, CON=true },
  flags = { HIDE_TYPE=true, CURSED=true, AUTO_CURSE=true },
  esp_flags = { ANIMAL=true, EVIL=true, NONLIVING=true, ALL=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_ability(e)
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'HARD_LEATHER_CAP',
  define_as = 'OF_THRANDUIL',
  name = 'OF_THRANDUIL',
  unique = 'OF_THRANDUIL',
  keep_base = 'HARD_LEATHER_CAP',
  artifact_name = 'of Thranduil',
  artifact_desc = 'The hunting cap of King Thranduil, to whose ears come all the secrets of his forest domain.',
  level = 20,
  rarity = 2,
  weight = 1.5,
  encumber = 1.5,
  cost = 50000,
  pval = 2,
  armor = 2,
  to_a = 10,
  convey_resist_dam = { [DamageType.BLIND]=true },
  stat_flags = { INT=true, WIS=true },
  flags = { HIDE_TYPE=true },
  esp_flags = { ORC=true, EVIL=true, TROLL=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'METAL_CAP',
  define_as = 'OF_THENGEL',
  name = 'OF_THENGEL',
  unique = 'OF_THENGEL',
  keep_base = 'METAL_CAP',
  artifact_name = 'of Thengel',
  artifact_desc = 'A ridged helmet made of steel, and embossed with scenes of valour in fine-engraved silver.  It grants the wearer nobility, clarity of thought and understanding.',
  level = 10,
  rarity = 2,
  weight = 2,
  encumber = 2,
  cost = 22000,
  pval = 3,
  armor = 3,
  to_a = 12,
  convey_resist_dam = { [DamageType.CONFUSION]=true },
  stat_flags = { WIS=true, CHA=true },
  pval_flags = { adj_luck=true },
  flags = { HIDE_TYPE=true },
  resolvers.artifact(),
}

newEntity {
  base = 'STEEL_HELM',
  define_as = 'OF_HAMMERHAND',
  name = 'OF_HAMMERHAND',
  unique = 'OF_HAMMERHAND',
  keep_base = 'STEEL_HELM',
  artifact_name = 'of Hammerhand',
  artifact_desc = 'A great helm as steady as the heroes of the Westdike. Mighty were the blows of Helm, the Hammerhand!',
  level = 20,
  rarity = 2,
  weight = 6,
  encumber = 6,
  cost = 45000,
  pval = 3,
  armor = 6,
  to_a = 20,
  special_gene = true,
  convey_resist_dam = { [DamageType.FEAR]=true, [DamageType.ACID]=true, [DamageType.NEXUS]=true, [DamageType.COLD]=true, [DamageType.DARK]=true },
  convey_flags = { SUST_STR=true, SUST_DEX=true, SUST_CON=true, SLOW_DIGEST=true },
  stat_flags = { STR=true, DEX=true, CON=true },
  flags = { HIDE_TYPE=true },
  worn_talents = { ActorTalents.T_TROLL_BERZERK },
  resolvers.artifact(),
}

newEntity {
  base = 'DRAGON_HELM',
  define_as = 'OF_DOR_LOMIN',
  name = 'OF_DOR_LOMIN',
  unique = 'OF_DOR_LOMIN',
  keep_base = 'DRAGON_HELM',
  artifact_name = 'of Dor-lómin',
  artifact_desc = 'The legendary dragon helm of Túrin Turambar, an object of dread to the servants of Morgoth.',
  level = 40,
  rarity = 12,
  weight = 7.5,
  encumber = 7.5,
  cost = 300000,
  pval = 4,
  armor = 8,
  to_a = 20,
  lite = 1,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.LITE]=true, [DamageType.BLIND]=true },
  convey_flags = { SEE_INVIS=true },
  stat_flags = { STR=true, DEX=true, CON=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  esp_flags = { DRAGON=true, THUNDERLORD=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      spell.los_spell(who, nil, DamageType.TURN_ALL, 40 + (who.level or 0))
      return { used=true }
    end,
    power = function(self, who) return ((who.level or 50) + 10)*3 end,
    name = 'terrify nearby monsters',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  resolvers.artifact(),
}

newEntity {
  base = 'IRON_HELM',
  define_as = 'HOLHENNETH',
  name = 'HOLHENNETH',
  unique = 'HOLHENNETH',
  keep_base = 'IRON_HELM',
  artifact_name = [['Holhenneth']],
  artifact_desc = 'A famous helm of forged iron granting extraordinary powers of mind and awareness.',
  level = 20,
  rarity = 5,
  weight = 7.5,
  encumber = 7.5,
  cost = 100000,
  pval = 2,
  armor = 5,
  to_a = 10,
  convey_resist_dam = { [DamageType.BLIND]=true },
  convey_flags = { SEE_INVIS=true },
  stat_flags = { INT=true, WIS=true },
  pval_flags = { skill_searching=true, skill_perception=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows bright white...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      game.logPlayer(who, 'An image forms in your mind...')
      spell.detect_traps(25, who)
      spell.detect_doors_stairs(25, who)
      spell.detect_buried_treasure(25, who)
      spell.detect_gold(25, who)
      spell.detect_objects(25, who)
      spell.detect_monsters_normal(25, who)
      spell.detect_invisible_monsters(25, who)
      return { used=true }
    end,
    power = { 55, 55 },
    name = 'detect various things',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'IRON_HELM',
  define_as = 'OF_GORLIM',
  name = 'OF_GORLIM',
  unique = 'OF_GORLIM',
  keep_base = 'IRON_HELM',
  artifact_name = 'of Gorlim',
  artifact_desc = 'A headpiece, gaudy and barbaric, that betrayed a warrior when he most needed succor.',
  level = 20,
  rarity = 5,
  weight = 7.5,
  encumber = 7.5,
  cost = 0,
  to_h = 25, to_d = 25,
  pval = -5,
  armor = 5,
  to_a = 10,
  convey_resist_dam = { [DamageType.DISENCHANT]=true, [DamageType.FEAR]=true, [DamageType.ACID]=true, [DamageType.FIRE]=true, [DamageType.POISON]=true },
  convey_immune_dam = { [DamageType.COLD]=true },
  convey_flags = { SEE_INVIS=true, NO_MAGIC=true, FREE_ACT=true, TELEPORT=true },
  stat_flags = { INT=true, WIS=true },
  pval_flags = { skill_searching=true, skill_perception=true },
  cum_flags = { drain_hp=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, HEAVY_CURSE=true, TY_CURSE=true, ACTIVATE=true, CURSED=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      spell.los_spell(who, nil, DamageType.TURN_ALL, 40 + (who.level or 0))
      return { used=true }
    end,
    power = function(self, who) return ((who.level or 50) + 10)*3 end,
    name = 'terrify nearby monsters',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  resolvers.artifact(),
}

newEntity {
  base = 'GOLDEN_CROWN',
  define_as = 'GOLDEN_CROWN_OF_GONDOR',
  name = 'GOLDEN_CROWN_OF_GONDOR',
  unique = 'GOLDEN_CROWN_OF_GONDOR',
  keep_base = 'GOLDEN_CROWN',
  artifact_name = 'of Gondor',
  artifact_desc = 'The shining winged circlet brought by Elendil from dying Númenor, emblem of Gondor through an age of the world.',
  level = 40,
  rarity = 40,
  weight = 3,
  encumber = 3,
  cost = 125000,
  pval = 3,
  armor = 0,
  to_a = 15,
  lite = 1,
  convey_resist_dam = { [DamageType.CONFUSION]=true, [DamageType.SOUND]=true, [DamageType.COLD]=true, [DamageType.FIRE]=true, [DamageType.LITE]=true, [DamageType.BLIND]=true, [DamageType.ELEC]=true, [DamageType.CHAOS]=true },
  convey_flags = { SEE_INVIS=true, REGENERATE=true },
  stat_flags = { STR=true, WIS=true, CON=true },
  pval_flags = { speed=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_ability(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows deep blue...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      game.logPlayer(who, 'You feel a warm tingling inside...')
      who:heal(700, self)
      who:removeEffect(who.EFF_CUT)
      return { used=true }
    end,
    power = 250,
    name = 'heal 700hp',
  },
  cant_use_if = { not_wielded=true },
  max_power = 250,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'JEWEL_ENCRUSTED_CROWN',
  define_as = 'OF_NUMENOR',
  name = 'OF_NUMENOR',
  unique = 'OF_NUMENOR',
  keep_base = 'JEWEL_ENCRUSTED_CROWN',
  artifact_name = 'of Númenor',
  artifact_desc = 'A crown of massive gold, set with wondrous jewels of thought and warding, worn by the kings of ancient Númenor.  Its wearer may go into battle always knowing what he faces - unless his own folly blinds him to the nature and magnitude of the task.',
  level = 60,
  rarity = 30,
  weight = 4,
  encumber = 4,
  cost = 50000,
  pval = 3,
  armor = 0,
  to_a = 18,
  lite = 1,
  convey_resist_dam = { [DamageType.DARK]=true, [DamageType.BLIND]=true, [DamageType.SHARDS]=true, [DamageType.SOUND]=true, [DamageType.LITE]=true, [DamageType.COLD]=true },
  convey_flags = { SEE_INVIS=true, FREE_ACT=true },
  stat_flags = { INT=true, DEX=true, CHA=true },
  pval_flags = { skill_searching=true, skill_perception=true, speed=true },
  cum_flags = { drain_mana=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local tg = { type='hit', range=20 }
      local x, y = self:getTarget(tg)
      if not x or not y then return {} end
      local a = game.level.map(x, y, Map.ACTOR)
      if not a or not a.define_as then
	game.logPlayer(who, 'There is no creature there.')
	return {}
      end
      local ActorLearn = require 'mod.class.interface.ActorLearn'
      ActorLearn:learnAllFlagsFor(a.define_as)
      return { used=ret }
    end,
    power = { 500, 200 },
    name = 'analyze a target monster',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'CLOAK',
  define_as = 'COLLUIN',
  name = 'COLLUIN',
  unique = 'COLLUIN',
  keep_base = 'CLOAK',
  artifact_name = [['Colluin']],
  artifact_desc = 'A cape worn by a hero from Valinor, a land utterly beyond the strife of Elements.',
  level = 5,
  rarity = 45,
  weight = 1,
  encumber = 1,
  cost = 40000,
  pval = 0,
  armor = 1,
  to_a = 20,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.POISON]=true },
  flags = { ACTIVATE=true },
  esp_flags = { GOOD=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows many colors...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      who:setEffect(who.EFF_RES_ACID, 20+rng.range(1, 20), { merge='combine' })
      who:setEffect(who.EFF_RES_LIGHTNING, 20+rng.range(1, 20), { merge='combine' })
      who:setEffect(who.EFF_RES_FIRE, 20+rng.range(1, 20), { merge='combine' })
      who:setEffect(who.EFF_RES_COLD, 20+rng.range(1, 20), { merge='combine' })
      who:setEffect(who.EFF_RES_POISON, 20+rng.range(1, 20), { merge='combine' })
      return { used=true }
    end,
    power = 111,
    name = 'confer temporary resistance',
  },
  cant_use_if = { not_wielded=true },
  max_power = 111,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'CLOAK',
  define_as = 'HOLCOLLETH',
  name = 'HOLCOLLETH',
  unique = 'HOLCOLLETH',
  keep_base = 'CLOAK',
  artifact_name = [['Holcolleth']],
  artifact_desc = 'This elven-grey mantle possesses great powers of tranquility and of concealment, and grants the wearer the knowledge and understanding of the Sindar.',
  level = 5,
  rarity = 25,
  weight = 1,
  encumber = 1,
  cost = 13000,
  pval = 2,
  armor = 1,
  to_a = 4,
  convey_resist_dam = { [DamageType.ACID]=true },
  stat_flags = { INT=true, WIS=true },
  pval_flags = { speed=true, skill_stealth=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s glows deep blue...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      spell.los_spell(who, nil, DamageType.OLD_SLEEP, who.level or 1)
      return { used=true }
    end,
    power = 55,
    name = 'put nearby monsters to sleep',
  },
  cant_use_if = { not_wielded=true },
  max_power = 55,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'CLOAK',
  define_as = 'OF_THINGOL',
  name = 'OF_THINGOL',
  unique = 'OF_THINGOL',
  keep_base = 'CLOAK',
  artifact_name = 'of Thingol',
  artifact_desc = 'A sable-hued cloak, with glowing elven-runes to restore magic showing calm and clear as moonlight on still water.',
  level = 10,
  rarity = 50,
  weight = 1,
  encumber = 1,
  cost = 35000,
  pval = 3,
  armor = 1,
  to_a = 18,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true },
  convey_flags = { FREE_ACT=true },
  stat_flags = { DEX=true, CHA=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local ret = obj_util.recharge(self, 60)
      return { used=ret }
    end,
    power = 70,
    name = 'recharge a wand/staff/rod (power 60)',
  },
  cant_use_if = { not_wielded=true },
  max_power = 70,
  power_regen = 1,
  resolvers.generic(function(e)
    obj_util.random_ability(e)
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'CLOAK',
  define_as = 'OF_THORONGIL',
  name = 'OF_THORONGIL',
  unique = 'OF_THORONGIL',
  keep_base = 'CLOAK',
  artifact_name = 'of Thorongil',
  artifact_desc = 'A cloak of shimmering green and brown that grants sight beyond sight and shakes off holding magics, worn by Aragorn son of Arathorn in his youth as he adventured under the name of Thorongil.',
  level = 5,
  rarity = 10,
  weight = 1,
  encumber = 1,
  cost = 8000,
  pval = 0,
  armor = 1,
  to_a = 10,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.FEAR]=true },
  convey_flags = { FREE_ACT=true, SEE_INVIS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'CLOAK',
  define_as = 'COLANNON',
  name = 'COLANNON',
  unique = 'COLANNON',
  keep_base = 'CLOAK',
  artifact_name = [['Colannon']],
  artifact_desc = 'A crystal-blue cape of fine silk worn by a silent messenger of the forces of Law. Somehow, its wearer is always able to escape trouble.',
  level = 5,
  rarity = 20,
  weight = 1,
  encumber = 1,
  cost = 11000,
  pval = 3,
  armor = 1,
  to_a = 15,
  convey_resist_dam = { [DamageType.NEXUS]=true, [DamageType.ACID]=true },
  pval_flags = { skill_stealth=true, speed=true },
  flags = { ACTIVATE=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s twists space around you...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      spell.teleport(who, 100)
      return { used=true }
    end,
    power = 45,
    name = 'teleport (range 100)',
  },
  cant_use_if = { not_wielded=true },
  max_power = 45,
  power_regen = 1,
  resolvers.artifact(),
}

newEntity {
  base = 'SHADOW_CLOAK',
  define_as = 'OF_LUTHIEN',
  name = 'OF_LUTHIEN',
  unique = 'OF_LUTHIEN',
  keep_base = 'SHADOW_CLOAK',
  artifact_name = 'of Lúthien',
  artifact_desc = 'The opaque midnight folds, inset with a multitude of tiny diamonds, of this cloak swirl around you and you feel a hint, a fragment of the knowledge and power to restore that lay in Lúthien, the most beautiful being that ever knew death.',
  level = 40,
  rarity = 40,
  weight = 0.5,
  encumber = 0.5,
  cost = 55000,
  pval = 2,
  armor = 6,
  to_a = 20,
  special_gene = true,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true },
  stat_flags = { INT=true, WIS=true, CHA=true },
  pval_flags = { speed=true, skill_stealth=true, invisibility=true, adj_luck=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SPELL_CONTAIN=true, WIELD_CAST=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows a deep red...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      if who.restoreExp then who:restoreExp() end
      return { used=true }
    end,
    power = 450,
    name = 'restore life levels',
  },
  cant_use_if = { not_wielded=true },
  max_power = 450,
  power_regen = 1,
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'SHADOW_CLOAK',
  define_as = 'OF_TUOR',
  name = 'OF_TUOR',
  unique = 'OF_TUOR',
  keep_base = 'SHADOW_CLOAK',
  artifact_name = 'of Tuor',
  artifact_desc = 'From the ruin of Gondolin did Tuor escape, through secret ways and travail, shielded by his cloak from a multitude of hostile eyes.',
  level = 40,
  rarity = 40,
  weight = 0.5,
  encumber = 0.5,
  cost = 35000,
  pval = 4,
  armor = 6,
  to_a = 12,
  convey_immune_dam = { [DamageType.ACID]=true },
  convey_flags = { WATER_BREATH=true, FREE_ACT=true, SEE_INVIS=true, CLIMB=true },
  stat_flags = { DEX=true },
  pval_flags = { skill_stealth=true, invisibility=true },
  flags = { HIDE_TYPE=true },
  resolvers.artifact(),
}

newEntity {
  base = 'MAIN_GAUCHE',
  define_as = 'OF_AZAGHAL',
  name = 'OF_AZAGHAL',
  unique = 'OF_AZAGHAL',
  keep_base = 'MAIN_GAUCHE',
  artifact_name = 'of Azaghal',
  artifact_desc = 'The weapon of Azaghal when he wounded Glaurung.  It is deadly when fighting dragons and is said to make the breaths of fire completely harmless.',
  level = 15,
  rarity = 30,
  weight = 3,
  encumber = 3,
  cost = 40000,
  combat = { 2, 5 }, to_h = 12, to_d = 14,
  pval = 0,
  convey_resist_dam = { [DamageType.FEAR]=true },
  convey_immune_dam = { [DamageType.FIRE]=true },
  slay_flags = { X_DRAGON=true },
  esp_flags = { DRAGON=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SET_OF_LEATHER_GLOVES',
  define_as = 'CAMBELEG',
  name = 'CAMBELEG',
  unique = 'CAMBELEG',
  keep_base = 'SET_OF_LEATHER_GLOVES',
  artifact_name = [['Cambeleg']],
  artifact_desc = [[A hero's handgear that lends great prowess in battle.]],
  level = 10,
  rarity = 6,
  weight = 0.5,
  encumber = 0.5,
  cost = 36000,
  to_h = 8, to_d = 8,
  pval = 2,
  armor = 1,
  to_a = 15,
  convey_flags = { FREE_ACT=true },
  stat_flags = { STR=true, CON=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SET_OF_LEATHER_GLOVES',
  define_as = 'CAMMITHRIM',
  name = 'CAMMITHRIM',
  unique = 'CAMMITHRIM',
  keep_base = 'SET_OF_LEATHER_GLOVES',
  artifact_name = [['Cammithrim']],
  artifact_desc = 'These gloves glow so brightly as to light the way for their owner and cast magical bolts with great frequency.',
  level = 10,
  rarity = 3,
  weight = 0.5,
  encumber = 0.5,
  cost = 30000,
  pval = 0,
  armor = 1,
  to_a = 10,
  special_gene = true,
  lite = 1,
  convey_resist_dam = { [DamageType.LITE]=true },
  convey_flags = { FREE_ACT=true, SUST_CON=true },
  flags = { ACTIVATE=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s glows extremely brightly...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.bolt_spell(who, nil, DamageType.MISSILE, rng.dice(2, 6), nil, nil, 20)
      return { used=ret }
    end,
    power = 2,
    name = 'fire a magic missile (2d6)',
  },
  cant_use_if = { not_wielded=true },
  max_power = 2,
  power_regen = 1,
  resolvers.artifact(),
}

newEntity {
  base = 'SET_OF_GAUNTLETS',
  define_as = 'PAURHACH',
  name = 'PAURHACH',
  unique = 'PAURHACH',
  keep_base = 'SET_OF_GAUNTLETS',
  artifact_name = [['Paurhach']],
  artifact_desc = [[A fiery set of gauntlets that can even shoot fire from the user's hands.]],
  level = 10,
  rarity = 5,
  weight = 2.5,
  encumber = 2.5,
  cost = 15000,
  pval = 0,
  armor = 2,
  to_a = 15,
  convey_resist_dam = { [DamageType.FIRE]=true },
  flags = { ACTIVATE=true, SPELL_CONTAIN=true, WIELD_CAST=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s is convered in fire...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.bolt_spell(who, nil, DamageType.FIRE, rng.dice(9, 8), nil, nil, 20)
      return { used=ret }
    end,
    power = { 8, 8 },
    name = 'shoot a bolt of fire (9d8)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  resolvers.artifact(),
}

newEntity {
  base = 'SET_OF_GAUNTLETS',
  define_as = 'PAURNIMMEN',
  name = 'PAURNIMMEN',
  unique = 'PAURNIMMEN',
  keep_base = 'SET_OF_GAUNTLETS',
  artifact_name = [['Paurnimmen']],
  artifact_desc = 'A set of handgear so icy as to be able to fire frost bolts.',
  level = 10,
  rarity = 5,
  weight = 2.5,
  encumber = 2.5,
  cost = 33000,
  pval = 4,
  armor = 2,
  to_a = 15,
  convey_resist_dam = { [DamageType.COLD]=true },
  convey_flags = { SUST_CON=true, REGENERATE=true },
  stat_flags = { CON=true },
  flags = { ACTIVATE=true, SPELL_CONTAIN=true, WIELD_CAST=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s is convered in frost...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.bolt_spell(who, nil, DamageType.COLD, rng.dice(6, 8), nil, nil, 20)
      return { used=ret }
    end,
    power = { 7, 7 },
    name = 'shoot a bolt of frost (6d8)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  resolvers.artifact(),
}

newEntity {
  base = 'SET_OF_GAUNTLETS',
  define_as = 'PAURAEGEN',
  name = 'PAURAEGEN',
  unique = 'PAURAEGEN',
  keep_base = 'SET_OF_GAUNTLETS',
  artifact_name = [['Pauraegen']],
  artifact_desc = 'A set of handgear with sparks surrounding it, able to fire bolts of electricity.',
  level = 10,
  rarity = 5,
  weight = 2.5,
  encumber = 2.5,
  cost = 11000,
  pval = 0,
  armor = 2,
  to_a = 15,
  convey_resist_dam = { [DamageType.ELEC]=true },
  flags = { ACTIVATE=true, SPELL_CONTAIN=true, WIELD_CAST=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s is convered in sparks...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.bolt_spell(who, nil, DamageType.ELEC, rng.dice(4, 8), nil, nil, 20)
      return { used=ret }
    end,
    power = { 6, 6 },
    name = 'fire a lightning bolt (4d8)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  resolvers.artifact(),
}

newEntity {
  base = 'SET_OF_GAUNTLETS',
  define_as = 'PAURNEN',
  name = 'PAURNEN',
  unique = 'PAURNEN',
  keep_base = 'SET_OF_GAUNTLETS',
  artifact_name = [['Paurnen']],
  artifact_desc = 'A set of handgear so corrosive that it may fire bolts of acid.',
  level = 10,
  rarity = 5,
  weight = 2.5,
  encumber = 2.5,
  cost = 12000,
  pval = 0,
  armor = 2,
  to_a = 15,
  convey_resist_dam = { [DamageType.ACID]=true },
  flags = { ACTIVATE=true, SPELL_CONTAIN=true, WIELD_CAST=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s is convered in acid...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.bolt_spell(who, nil, DamageType.ACID, rng.dice(5, 8), nil, nil, 20)
      return { used=ret }
    end,
    power = { 5, 5 },
    name = 'shoot a bolt of acid (5d8)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'SET_OF_GAUNTLETS',
  define_as = 'CAMLOST',
  name = 'CAMLOST',
  unique = 'CAMLOST',
  keep_base = 'SET_OF_GAUNTLETS',
  artifact_name = [['Camlost']],
  artifact_desc = 'A pair of gauntlets that sap combat ability, named after the empty hand of Beren that once clasped a Silmaril.',
  level = 10,
  rarity = 20,
  weight = 2.5,
  encumber = 2.5,
  cost = 0,
  to_h = -11, to_d = -12,
  pval = -3,
  armor = 2,
  convey_resist_dam = { [DamageType.POISON]=true, [DamageType.DISENCHANT]=true, [DamageType.NETHER]=true },
  convey_immune_dam = { [DamageType.FIRE]=true, [DamageType.COLD]=true },
  convey_flags = { FREE_ACT=true, AGGRAVATE=true, TELEPORT=true },
  stat_flags = { STR=true, DEX=true },
  cum_flags = { drain_mana=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, HEAVY_CURSE=true, TY_CURSE=true, CURSED=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SET_OF_CESTI',
  define_as = 'OF_FINGOLFIN',
  name = 'OF_FINGOLFIN',
  unique = 'OF_FINGOLFIN',
  keep_base = 'SET_OF_CESTI',
  artifact_name = 'of Fingolfin',
  artifact_desc = 'The hand-sheathing of Fingolfin, warrior-king of Elves and Men, who gave Morgoth seven mighty wounds and pain that will last forever.',
  level = 40,
  rarity = 15,
  weight = 4,
  encumber = 4,
  cost = 110000,
  to_h = 10, to_d = 10,
  pval = 4,
  armor = 5,
  to_a = 20,
  convey_resist_dam = { [DamageType.ACID]=true },
  convey_flags = { FREE_ACT=true },
  stat_flags = { DEX=true },
  pval_flags = { adj_luck=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true },
  worn_talents = { ActorTalents.T_DARK_ELF_MISSILE },
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s grows magical spikes...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.bolt_spell(who, nil, DamageType.ARROW, 150, nil, nil, 20)
      return { used=ret }
    end,
    power = { 90, 90 },
    name = 'fire arrows (150)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_ability(e)
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'PAIR_OF_HARD_LEATHER_BOOTS',
  define_as = 'PAIR_OF_HARD_LEATHER_BOOTS_OF_FEANOR',
  name = 'PAIR_OF_HARD_LEATHER_BOOTS_OF_FEANOR',
  unique = 'PAIR_OF_HARD_LEATHER_BOOTS_OF_FEANOR',
  keep_base = 'PAIR_OF_HARD_LEATHER_BOOTS',
  artifact_name = 'of Fëanor',
  artifact_desc = 'This wondrous pair of leather boots once sped Fëanor, creator of the Silmarils and the mightiest of the Eldar, along the Grinding Ice and to Middle-earth at last.',
  level = 40,
  rarity = 120,
  weight = 4,
  encumber = 4,
  cost = 300000,
  pval = 15,
  armor = 3,
  to_a = 20,
  convey_resist_dam = { [DamageType.NEXUS]=true },
  pval_flags = { speed=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows bright green...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      who:setEffect(who.EFF_SPEED, 20+rng.range(1, 20), { speed=10, merge=function(c,n) return c+5 end })
      return { used=true }
    end,
    power = 250,
    name = 'temporarily increase your speed (+10, dur 20+d20)',
  },
  cant_use_if = { not_wielded=true },
  max_power = 250,
  power_regen = 1,
  resolvers.artifact(),
}

newEntity {
  base = 'PAIR_OF_SOFT_LEATHER_BOOTS',
  define_as = 'DAL_I_THALION',
  name = 'DAL_I_THALION',
  unique = 'DAL_I_THALION',
  keep_base = 'PAIR_OF_SOFT_LEATHER_BOOTS',
  artifact_name = [['Dal-i-thalion']],
  artifact_desc = 'A pair of high-laced shoes, strong against the powers of corruption and withering, that grant the wearer extraordinary agility.',
  level = 10,
  rarity = 25,
  weight = 2,
  encumber = 2,
  cost = 40000,
  pval = 5,
  armor = 2,
  to_a = 15,
  convey_resist_dam = { [DamageType.NETHER]=true, [DamageType.CHAOS]=true, [DamageType.CONFUSION]=true },
  convey_flags = { SUST_CHA=true, FREE_ACT=true, SUST_CON=true },
  stat_flags = { DEX=true, CHA=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows deep blue...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      who:removeEffect(who.EFF_POISON)
      who:removeEffect(who.EFF_AFRAID)
      return { used=true }
    end,
    power = 5,
    name = 'remove fear and cure poison',
  },
  cant_use_if = { not_wielded=true },
  max_power = 5,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'PAIR_OF_METAL_SHOD_BOOTS',
  define_as = 'OF_THROR',
  name = 'OF_THROR',
  unique = 'OF_THROR',
  keep_base = 'PAIR_OF_METAL_SHOD_BOOTS',
  artifact_name = 'of Thrór',
  artifact_desc = 'Sturdy footwear of leather and steel as enduring as the long-suffering Dwarven King-in-exile who wore them.  Of dwarven make, these boots willmake their wearer completely at home in the mountains.',
  level = 30,
  rarity = 25,
  weight = 8,
  encumber = 8,
  cost = 15000,
  pval = 3,
  armor = 6,
  to_a = 20,
  convey_resist_dam = { [DamageType.FEAR]=true },
  convey_flags = { CLIMB=true },
  stat_flags = { STR=true, CON=true },
  pval_flags = { speed=true },
  flags = { HIDE_TYPE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'SEEKER_ARROW',
  define_as = 'SEEKER_ARROW_OF_BARD',
  name = 'SEEKER_ARROW_OF_BARD',
  unique = 'SEEKER_ARROW_OF_BARD',
  keep_base = 'SEEKER_ARROW',
  artifact_name = 'of Bard',
  artifact_desc = 'Deadliest of arrows, imbued with elemental strength, this shaft is feared especially by the wyrmkin.',
  level = 55,
  rarity = 30,
  weight = 0.2,
  encumber = 0.2,
  cost = 50000,
  combat = { 8, 4 }, to_h = 20, to_d = 15,
  pval = 0,
  brand_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.POISON]=true },
  slay_flags = { ANIMAL=true, EVIL=true, UNDEAD=true, DEMON=true, ORC=true, TROLL=true, GIANT=true, DRAGON=true, X_DRAGON=true },
  set_info = {
    name = [[Dragon Slayer]],
    desc = [[It is from a group of items rumoured to be the bane of dragons.]],
    [2] = {
      pval = 5,
      pval_flags = { speed=true },
    },
  },
  resolvers.artifact(),
}

newEntity {
  base = 'MAIN_GAUCHE',
  define_as = 'OF_MAEDHROS',
  name = 'OF_MAEDHROS',
  unique = 'OF_MAEDHROS',
  keep_base = 'MAIN_GAUCHE',
  artifact_name = 'of Maedhros',
  artifact_desc = 'A short thrusting blade with a large guard worn by Maedhros the Tall, eldest son of Fëanor, and wielded with his left hand after the loss of his right hand in the pits of Thangorodrim.',
  level = 15,
  rarity = 30,
  weight = 3,
  encumber = 3,
  cost = 22500,
  combat = { 2, 5 }, to_h = 12, to_d = 15,
  pval = 3,
  special_gene = true,
  slay_flags = { TROLL=true, GIANT=true },
  convey_flags = { FREE_ACT=true, SEE_INVIS=true },
  stat_flags = { INT=true, DEX=true },
  pval_flags = { speed=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    if rng.chance(2) then
      obj_util.random_ability(e)
    else
      obj_util.random_resistance(e, rng.range(17, 38))
    end
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'DAGGER',
  define_as = 'ANGRIST',
  name = 'ANGRIST',
  unique = 'ANGRIST',
  keep_base = 'DAGGER',
  artifact_name = [['Angrist']],
  artifact_desc = 'Forged from meteoric iron, this long chopping dagger slices through ordinary metal as easily as its title, "Iron Cleaver", suggests.',
  level = 20,
  rarity = 80,
  weight = 1.2,
  encumber = 1.2,
  cost = 125000,
  combat = { 2, 4 }, to_h = 10, to_d = 15,
  pval = 4,
  to_a = 5,
  convey_resist_dam = { [DamageType.DARK]=true },
  brand_dam = { [DamageType.POISON]=true, [DamageType.ACID]=true },
  slay_flags = { EVIL=true, TROLL=true, ORC=true },
  convey_flags = { FREE_ACT=true, SUST_DEX=true, SEE_INVIS=true },
  stat_flags = { DEX=true },
  pval_flags = { skill_stealth=true, skill_searching=true, skill_perception=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'DAGGER',
  define_as = 'NARTHANC',
  name = 'NARTHANC',
  unique = 'NARTHANC',
  keep_base = 'DAGGER',
  artifact_name = [['Narthanc']],
  artifact_desc = 'A fiery dagger finely balanced for deadly throws.',
  level = 4,
  rarity = 100,
  weight = 1.2,
  encumber = 1.2,
  cost = 12000,
  combat = { 1, 4 }, to_h = 4, to_d = 6,
  pval = 0,
  lite = 1,
  convey_resist_dam = { [DamageType.FIRE]=true },
  brand_dam = { [DamageType.FIRE]=true },
  flags = { ACTIVATE=true, SHOW_MODS=true, LEVELS=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s is convered in fire...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.bolt_spell(who, nil, DamageType.FIRE, rng.dice(9, 8), nil, nil, 20)
      return { used=ret }
    end,
    power = { 8, 8 },
    name = 'shoot a bolt of fire (9d8)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  set_info = {
    name = [[The Trinity]],
    desc = [[It is one of the 3 legendary daggers.]],
    [2] = {
      pval = 2,
      stat_flags = { STR=true },
    },
    [3] = {
      pval = 1,
      slay_flags = { X_DRAGON=true },
      convey_melee_retal = { [DamageType.FIRE]='plyrdam' },
      convey_flags = { REGENERATE=true },
    },
  },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'DAGGER',
  define_as = 'NIMTHANC',
  name = 'NIMTHANC',
  unique = 'NIMTHANC',
  keep_base = 'DAGGER',
  artifact_name = [['Nimthanc']],
  artifact_desc = 'A frosty dagger finely balanced for deadly throws.',
  level = 3,
  rarity = 100,
  weight = 1.2,
  encumber = 1.2,
  cost = 11000,
  combat = { 1, 4 }, to_h = 4, to_d = 6,
  pval = 0,
  convey_resist_dam = { [DamageType.COLD]=true },
  brand_dam = { [DamageType.COLD]=true },
  flags = { ACTIVATE=true, SHOW_MODS=true, LEVELS=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s is convered in frost...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.bolt_spell(who, nil, DamageType.COLD, rng.dice(6, 8), nil, nil, 20)
      return { used=ret }
    end,
    power = { 7, 7 },
    name = 'shoot a bolt of frost (6d8)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  set_info = {
    name = [[The Trinity]],
    desc = [[It is one of the 3 legendary daggers.]],
    [2] = {
      pval = 2,
      stat_flags = { CON=true },
    },
    [3] = {
      pval = 1,
      convey_immune_dam = { [DamageType.COLD]=true },
      slay_flags = { X_DEMON=true },
    },
  },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'DAGGER',
  define_as = 'DETHANC',
  name = 'DETHANC',
  unique = 'DETHANC',
  keep_base = 'DAGGER',
  artifact_name = [['Dethanc']],
  artifact_desc = 'A dagger covered in sparks and finely balanced for deadly throws.',
  level = 5,
  rarity = 100,
  weight = 1.2,
  encumber = 1.2,
  cost = 13000,
  combat = { 1, 4 }, to_h = 4, to_d = 6,
  pval = 0,
  convey_resist_dam = { [DamageType.ELEC]=true },
  brand_dam = { [DamageType.ELEC]=true },
  flags = { ACTIVATE=true, SHOW_MODS=true, LEVELS=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s is convered in sparks...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.bolt_spell(who, nil, DamageType.ELEC, rng.dice(4, 8), nil, nil, 20)
      return { used=ret }
    end,
    power = { 6, 6 },
    name = 'fire a lightning bolt (4d8)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  set_info = {
    name = [[The Trinity]],
    desc = [[It is one of the 3 legendary daggers.]],
    [2] = {
      pval = 2,
      stat_flags = { DEX=true },
    },
    [3] = {
      pval = 1,
      slay_flags = { X_UNDEAD=true },
      convey_melee_retal = { [DamageType.ELEC]='plyrdam' },
      convey_flags = { FLY=true },
    },
  },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'DAGGER',
  define_as = 'OF_RILIA',
  name = 'OF_RILIA',
  unique = 'OF_RILIA',
  keep_base = 'DAGGER',
  artifact_name = 'of Rilia',
  artifact_desc = 'A large stiletto dagger that glistens with odourless poison, to which the wearer seems oddly immune.',
  level = 5,
  rarity = 40,
  weight = 1.2,
  encumber = 1.2,
  cost = 35000,
  combat = { 2, 4 }, to_h = 4, to_d = 3,
  pval = 0,
  convey_resist_dam = { [DamageType.POISON]=true, [DamageType.DISENCHANT]=true },
  brand_dam = { [DamageType.POISON]=true },
  slay_flags = { ORC=true },
  flags = { ACTIVATE=true, SHOW_MODS=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s throbs deep grean', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.ball_spell(who, nil, DamageType.POISON, 12, 3, nil, nil, 20)
      return { used=ret }
    end,
    power = { 4, 4 },
    name = 'fire a ball of poison (dam 12, rad 3)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'DAGGER',
  define_as = 'BELANGIL',
  name = 'BELANGIL',
  unique = 'BELANGIL',
  keep_base = 'DAGGER',
  artifact_name = [['Belangil']],
  artifact_desc = 'A frosty dagger surrounded in a nimbus of ice with a hilt of elk horn and an edge to wound the wind.',
  level = 10,
  rarity = 40,
  weight = 1.2,
  encumber = 1.2,
  cost = 50000,
  combat = { 2, 4 }, to_h = 6, to_d = 9,
  pval = 2,
  convey_resist_dam = { [DamageType.COLD]=true },
  brand_dam = { [DamageType.COLD]=true, [DamageType.POISON]=true },
  convey_flags = { SEE_INVIS=true, SLOW_DIGEST=true, REGENERATE=true },
  stat_flags = { DEX=true },
  pval_flags = { speed=true, extra_blows=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s is covered in frost...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.ball_spell(who, nil, DamageType.FIRE, 48, 2, nil, nil, 20)
      return { used=ret }
    end,
    power = { 5, 5 },
    name = 'fire a ball of frost (dam 48, rad 2)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'BASTARD_SWORD',
  define_as = 'CALRIS',
  name = 'CALRIS',
  unique = 'CALRIS',
  keep_base = 'BASTARD_SWORD',
  artifact_name = [['Calris']],
  artifact_desc = 'This sword has runes of power incised on its ornate hilt and a single blood channel that gleams coldly blue as you grasp this mighty weapon of peril.',
  level = 30,
  rarity = 15,
  weight = 14,
  encumber = 14,
  cost = 100000,
  combat = { 5, 4 }, to_h = -20, to_d = 20,
  pval = 5,
  convey_resist_dam = { [DamageType.DISENCHANT]=true },
  slay_flags = { X_DRAGON=true, EVIL=true, DEMON=true, TROLL=true },
  convey_flags = { AGGRAVATE=true },
  stat_flags = { CON=true },
  cum_flags = { drain_hp=true },
  flags = { HIDE_TYPE=true, CURSED=true, HEAVY_CURSE=true, SHOW_MODS=true, AUTO_CURSE=true, COULD2H=true },
  esp_flags = { DRAGON=true, DEMON=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'BROAD_SWORD',
  define_as = 'ARANRUTH',
  name = 'ARANRUTH',
  unique = 'ARANRUTH',
  keep_base = 'BROAD_SWORD',
  artifact_name = [['Aranrúth']],
  artifact_desc = 'The beautiful sword of Thingol with a hilt of gold and silver inlay, glistening icily enough to freeze the hearts of demons.  You feel supple and lightfooted as you hold it.',
  level = 20,
  rarity = 45,
  weight = 15,
  encumber = 15,
  cost = 125000,
  combat = { 3, 5 }, to_h = 20, to_d = 12,
  pval = 4,
  convey_resist_dam = { [DamageType.CHAOS]=true, [DamageType.NETHER]=true, [DamageType.FEAR]=true, [DamageType.COLD]=true },
  brand_dam = { [DamageType.COLD]=true },
  slay_flags = { DEMON=true, EVIL=true, DRAGON=true, UNDEAD=true },
  convey_flags = { SUST_CON=true, SUST_STR=true, REGENERATE=true, FREE_ACT=true, SEE_INVIS=true, HOLD_LIFE=true, SLOW_DIGEST=true, BLESSED=true },
  stat_flags = { STR=true, DEX=true, CON=true },
  flags = { SHOW_MODS=true, HIDE_TYPE=true },
  resolvers.artifact(),
}

newEntity {
  base = 'BROAD_SWORD',
  define_as = 'GLAMDRING',
  name = 'GLAMDRING',
  unique = 'GLAMDRING',
  keep_base = 'BROAD_SWORD',
  artifact_name = [['Glamdring']],
  artifact_desc = 'This fiery, shining blade earned its sobriquet "Foe-Hammer" from dying orcs who dared to come near hidden Gondolin.',
  level = 20,
  rarity = 20,
  weight = 15,
  encumber = 15,
  cost = 40000,
  combat = { 2, 5 }, to_h = 10, to_d = 15,
  pval = 1,
  special_gene = true,
  lite = 1,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.LITE]=true },
  brand_dam = { [DamageType.FIRE]=true },
  slay_flags = { DEMON=true, EVIL=true, ORC=true },
  convey_flags = { BLESSED=true, SLOW_DIGEST=true },
  pval_flags = { skill_searching=true, skill_perception=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  esp_flags = { ORC=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    if rng.chance(2) then
      obj_util.random_ability(e)
    else
      obj_util.random_resistance(e, rng.range(17, 38))
    end
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'BROAD_SWORD',
  define_as = 'AEGLIN',
  name = 'AEGLIN',
  unique = 'AEGLIN',
  keep_base = 'BROAD_SWORD',
  artifact_name = [['Aeglin']],
  artifact_desc = 'Like unto Orcrist and Glamdring, and like them long lost, this sword is continually coved in tiny arcs of captive lightning that flash and dance eerily in the globe of light they create.',
  level = 20,
  rarity = 90,
  weight = 15,
  encumber = 15,
  cost = 95000,
  combat = { 2, 5 }, to_h = 12, to_d = 16,
  pval = 4,
  lite = 1,
  convey_resist_dam = { [DamageType.FEAR]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.BLIND]=true },
  brand_dam = { [DamageType.ELEC]=true },
  slay_flags = { ORC=true, GIANT=true, TROLL=true },
  convey_flags = { BLESSED=true, SLOW_DIGEST=true },
  pval_flags = { skill_searching=true, skill_perception=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  esp_flags = { ORC=true, GIANT=true, TROLL=true },
  resolvers.artifact(),
}

newEntity {
  base = 'BROAD_SWORD',
  define_as = 'ORCRIST',
  name = 'ORCRIST',
  unique = 'ORCRIST',
  keep_base = 'BROAD_SWORD',
  artifact_name = [['Orcrist']],
  artifact_desc = 'This coldly gleaming blade is called simply "Biter", by orcs who came to know its power all too well.',
  level = 20,
  rarity = 20,
  weight = 15,
  encumber = 15,
  cost = 40000,
  combat = { 2, 5 }, to_h = 10, to_d = 15,
  pval = 3,
  lite = 1,
  convey_resist_dam = { [DamageType.COLD]=true, [DamageType.COLD]=true, [DamageType.DARK]=true },
  brand_dam = { [DamageType.COLD]=true },
  slay_flags = { DRAGON=true, EVIL=true, ORC=true },
  convey_flags = { SLOW_DIGEST=true },
  pval_flags = { skill_searching=true, skill_perception=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  esp_flags = { ORC=true, DRAGON=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    if rng.chance(2) then
      obj_util.random_ability(e)
    else
      obj_util.random_resistance(e, rng.range(17, 38))
    end
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'TWO_HANDED_SWORD',
  define_as = 'GURTHANG',
  name = 'GURTHANG',
  unique = 'GURTHANG',
  keep_base = 'TWO_HANDED_SWORD',
  artifact_name = [['Gurthang']],
  artifact_desc = [[A giant sword once wielded by mighty Túrin, and a great dragonbane which bathed in Glaurung's blood:  but beware, it will drink the blood of those who wield it eventually.]],
  level = 30,
  rarity = 30,
  weight = 20,
  encumber = 20,
  cost = 100000,
  combat = { 3, 6 }, to_h = 13, to_d = 17,
  pval = 2,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.POISON]=true },
  brand_dam = { [DamageType.FIRE]=true, [DamageType.POISON]=true },
  slay_flags = { X_DRAGON=true, TROLL=true },
  convey_flags = { FREE_ACT=true, SLOW_DIGEST=true, REGENERATE=true },
  stat_flags = { STR=true },
  cum_flags = { drain_hp=true },
  flags = { HIDE_TYPE=true, VORPAL=true, SHOW_MODS=true, MUST2H=true },
  esp_flags = { DRAGON=true },
  obvious_flags = { flags = { MUST2H=true } },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    if rng.chance(2) then
      obj_util.random_ability(e)
    else
      obj_util.random_resistance(e, rng.range(17, 38))
    end
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'TWO_HANDED_SWORD',
  define_as = 'ZARCUTHRA',
  name = 'ZARCUTHRA',
  unique = 'ZARCUTHRA',
  keep_base = 'TWO_HANDED_SWORD',
  artifact_name = [['Zarcuthra']],
  artifact_desc = 'Dark and deadly runes stand stark against the naked steel of this awesome weapon, and you feel a stunning power of slaying and rending as you slowly approach.',
  level = 30,
  rarity = 180,
  weight = 25,
  encumber = 25,
  cost = 205000,
  combat = { 4, 6 }, to_h = 19, to_d = 21,
  pval = 4,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.CHAOS]=true },
  brand_dam = { [DamageType.FIRE]=true },
  slay_flags = { X_DRAGON=true, ANIMAL=true, EVIL=true, UNDEAD=true, DEMON=true, TROLL=true, GIANT=true, ORC=true },
  convey_flags = { FREE_ACT=true, SEE_INVIS=true, AGGRAVATE=true },
  stat_flags = { STR=true, CHA=true },
  pval_flags = { infravision=true },
  cum_flags = { drain_mana=true },
  flags = { HIDE_TYPE=true, VORPAL=true, SHOW_MODS=true, MUST2H=true },
  obvious_flags = { flags = { MUST2H=true } },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    if rng.chance(2) then
      obj_util.random_ability(e)
    else
      obj_util.random_resistance(e, rng.range(17, 38))
    end
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'DARK_SWORD',
  define_as = 'MORMEGIL',
  name = 'MORMEGIL',
  unique = 'MORMEGIL',
  keep_base = 'DARK_SWORD',
  artifact_name = [['Mormegil']],
  artifact_desc = 'A foul, twisted sword with blackened spines and knobs, whose very name is a curse upon the lips of Elves and Men.',
  level = 30,
  rarity = 15,
  weight = 25,
  encumber = 25,
  cost = 0,
  combat = { 6, 7 },
  pval = 2,
  to_a = -20,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.DISENCHANT]=true, [DamageType.FEAR]=true, [DamageType.CHAOS]=true },
  convey_immune_dam = { [DamageType.FIRE]=true },
  brand_dam = { [DamageType.FIRE]=true },
  slay_flags = { DRAGON=true },
  convey_flags = { AGGRAVATE=true, DRAIN_EXP=true },
  pval_flags = { speed=true, extra_blows=true },
  antimagic = { ANTIMAGIC_50={pb=10,ps=40,rb=1,rs=4} },
  cum_flags = { drain_mana=true, drain_hp=true },
  flags = { CURSED=true, HEAVY_CURSE=true, SHOW_MODS=true, LEVELS=true, TY_CURSE=true },
  resolvers.artifact(),
}

newEntity {
  base = 'CUTLASS',
  define_as = 'GONDRICAM',
  name = 'GONDRICAM',
  unique = 'GONDRICAM',
  keep_base = 'CUTLASS',
  artifact_name = [['Gondricam']],
  artifact_desc = 'Famed sea-defender of Lebennin.  A short, slightly curved chopping blade  with a perfect edge shining cleanly in the sun, an object of hate to the men of Umbar who met it in combat.',
  level = 20,
  rarity = 8,
  weight = 11,
  encumber = 11,
  cost = 28000,
  combat = { 1, 7 }, to_h = 10, to_d = 11,
  pval = 3,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true },
  convey_flags = { FEATHER=true, SEE_INVIS=true, REGENERATE=true },
  stat_flags = { DEX=true },
  pval_flags = { skill_stealth=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'EXECUTIONER_S_SWORD',
  define_as = 'CRISDURIAN',
  name = 'CRISDURIAN',
  unique = 'CRISDURIAN',
  keep_base = 'EXECUTIONER_S_SWORD',
  artifact_name = [['Crisdurian']],
  artifact_desc = [[A giant's weapon, with a long blade tall and straight thrusting out from a massive double-pronged hilt.  On its blade are written doomspells against both the living and undead.]],
  level = 40,
  rarity = 15,
  weight = 26,
  encumber = 26,
  cost = 111000,
  combat = { 4, 5 }, to_h = 18, to_d = 19,
  pval = 0,
  brand_dam = { [DamageType.POISON]=true },
  slay_flags = { DRAGON=true, EVIL=true, UNDEAD=true, TROLL=true, GIANT=true, ORC=true },
  convey_flags = { SEE_INVIS=true },
  flags = { SHOW_MODS=true, VORPAL=true, WOUNDING=true, MUST2H=true },
  obvious_flags = { flags = { MUST2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'KATANA',
  define_as = 'AGLARANG',
  name = 'AGLARANG',
  unique = 'AGLARANG',
  keep_base = 'KATANA',
  artifact_name = [['Aglarang']],
  artifact_desc = 'An utterly perfect, cleanly chiselled sword, with a edge that effortlessly slices rock and bone, and spells to render the wearer lithe and nimble.  It is combat incarnate.',
  level = 35,
  rarity = 25,
  weight = 5,
  encumber = 5,
  cost = 40000,
  combat = { 8, 4 },
  pval = 5,
  convey_flags = { SUST_DEX=true },
  stat_flags = { DEX=true },
  pval_flags = { adj_digging=true, speed=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, COULD2H=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'LONG_SWORD',
  define_as = 'RINGIL',
  name = 'RINGIL',
  unique = 'RINGIL',
  keep_base = 'LONG_SWORD',
  artifact_name = [['Ringil']],
  artifact_desc = 'The weapon of Fingolfin, High King of the Ñoldor; it shines like a column of ice lit by light unquenchable.  Morgoth came but unwillingly to meet it of old; his lame foot will remind him of its might should he meet it again.',
  level = 20,
  rarity = 120,
  weight = 13,
  encumber = 13,
  cost = 300000,
  combat = { 4, 5 }, to_h = 22, to_d = 25,
  pval = 10,
  lite = 1,
  convey_resist_dam = { [DamageType.FEAR]=true, [DamageType.COLD]=true, [DamageType.LITE]=true },
  brand_dam = { [DamageType.COLD]=true },
  slay_flags = { EVIL=true, UNDEAD=true, X_DEMON=true, TROLL=true },
  convey_flags = { BLESSED=true, FREE_ACT=true, SEE_INVIS=true, SLOW_DIGEST=true, REGENERATE=true },
  pval_flags = { speed=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s glows an intense blue...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.ball_spell(who, nil, DamageType.COLD, 100, 2, nil, nil, 20)
      return { used=ret }
    end,
    power = 300,
    name = 'fire a bold of cold (dam 100, rad 2)',
  },
  cant_use_if = { not_wielded=true },
  max_power = 300,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'LONG_SWORD',
  define_as = 'ANDURIL',
  name = 'ANDURIL',
  unique = 'ANDURIL',
  keep_base = 'LONG_SWORD',
  artifact_name = [['Andúril']],
  artifact_desc = 'The famed "Flame of the West", the sword that was broken and is forged again.  It glows with the essence of fire, its wearer is mighty in combat, and no creature of Sauron can withstand it.  It will never be stained or broken even in defeat.',
  level = 20,
  rarity = 40,
  weight = 13,
  encumber = 13,
  cost = 100000,
  combat = { 3, 5 }, to_h = 10, to_d = 15,
  pval = 4,
  to_a = 5,
  special_gene = true,
  lite = 1,
  convey_resist_dam = { [DamageType.FEAR]=true, [DamageType.FIRE]=true, [DamageType.DISENCHANT]=true },
  brand_dam = { [DamageType.FIRE]=true },
  slay_flags = { EVIL=true, TROLL=true, ORC=true },
  convey_flags = { FREE_ACT=true, BLESSED=true, FREE_ACT=true, SUST_DEX=true, SEE_INVIS=true },
  stat_flags = { STR=true, DEX=true },
  pval_flags = { adj_luck=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    if rng.chance(2) then
      obj_util.random_ability(e)
    else
      obj_util.random_resistance(e, rng.range(17, 38))
    end
    return nil	-- Delete the origin field
  end),
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s glows an intense red', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.ball_spell(who, nil, DamageType.FIRE, 72, 2, nil, nil, 20)
      return { used=ret }
    end,
    power = 400,
    name = 'shoot a ball of fire (dam 72, rad 2)',
  },
  cant_use_if = { not_wielded=true },
  max_power = 400,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'LONG_SWORD',
  define_as = 'ANGUIREL',
  name = 'ANGUIREL',
  unique = 'ANGUIREL',
  keep_base = 'LONG_SWORD',
  artifact_name = [['Anguirel']],
  artifact_desc = 'Forged of black galvorn by the Dark-Elven smith Eöl, this blade has the living lightning trapped inside.',
  level = 20,
  rarity = 30,
  weight = 13,
  encumber = 13,
  cost = 40000,
  combat = { 2, 5 }, to_h = 8, to_d = 12,
  pval = 2,
  convey_resist_dam = { [DamageType.ELEC]=true, [DamageType.LITE]=true, [DamageType.DARK]=true },
  brand_dam = { [DamageType.ELEC]=true },
  slay_flags = { EVIL=true, DEMON=true },
  convey_flags = { FREE_ACT=true, SEE_INVIS=true, AGGRAVATE=true },
  stat_flags = { STR=true, CON=true },
  pval_flags = { speed=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, VORPAL=true, WOUNDING=true, CURSED=true },
  resolvers.artifact(),
}

newEntity {
  base = 'LONG_SWORD',
  define_as = 'ELVAGIL',
  name = 'ELVAGIL',
  unique = 'ELVAGIL',
  keep_base = 'LONG_SWORD',
  artifact_name = [['Elvagil']],
  artifact_desc = 'The "Singing Blade", whose wearer can slay Orcs and Trolls in the hidden and secret places of the earth.',
  level = 20,
  rarity = 8,
  weight = 13,
  encumber = 13,
  cost = 20000,
  combat = { 2, 5 }, to_h = 5, to_d = 7,
  pval = 2,
  slay_flags = { TROLL=true, ORC=true },
  convey_flags = { FEATHER=true, SEE_INVIS=true },
  stat_flags = { DEX=true, CHA=true },
  pval_flags = { skill_stealth=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  esp_flags = { ORC=true, TROLL=true },
  resolvers.artifact(),
}

newEntity {
  base = 'RAPIER',
  define_as = 'FORASGIL',
  name = 'FORASGIL',
  unique = 'FORASGIL',
  keep_base = 'RAPIER',
  artifact_name = [['Forasgil']],
  artifact_desc = 'A slender, tapered blade whose wielder strikes icy blows with deadly accuracy.',
  level = 15,
  rarity = 8,
  weight = 4,
  encumber = 4,
  cost = 15000,
  combat = { 1, 6 }, to_h = 12, to_d = 19,
  pval = 0,
  convey_resist_dam = { [DamageType.COLD]=true, [DamageType.LITE]=true },
  brand_dam = { [DamageType.COLD]=true },
  slay_flags = { ANIMAL=true },
  flags = { SHOW_MODS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SABRE',
  define_as = 'CARETH_ASDRIAG',
  name = 'CARETH_ASDRIAG',
  unique = 'CARETH_ASDRIAG',
  keep_base = 'SABRE',
  artifact_name = [['Careth Asdriag']],
  artifact_desc = 'An heirloom of the Lords of Rhûn far to the east, and a name of dismay to creatures natural and unnatural.',
  level = 15,
  rarity = 8,
  weight = 5,
  encumber = 5,
  cost = 25000,
  combat = { 2, 7 }, to_h = 6, to_d = 8,
  pval = 2,
  slay_flags = { DRAGON=true, ANIMAL=true, TROLL=true, GIANT=true, ORC=true },
  stat_flags = { DEX=true, CON=true },
  pval_flags = { extra_blows=true, speed=true },
  flags = { SHOW_MODS=true },
  esp_flags = { ANIMAL=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SMALL_SWORD',
  define_as = 'STING',
  name = 'STING',
  unique = 'STING',
  keep_base = 'SMALL_SWORD',
  artifact_name = [['Sting']],
  artifact_desc = '"I will give you a name, and I shall call you Sting."  The perfect size for Bilbo, and stamped forever by the courage he found in Mirkwood, this sturdy little blade grants the wearer combat prowess and survival abilities they did not know they had.',
  level = 20,
  rarity = 205,
  weight = 7.5,
  encumber = 7.5,
  cost = 100000,
  combat = { 1, 6 }, to_h = 7, to_d = 8,
  pval = 2,
  lite = 1,
  convey_resist_dam = { [DamageType.LITE]=true },
  slay_flags = { EVIL=true, UNDEAD=true, ORC=true, ANIMAL=true },
  convey_flags = { FREE_ACT=true, SEE_INVIS=true },
  stat_flags = { STR=true, DEX=true, CON=true },
  pval_flags = { extra_blows=true, speed=true },
  flags = { LEVELS=true, SHOW_MODS=true },
  esp_flags = { ORC=true, UNDEAD=true, SPIDER=true },
  set_info = {
    name = [[Elven Gifts]],
    desc = [[It is from a group of Elven items once entrusted to Hobbits]],
    [2] = {
      pval = 2,
      convey_flags = { REGENERATE=true },
      pval_flags = { skill_stealth=true },
    },
  },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'SCIMITAR',
  define_as = 'HARADEKKET',
  name = 'HARADEKKET',
  unique = 'HARADEKKET',
  keep_base = 'SCIMITAR',
  artifact_name = [['Haradekket']],
  artifact_desc = 'A damascened scimitar that seems wondrously easy to hold.  Famed in song as the "Sickle of Harad", and a deadly foe to the undead.',
  level = 20,
  rarity = 8,
  weight = 13,
  encumber = 13,
  cost = 111111,
  combat = { 2, 5 }, to_h = 9, to_d = 11,
  pval = 2,
  convey_resist_dam = { [DamageType.CHAOS]=true, [DamageType.DISENCHANT]=true, [DamageType.NEXUS]=true },
  slay_flags = { ANIMAL=true, EVIL=true, UNDEAD=true, DRAGON=true, DEMON=true },
  convey_flags = { SEE_INVIS=true, BLESSED=true },
  stat_flags = { INT=true, WIS=true },
  pval_flags = { extra_blows=true },
  flags = { SHOW_MODS=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    if rng.chance(2) then
      obj_util.random_ability(e)
    else
      obj_util.random_resistance(e, rng.range(17, 38))
    end
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'SHORT_SWORD',
  define_as = 'GILETTAR',
  name = 'GILETTAR',
  unique = 'GILETTAR',
  keep_base = 'SHORT_SWORD',
  artifact_name = [['Gilettar']],
  artifact_desc = 'A stubby blade worn by Beren, whose horn sounded of old in the glades of Brethil.',
  level = 20,
  rarity = 8,
  weight = 8,
  encumber = 8,
  cost = 35000,
  combat = { 1, 7 }, to_h = 3, to_d = 7,
  pval = 2,
  convey_resist_dam = { [DamageType.DISENCHANT]=true },
  slay_flags = { ANIMAL=true },
  convey_flags = { SLOW_DIGEST=true, REGENERATE=true, SEE_INVIS=true },
  pval_flags = { extra_blows=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'BLADE_OF_CHAOS',
  define_as = 'DOOMCALLER',
  name = 'DOOMCALLER',
  unique = 'DOOMCALLER',
  keep_base = 'BLADE_OF_CHAOS',
  artifact_name = [['Doomcaller']],
  artifact_desc = 'This weapon of wrath, cursed with a violent anger, dives hungrily into the flesh of its enemies. It gathers shadows of death into its owner as they inflict wounds that will never heal.',
  level = 70,
  rarity = 25,
  weight = 18,
  encumber = 18,
  cost = 250000,
  combat = { 6, 5 }, to_h = 18, to_d = 28,
  pval = 0,
  to_a = -50,
  special_gene = true,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.CHAOS]=true },
  brand_dam = { [DamageType.COLD]=true, [DamageType.FIRE]=true, [DamageType.POISON]=true },
  slay_flags = { X_DRAGON=true, ANIMAL=true, EVIL=true, TROLL=true, ORC=true },
  convey_flags = { FREE_ACT=true, SEE_INVIS=true, AGGRAVATE=true },
  flags = { SHOW_MODS=true, CHAOTIC=true, VORPAL=true },
  esp_flags = { EVIL=true },
  resolvers.artifact(),
}

newEntity {
  base = 'LONG_SWORD',
  define_as = 'VORPAL_BLADE',
  name = 'VORPAL_BLADE',
  unique = 'VORPAL_BLADE',
  keep_base = 'LONG_SWORD',
  artifact_name = [['Vorpal Blade']],
  artifact_desc = '"One, two! One, two!  And through, and through, the vorpal blade went snicker-snack!"',
  level = 50,
  rarity = 30,
  weight = 15,
  encumber = 15,
  cost = 250000,
  combat = { 5, 5 }, to_h = 32, to_d = 32,
  pval = 2,
  slay_flags = { EVIL=true },
  convey_flags = { FREE_ACT=true, SEE_INVIS=true, SLOW_DIGEST=true, REGENERATE=true },
  stat_flags = { STR=true, DEX=true },
  pval_flags = { speed=true },
  flags = { VORPAL=true, WOUNDING=true },
  resolvers.artifact(),
}

newEntity {
  base = 'BEAKED_AXE',
  define_as = 'OF_THEODEN',
  name = 'OF_THEODEN',
  unique = 'OF_THEODEN',
  keep_base = 'BEAKED_AXE',
  artifact_name = 'of Théoden',
  artifact_desc = [[The narrow axe head of this weapon, finely balanced by a crow's beak, would pierce even the armour of Smaug, and its wielder becomes aware of the minds of their enemies.]],
  level = 20,
  rarity = 15,
  weight = 18,
  encumber = 18,
  cost = 40000,
  combat = { 2, 6 }, to_h = 8, to_d = 10,
  pval = 3,
  slay_flags = { DRAGON=true },
  convey_flags = { SLOW_DIGEST=true },
  stat_flags = { WIS=true, CON=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true },
  esp_flags = { EVIL=true, UNDEAD=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s glows black...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.bolt_spell(who, nil, DamageType.OLD_DRAIN, 120, nil, nil, 20)
      return { used=ret }
    end,
    power = 400,
    name = 'drain life (120)',
  },
  cant_use_if = { not_wielded=true },
  max_power = 400,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'GLAIVE',
  define_as = 'OF_PAIN',
  name = 'OF_PAIN',
  unique = 'OF_PAIN',
  keep_base = 'GLAIVE',
  artifact_name = 'of Pain',
  artifact_desc = [[The massive chopper that crowns this glaive glows blood-red and black; fell spells of annihilation swirl and dance as you swing death's myrmidon down.]],
  level = 30,
  rarity = 155,
  weight = 19,
  encumber = 19,
  cost = 50000,
  combat = { 9, 6 }, to_d = 30,
  pval = 0,
  cum_flags = { drain_mana=true },
  flags = { SHOW_MODS=true, LEVELS=true, COULD2H=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'HALBERD',
  define_as = 'OSONDIR',
  name = 'OSONDIR',
  unique = 'OSONDIR',
  keep_base = 'HALBERD',
  artifact_name = [['Osondir']],
  artifact_desc = 'Lordly and tall did Osondir stand against the wrath of giants, and clear-eyed in barrows fell, wielding a halberd glowing ruby red.',
  level = 20,
  rarity = 8,
  weight = 19,
  encumber = 19,
  cost = 22000,
  combat = { 3, 5 }, to_h = 6, to_d = 9,
  pval = 3,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.SOUND]=true },
  brand_dam = { [DamageType.FIRE]=true },
  slay_flags = { UNDEAD=true, GIANT=true },
  convey_flags = { FEATHER=true, SEE_INVIS=true },
  stat_flags = { CHA=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, COULD2H=true },
  esp_flags = { GIANT=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'PIKE',
  define_as = 'TIL_I_ARC',
  name = 'TIL_I_ARC',
  unique = 'TIL_I_ARC',
  keep_base = 'PIKE',
  artifact_name = [['Til-i-arc']],
  artifact_desc = 'Within this long thrusting spear lie the spirits of frost giants and fire demons, who war forever, trapped by magely spells.',
  level = 20,
  rarity = 15,
  weight = 16,
  encumber = 16,
  cost = 32000,
  combat = { 2, 5 }, to_h = 10, to_d = 12,
  pval = 2,
  to_a = 10,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.COLD]=true },
  brand_dam = { [DamageType.COLD]=true, [DamageType.FIRE]=true },
  slay_flags = { DEMON=true, TROLL=true, GIANT=true },
  convey_flags = { SUST_INT=true, SLOW_DIGEST=true },
  stat_flags = { INT=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, COULD2H=true },
  esp_flags = { GIANT=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'SPEAR',
  define_as = 'AEGLOS',
  name = 'AEGLOS',
  unique = 'AEGLOS',
  keep_base = 'SPEAR',
  artifact_name = [['Aeglos']],
  artifact_desc = 'The mighty spear of Gil-galad, famed as "Snow-point" in the songs of Elves, against which all the foul corruptions of Sauron dashed in vain.',
  level = 15,
  rarity = 45,
  weight = 5,
  encumber = 5,
  cost = 180000,
  combat = { 3, 6 }, to_h = 15, to_d = 25,
  pval = 4,
  to_a = 5,
  lite = 1,
  convey_resist_dam = { [DamageType.COLD]=true, [DamageType.ELEC]=true, [DamageType.LITE]=true },
  brand_dam = { [DamageType.COLD]=true, [DamageType.ELEC]=true },
  slay_flags = { TROLL=true, ORC=true, GIANT=true, X_UNDEAD=true },
  convey_flags = { FREE_ACT=true, SLOW_DIGEST=true, BLESSED=true },
  stat_flags = { DEX=true, WIS=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s crackles with electricity...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.ball_spell(who, nil, DamageType.ELEC, 100, 3, nil, nil, 20)
      return { used=ret }
    end,
    power = 500,
    name = 'fire a ball of lightning (dam 100, rad 3)',
  },
  cant_use_if = { not_wielded=true },
  max_power = 500,
  power_regen = 1,
  resolvers.artifact(),
}

newEntity {
  base = 'SPEAR',
  define_as = 'OF_OROME',
  name = 'OF_OROME',
  unique = 'OF_OROME',
  keep_base = 'SPEAR',
  artifact_name = 'of Orome',
  artifact_desc = 'The thrusting spear of wise Orome the Vala, strong against giants of frost, which can melt rock or flesh with ease.',
  level = 15,
  rarity = 45,
  weight = 5,
  encumber = 5,
  cost = 77777,
  combat = { 4, 6 }, to_h = 15, to_d = 15,
  pval = 4,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.LITE]=true, [DamageType.FEAR]=true },
  brand_dam = { [DamageType.FIRE]=true },
  slay_flags = { GIANT=true, EVIL=true, DEMON=true, UNDEAD=true, DRAGON=true },
  convey_flags = { HOLD_LIFE=true, FEATHER=true, SEE_INVIS=true, BLESSED=true },
  stat_flags = { INT=true, WIS=true },
  pval_flags = { speed=true, adj_digging=true, infravision=true, skill_searching=true, skill_perception=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true },
  esp_flags = { GIANT=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s pulsates...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.beam_spell(who, nil, DamageType.KILL_WALL, 20+rng.range(1, 30), nil, nil, 20)
      return { used=ret }
    end,
    power = 5,
    name = 'destroy walls',
  },
  cant_use_if = { not_wielded=true },
  max_power = 5,
  power_regen = 1,
  resolvers.artifact(),
}

newEntity {
  base = 'SPEAR',
  define_as = 'NIMLOTH',
  name = 'NIMLOTH',
  unique = 'NIMLOTH',
  keep_base = 'SPEAR',
  artifact_name = [['Nimloth']],
  artifact_desc = 'A thin spike of thrice-forged steel caps a straight sylvan shaft cut from a legendary tree; spells to break the will of the undead and strike cold fear into the hearts of foes lie on this perfectly balanced spear.',
  level = 15,
  rarity = 12,
  weight = 5,
  encumber = 5,
  cost = 30000,
  combat = { 1, 6 }, to_h = 11, to_d = 13,
  pval = 3,
  convey_resist_dam = { [DamageType.DARK]=true, [DamageType.COLD]=true },
  brand_dam = { [DamageType.COLD]=true },
  slay_flags = { UNDEAD=true },
  convey_flags = { BLESSED=true, SEE_INVIS=true },
  pval_flags = { skill_stealth=true, infravision=true, speed=true },
  flags = { SHOW_MODS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'LANCE',
  define_as = 'OF_EORLINGAS',
  name = 'OF_EORLINGAS',
  unique = 'OF_EORLINGAS',
  keep_base = 'LANCE',
  artifact_name = 'of Eorlingas',
  artifact_desc = '"Forth Eorlingas!"  To the field of Cormallen came Eorl the Young to save beleaguered Gondor, and from his lance fled massive trolls and dire wolves.',
  level = 20,
  rarity = 23,
  weight = 36,
  encumber = 36,
  cost = 55000,
  combat = { 3, 8 }, to_h = 3, to_d = 21,
  pval = 2,
  convey_resist_dam = { [DamageType.FEAR]=true },
  slay_flags = { EVIL=true, TROLL=true, ORC=true },
  convey_flags = { SEE_INVIS=true },
  stat_flags = { STR=true, DEX=true },
  pval_flags = { speed=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, MUST2H=true },
  obvious_flags = { flags = { MUST2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'GREAT_AXE',
  define_as = 'GREAT_AXE_OF_DURIN',
  name = 'GREAT_AXE_OF_DURIN',
  unique = 'GREAT_AXE_OF_DURIN',
  keep_base = 'GREAT_AXE',
  artifact_name = 'of Durin',
  artifact_desc = [[The twin massive axe heads of this ancient demon's dread gleam with mithril inlay, which tell sagas of endurance, invoking the powers of Khazad-dûm to protect the wearer and slay all evils found underground.]],
  level = 30,
  rarity = 90,
  weight = 23,
  encumber = 23,
  cost = 150000,
  combat = { 4, 4 }, to_h = 10, to_d = 20,
  pval = 3,
  to_a = 15,
  convey_resist_dam = { [DamageType.FEAR]=true, [DamageType.ACID]=true, [DamageType.FIRE]=true, [DamageType.LITE]=true, [DamageType.DARK]=true, [DamageType.CHAOS]=true },
  brand_dam = { [DamageType.ACID]=true, [DamageType.FIRE]=true },
  slay_flags = { DRAGON=true, X_DEMON=true, TROLL=true, ORC=true },
  convey_flags = { FREE_ACT=true },
  stat_flags = { STR=true, CON=true },
  pval_flags = { adj_digging=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, MUST2H=true },
  esp_flags = { EVIL=true },
  obvious_flags = { flags = { MUST2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'GREAT_AXE',
  define_as = 'OF_EONWE',
  name = 'OF_EONWE',
  unique = 'OF_EONWE',
  keep_base = 'GREAT_AXE',
  artifact_name = 'of Eönwë',
  artifact_desc = 'The axe of Eönwë, leader of the Hosts of the West before the gates of Thangorodrim, strikes with icy wrath at the undead, disperses hosts of evil at a word, and grants Maia-like powers of body and mind.',
  level = 30,
  rarity = 120,
  weight = 23,
  encumber = 23,
  cost = 200000,
  combat = { 4, 4 }, to_h = 15, to_d = 18,
  pval = 2,
  to_a = 8,
  convey_immune_dam = { [DamageType.COLD]=true },
  brand_dam = { [DamageType.COLD]=true },
  slay_flags = { EVIL=true, X_DEMON=true, UNDEAD=true, ORC=true },
  convey_flags = { FREE_ACT=true, SEE_INVIS=true, BLESSED=true },
  stat_flags = { STR=true, INT=true, WIS=true, DEX=true, CON=true, CHA=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true },
  esp_flags = { NONLIVING=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s lets out a long, shrill note...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      spell.genocide(who, nil, 20, 3)
      return { used=true }
    end,
    power = 1000,
    name = 'remove all non-unique monsters within range 20, taking 1d3 damage for each monster removed',
  },
  cant_use_if = { not_wielded=true },
  max_power = 1000,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'BATTLE_AXE',
  define_as = 'OF_BALLI_STONEHAND',
  name = 'OF_BALLI_STONEHAND',
  unique = 'OF_BALLI_STONEHAND',
  keep_base = 'BATTLE_AXE',
  artifact_name = 'of Balli Stonehand',
  artifact_desc = 'The twin blades of this weapon were forged in Belegost, and powerful forces to resist and endure lie ready for he who shall wield it once more.',
  level = 30,
  rarity = 15,
  weight = 17,
  encumber = 17,
  cost = 90000,
  combat = { 3, 8 }, to_h = 8, to_d = 11,
  pval = 3,
  to_a = 5,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.BLIND]=true },
  slay_flags = { DEMON=true, TROLL=true, ORC=true },
  convey_flags = { FREE_ACT=true, FEATHER=true, SEE_INVIS=true, REGENERATE=true },
  stat_flags = { STR=true, CON=true },
  pval_flags = { skill_stealth=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, COULD2H=true },
  esp_flags = { NONLIVING=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'BATTLE_AXE',
  define_as = 'LOTHARANG',
  name = 'LOTHARANG',
  unique = 'LOTHARANG',
  keep_base = 'BATTLE_AXE',
  artifact_name = [['Lotharang']],
  artifact_desc = 'A superbly crafted double-bladed axe that slays the creatures of earth and allows rapid recovery from their blows.',
  level = 30,
  rarity = 15,
  weight = 17,
  encumber = 17,
  cost = 21000,
  combat = { 2, 8 }, to_h = 4, to_d = 3,
  pval = 1,
  slay_flags = { TROLL=true, ORC=true },
  stat_flags = { STR=true, DEX=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s radiates deep purple...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      who:heal(rng.dice(4, 8), self)
      who:setEffect(who.EFF_CUT, 1, { merge=function(c,n) return math.floor(c/2) - 50 end })
      return { used=true }
    end,
    power = { 3, 3 },
    name = 'cure serious wounds',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'LOCHABER_AXE',
  define_as = 'OF_THE_DWARVES',
  name = 'OF_THE_DWARVES',
  unique = 'OF_THE_DWARVES',
  keep_base = 'LOCHABER_AXE',
  artifact_name = 'of the Dwarves',
  artifact_desc = 'A massive axe with twin razor-sharp heads, so large that it usually requires two hands to wield, intricately engraved in gold with spells to ward off the elements and smite evil.',
  level = 30,
  rarity = 8,
  weight = 25,
  encumber = 25,
  cost = 80000,
  combat = { 3, 8 }, to_h = 12, to_d = 17,
  pval = 10,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.FEAR]=true },
  slay_flags = { EVIL=true, GIANT=true },
  pval_flags = { adj_digging=true, infravision=true, skill_searching=true, skill_perception=true },
  flags = { SHOW_MODS=true, COULD2H=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'BROAD_AXE',
  define_as = 'BARUKKHELED',
  name = 'BARUKKHELED',
  unique = 'BARUKKHELED',
  keep_base = 'BROAD_AXE',
  artifact_name = [['Barukkheled']],
  artifact_desc = 'A royal heirloom of the southern coast, strong in combat against evil creatures of the earth.',
  level = 20,
  rarity = 8,
  weight = 16,
  encumber = 16,
  cost = 50000,
  combat = { 2, 6 }, to_h = 13, to_d = 19,
  pval = 3,
  slay_flags = { EVIL=true, TROLL=true, GIANT=true, ORC=true },
  convey_flags = { SEE_INVIS=true },
  stat_flags = { CON=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, COULD2H=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'TRIDENT',
  define_as = 'OF_WRATH',
  name = 'OF_WRATH',
  unique = 'OF_WRATH',
  keep_base = 'TRIDENT',
  artifact_name = 'of Wrath',
  artifact_desc = 'A massive triple-pronged spear, so great it normally requires two hands to wield, evoking the spirit of Osse who with it pierced legions of evil and undead.',
  level = 15,
  rarity = 35,
  weight = 30,
  encumber = 30,
  cost = 90000,
  combat = { 3, 8 }, to_h = 16, to_d = 18,
  pval = 2,
  convey_resist_dam = { [DamageType.LITE]=true, [DamageType.DARK]=true },
  slay_flags = { EVIL=true, X_UNDEAD=true },
  convey_flags = { SEE_INVIS=true, BLESSED=true },
  stat_flags = { STR=true, DEX=true },
  cum_flags = { drain_mana=true },
  flags = { HIDE_TYPE=true, CHAOTIC=true, SHOW_MODS=true, COULD2H=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'TRIDENT',
  define_as = 'OF_ULMO',
  name = 'OF_ULMO',
  unique = 'OF_ULMO',
  keep_base = 'TRIDENT',
  artifact_name = 'of Ulmo',
  artifact_desc = 'The awesome weapon of the Vala Ulmo, Lord of Waters.  Mightiest of all the powers of good save Manwë himself, Ulmo laughs in scorn at the dread powers of the undead, and is utterly in command of the element of water.',
  level = 30,
  rarity = 90,
  weight = 7,
  encumber = 7,
  cost = 120000,
  combat = { 4, 8 }, to_h = 15, to_d = 19,
  pval = 4,
  convey_resist_dam = { [DamageType.NETHER]=true },
  convey_immune_dam = { [DamageType.ACID]=true },
  slay_flags = { DRAGON=true, ANIMAL=true },
  convey_flags = { FREE_ACT=true, HOLD_LIFE=true, SEE_INVIS=true, SLOW_DIGEST=true, REGENERATE=true, BLESSED=true, WATER_BREATH=true },
  stat_flags = { DEX=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_ability(e)
    return nil	-- Delete the origin field
  end),
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      local ret = spell.beam_spell(who, nil, DamageType.AWAY_ALL, who.level or 1, nil, nil, 20)
      return { used=ret }
    end,
    power = 200,
    name = 'teleport monsters away',
  },
  cant_use_if = { not_wielded=true },
  max_power = 200,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'SCYTHE',
  define_as = 'AVAVIR',
  name = 'AVAVIR',
  unique = 'AVAVIR',
  keep_base = 'SCYTHE',
  artifact_name = [['Avavir']],
  artifact_desc = 'With elemental powers whose struggles turn this weapon red and purest white, this shining reaper bears within it a power of going forth and returning.',
  level = 40,
  rarity = 8,
  weight = 25,
  encumber = 25,
  cost = 18000,
  combat = { 5, 3 }, to_h = 8, to_d = 8,
  pval = 3,
  to_a = 10,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.LITE]=true },
  brand_dam = { [DamageType.COLD]=true, [DamageType.FIRE]=true },
  convey_flags = { FREE_ACT=true, SEE_INVIS=true },
  stat_flags = { DEX=true, CHA=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true, COULD2H=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      if spell.recall(who, 20, 50) then
	game.logPlayer(who, 'Your %s glows a deep green...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
	return { used=true }
      else
	return {}
      end
    end,
    power = 200,
    name = 'recall to/from the dungeon',
  },
  cant_use_if = { not_wielded=true },
  max_power = 200,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'LONG_SWORD',
  define_as = 'OF_THE_DAWN',
  name = 'OF_THE_DAWN',
  unique = 'OF_THE_DAWN',
  keep_base = 'LONG_SWORD',
  artifact_name = 'of the Dawn',
  artifact_desc = 'Forged in the farthest East by a race of mighty spellcasters, this shiny pale sword gleams with the rays of rising sun as you invoke its power of commanding legions of powerful immortal warriors...',
  level = 40,
  rarity = 160,
  weight = 13,
  encumber = 13,
  cost = 250000,
  combat = { 3, 5 }, to_h = 20, to_d = 20,
  pval = 3,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.FEAR]=true, [DamageType.LITE]=true, [DamageType.BLIND]=true },
  brand_dam = { [DamageType.FIRE]=true },
  slay_flags = { EVIL=true, DRAGON=true, UNDEAD=true, DEMON=true },
  convey_flags = { FREE_ACT=true, SUST_CHA=true, REGENERATE=true },
  stat_flags = { CHA=true },
  pval_flags = { infravision=true },
  flags = { ACTIVATE=true, LEVELS=true, VORPAL=true, CLONE=true, SHOW_MODS=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    if rng.chance(2) then
      obj_util.random_ability(e)
    else
      obj_util.random_resistance(e, rng.range(17, 38))
    end
    return nil	-- Delete the origin field
  end),
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, [[Oh, dear, Warriors of the Dawn don't appear to exist.]])
      return {}
    end,
    power = { 500, 500 },
    name = 'summon a Warrior of the Dawn (not implemented)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'GROND_BASE',
  define_as = 'GROND',
  name = 'GROND',
  unique = 'GROND',
  keep_base = 'GROND_BASE',
  artifact_name = [['Grond']],
  artifact_desc = [[The mighty Hammer of the Underworld, blackened by doomspells of shattering, whose wielder holds the lives of all Morgoth's servants in his hand.]],
  level = 100,
  rarity = 1,
  weight = 100,
  encumber = 100,
  cost = 500000,
  combat = { 9, 9 }, to_h = 25, to_d = 25,
  pval = 2,
  to_a = 10,
  insta_art = true,
  special_gene = true,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true },
  slay_flags = { X_DRAGON=true, ANIMAL=true, EVIL=true, X_UNDEAD=true, X_DEMON=true, TROLL=true, ORC=true },
  convey_flags = { IMPACT=true, NO_MAGIC=true, SEE_INVIS=true, AGGRAVATE=true },
  flags = { SHOW_MODS=true, LEVELS=true, ACTIVATE=true, MUST2H=true },
  esp_flags = { ALL=true },
  obvious_flags = { flags = { MUST2H=true } },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s hits the floor...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      alter_reality()
      return { used=true }
    end,
    power = 100,
    name = 'alter reality',
  },
  cant_use_if = { not_wielded=true },
  max_power = 100,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'FLAIL',
  define_as = 'TOTILA',
  name = 'TOTILA',
  unique = 'TOTILA',
  keep_base = 'FLAIL',
  artifact_name = [['Totila']],
  artifact_desc = 'A flail whose head befuddles those who stare as you whirl it around, and becomes a fiery comet as you bring it down.',
  level = 20,
  rarity = 8,
  weight = 15,
  encumber = 15,
  cost = 55000,
  combat = { 3, 6 }, to_h = 6, to_d = 8,
  pval = 2,
  lite = 1,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.CONFUSION]=true },
  brand_dam = { [DamageType.FIRE]=true },
  slay_flags = { EVIL=true },
  pval_flags = { skill_stealth=true },
  flags = { ACTIVATE=true, SHOW_MODS=true, COULD2H=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s glows in scintillating colors...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.bolt_spell(who, nil, DamageType.OLD_CONF, who.level or 1, nil, nil, 20)
      return { used=ret }
    end,
    power = 15,
    name = 'confuse a monster',
  },
  cant_use_if = { not_wielded=true },
  max_power = 15,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'TWO_HANDED_FLAIL',
  define_as = 'THUNDERFIST',
  name = 'THUNDERFIST',
  unique = 'THUNDERFIST',
  keep_base = 'TWO_HANDED_FLAIL',
  artifact_name = [['Thunderfist']],
  artifact_desc = 'The long-lost weapon of Kzurin, Dwarven champion of ancient Belegost, with runes of strength in its handle, and flames and sparks that roar and crackle around its massive head.',
  level = 45,
  rarity = 38,
  weight = 30,
  encumber = 30,
  cost = 160000,
  combat = { 3, 6 }, to_h = 5, to_d = 18,
  pval = 4,
  convey_resist_dam = { [DamageType.FEAR]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.DARK]=true },
  brand_dam = { [DamageType.FIRE]=true, [DamageType.ELEC]=true },
  slay_flags = { ANIMAL=true, TROLL=true, ORC=true },
  stat_flags = { STR=true, CON=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, MUST2H=true },
  obvious_flags = { flags = { MUST2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'MORNING_STAR',
  define_as = 'BLOODSPIKE',
  name = 'BLOODSPIKE',
  unique = 'BLOODSPIKE',
  keep_base = 'MORNING_STAR',
  artifact_name = [['Bloodspike']],
  artifact_desc = 'You feel strong and firm of foot as you whip the chain-suspended spiked orb around - and bathe it in the blood of your foes.',
  level = 20,
  rarity = 30,
  weight = 15,
  encumber = 15,
  cost = 30000,
  combat = { 2, 6 }, to_h = 8, to_d = 22,
  pval = 4,
  convey_resist_dam = { [DamageType.NEXUS]=true },
  brand_dam = { [DamageType.POISON]=true },
  slay_flags = { ANIMAL=true, TROLL=true, ORC=true },
  convey_flags = { SEE_INVIS=true },
  stat_flags = { STR=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'MORNING_STAR',
  define_as = 'FIRESTAR',
  name = 'FIRESTAR',
  unique = 'FIRESTAR',
  keep_base = 'MORNING_STAR',
  artifact_name = [['Firestar']],
  artifact_desc = 'A famed battle-lord of old, with a ruddy head, coloured as embers are that can yet rise up in wrath.',
  level = 20,
  rarity = 100,
  weight = 15,
  encumber = 15,
  cost = 35000,
  combat = { 2, 6 }, to_h = 5, to_d = 7,
  pval = 0,
  to_a = 2,
  lite = 1,
  convey_immune_dam = { [DamageType.FIRE]=true },
  brand_dam = { [DamageType.FIRE]=true },
  flags = { ACTIVATE=true, SHOW_MODS=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s star rages in fire...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.ball_spell(who, nil, DamageType.FIRE, 72, 3, nil, nil, 20)
      return { used=ret }
    end,
    power = 100,
    name = 'shoot a ball of fire (dam 72, rad 3)',
  },
  cant_use_if = { not_wielded=true },
  max_power = 100,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'MACE',
  define_as = 'TARATOL',
  name = 'TARATOL',
  unique = 'TARATOL',
  keep_base = 'MACE',
  artifact_name = [['Taratol']],
  artifact_desc = 'A great ridged mace that calls around you a nimbus of living lightning; you remain utterly untouched even as fat sparks arc around your fingers and eyebrows.',
  level = 20,
  rarity = 15,
  weight = 20,
  encumber = 20,
  cost = 50000,
  combat = { 3, 4 }, to_h = 12, to_d = 12,
  pval = 0,
  convey_immune_dam = { [DamageType.ELEC]=true },
  brand_dam = { [DamageType.ELEC]=true },
  slay_flags = { X_DRAGON=true },
  flags = { ACTIVATE=true, SHOW_MODS=true, COULD2H=true },
  obvious_flags = { flags = { COULD2H=true } },
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows bright green...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      who:setEffect(who.EFF_SPEED, 20+rng.range(1, 20), { speed=10, merge=function(c,n) return c+5 end })
      return { used=true }
    end,
    power = 250,
    name = 'temporarily increase your speed (+10, dur 20+d20)',
  },
  cant_use_if = { not_wielded=true },
  max_power = 250,
  power_regen = 1,
  resolvers.artifact(),
}

newEntity {
  base = 'WAR_HAMMER',
  define_as = 'OF_AULE',
  name = 'OF_AULE',
  unique = 'OF_AULE',
  keep_base = 'WAR_HAMMER',
  artifact_name = 'of Aulë',
  artifact_desc = 'The wondrous hammer of Aulë, creator of the wise Dwarven lords of old.  It bears magics of demolishing that no serpent or demon can withstand, and invokes the strength of mountains to ward off the tumult of the elements.',
  level = 40,
  rarity = 75,
  weight = 12,
  encumber = 12,
  cost = 250000,
  combat = { 9, 3 }, to_h = 19, to_d = 21,
  pval = 4,
  to_a = 5,
  convey_resist_dam = { [DamageType.FEAR]=true, [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.NEXUS]=true },
  brand_dam = { [DamageType.ELEC]=true },
  slay_flags = { X_DRAGON=true, EVIL=true, UNDEAD=true, DEMON=true },
  convey_flags = { FREE_ACT=true, SEE_INVIS=true },
  stat_flags = { WIS=true },
  pval_flags = { adj_digging=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, COULD2H=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_ability(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  -- END VERBATIM
}

newEntity {
  base = 'QUARTERSTAFF',
  define_as = 'NAR_I_VAGIL',
  name = 'NAR_I_VAGIL',
  unique = 'NAR_I_VAGIL',
  keep_base = 'QUARTERSTAFF',
  artifact_name = [['Nar-i-vagil']],
  artifact_desc = 'Named for a fiery star and set with gems of great worth binding mystic virtues of protection and thought.',
  level = 20,
  rarity = 18,
  weight = 15,
  encumber = 15,
  cost = 70000,
  combat = { 1, 9 }, to_h = 10, to_d = 20,
  pval = 3,
  convey_resist_dam = { [DamageType.FIRE]=true },
  brand_dam = { [DamageType.FIRE]=true },
  slay_flags = { ANIMAL=true },
  stat_flags = { INT=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, COULD2H=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'QUARTERSTAFF',
  define_as = 'ERIRIL',
  name = 'ERIRIL',
  unique = 'ERIRIL',
  keep_base = 'QUARTERSTAFF',
  artifact_name = [['Eriril']],
  artifact_desc = [[The radiant golden staff of an Istari of legend, this wizard's companion grants keen sight and the knowledge of many hidden things.]],
  level = 20,
  rarity = 18,
  weight = 15,
  encumber = 15,
  cost = 20000,
  combat = { 1, 9 }, to_h = 3, to_d = 5,
  pval = 4,
  convey_resist_dam = { [DamageType.LITE]=true },
  slay_flags = { EVIL=true },
  convey_flags = { SEE_INVIS=true },
  stat_flags = { INT=true, WIS=true },
  flags = { HIDE_TYPE=true, SPELL_CONTAIN=true, WIELD_CAST=true, ACTIVATE=true, SHOW_MODS=true },
  esp_flags = { EVIL=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local ret = spell.identify_dialog(who, true, 'Select an item to identify')
      return { used=ret }
    end,
    power = 10,
    name = 'identify an item',
  },
  cant_use_if = { not_wielded=true },
  max_power = 10,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'QUARTERSTAFF',
  define_as = 'OF_OLORIN',
  name = 'OF_OLORIN',
  unique = 'OF_OLORIN',
  keep_base = 'QUARTERSTAFF',
  artifact_name = 'of Olorin',
  artifact_desc = 'A staff tall and sturdy, with rough-hewn runes that invoke the element of Earth, and which strikes down all creatures who live in the shadow of mountains.',
  level = 30,
  rarity = 105,
  weight = 15,
  encumber = 15,
  cost = 140000,
  combat = { 2, 9 }, to_h = 10, to_d = 13,
  pval = 4,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.NETHER]=true },
  brand_dam = { [DamageType.FIRE]=true, [DamageType.FIRE]=true },
  slay_flags = { EVIL=true, TROLL=true, ORC=true },
  convey_flags = { HOLD_LIFE=true, SEE_INVIS=true },
  stat_flags = { INT=true, WIS=true, CHA=true },
  pval_flags = { skill_searching=true, skill_perception=true },
  flags = { HIDE_TYPE=true, SPELL_CONTAIN=true, WIELD_CAST=true, ACTIVATE=true, SHOW_MODS=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_ability(e)
    return nil	-- Delete the origin field
  end),
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows brightly...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      spell.detect_traps(25, who)
      spell.detect_doors_stairs(25, who)
      spell.detect_buried_treasure(25, who)
      spell.detect_gold(25, who)
      spell.detect_objects(25, who)
      spell.detect_monsters_normal(25, who)
      spell.detect_invisible_monsters(25, who)
      -- TODO probe nearby monsters
      spell.identify_dialog(who, 'full', 'Select item to fully identify')
      return { used=true }
    end,
    power = 1000,
    name = 'detect various things, probe nearby monsters and fully identify an item',
  },
  cant_use_if = { not_wielded=true },
  max_power = 1000,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'MACE_OF_DISRUPTION',
  define_as = 'DEATHWREAKER',
  name = 'DEATHWREAKER',
  unique = 'DEATHWREAKER',
  keep_base = 'MACE_OF_DISRUPTION',
  artifact_name = [['Deathwreaker']],
  artifact_desc = 'A weapon so massive it seems beyond the strength of mortals, yet you feel the might of giants within you as you heft it.  As you grip the handle of ebony and steel, coronas of fire blaze and mighty spells to preserve magic activate around you.  You wield the Fear of Dragons and the Despair of the Undead!',
  level = 80,
  rarity = 38,
  weight = 40,
  encumber = 40,
  cost = 444444,
  combat = { 7, 8 }, to_h = 18, to_d = 18,
  pval = 6,
  convey_resist_dam = { [DamageType.DARK]=true, [DamageType.CHAOS]=true, [DamageType.DISENCHANT]=true },
  convey_immune_dam = { [DamageType.FIRE]=true },
  brand_dam = { [DamageType.FIRE]=true, [DamageType.POISON]=true },
  slay_flags = { DRAGON=true, ANIMAL=true, EVIL=true, X_UNDEAD=true },
  convey_flags = { NO_TELE=true, AGGRAVATE=true },
  stat_flags = { STR=true },
  pval_flags = { adj_digging=true },
  cum_flags = { drain_mana=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, VAMPIRIC=true, MUST2H=true },
  obvious_flags = { flags = { MUST2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'LUCERNE_HAMMER',
  define_as = 'TURMIL',
  name = 'TURMIL',
  unique = 'TURMIL',
  keep_base = 'LUCERNE_HAMMER',
  artifact_name = [['Turmil']],
  artifact_desc = 'Wielded by the High Priest of Meneltarma, this great mace gleams coldly as though moonlit, and it can strike as mighty a blow spiritually as physically.',
  level = 20,
  rarity = 15,
  weight = 12,
  encumber = 12,
  cost = 30000,
  combat = { 2, 5 }, to_h = 10, to_d = 6,
  pval = 4,
  to_a = 8,
  convey_resist_dam = { [DamageType.COLD]=true, [DamageType.LITE]=true },
  brand_dam = { [DamageType.COLD]=true },
  slay_flags = { ORC=true },
  convey_flags = { REGENERATE=true },
  stat_flags = { WIS=true },
  pval_flags = { infravision=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true, COULD2H=true },
  esp_flags = { ORC=true, TROLL=true, GIANT=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    obj_util.random_resistance(e, rng.range(17, 38))
    return nil	-- Delete the origin field
  end),
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s glows white...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.bolt_spell(who, nil, DamageType.OLD_DRAIN, 90, nil, nil, 20)
      return { used=ret }
    end,
    power = 70,
    name = 'drain life (90)',
  },
  cant_use_if = { not_wielded=true },
  max_power = 70,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'WHIP',
  define_as = 'WHIP_OF_GOTHMOG',
  name = 'WHIP_OF_GOTHMOG',
  unique = 'WHIP_OF_GOTHMOG',
  keep_base = 'WHIP',
  artifact_name = 'of Gothmog',
  artifact_desc = 'With this unbearably bright whip of flame, the Balrog Gothmog has become known for never having lost in combat.',
  level = 20,
  rarity = 15,
  weight = 12,
  encumber = 12,
  cost = 100000,
  combat = { 3, 6 }, to_h = 15, to_d = 16,
  pval = -2,
  lite = 1,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.LITE]=true },
  brand_dam = { [DamageType.FIRE]=true },
  slay_flags = { ANIMAL=true, DEMON=true },
  convey_flags = { AGGRAVATE=true, REGENERATE=true },
  stat_flags = { INT=true, DEX=true },
  pval_flags = { infravision=true },
  cum_flags = { drain_hp=true },
  flags = { HIDE_TYPE=true, HEAVY_CURSE=true, CURSED=true, VORPAL=true, WOUNDING=true, SHOW_MODS=true },
  esp_flags = { SPIDER=true, DEMON=true },
  resolvers.artifact(),
}

newEntity {
  base = 'LONG_BOW',
  define_as = 'BELTHRONDING',
  name = 'BELTHRONDING',
  unique = 'BELTHRONDING',
  keep_base = 'LONG_BOW',
  artifact_name = [['Belthronding']],
  artifact_desc = 'The great bow of Beleg, made of black yew and strung with elven hair that faintly shines a pale clear gold.',
  level = 40,
  rarity = 20,
  weight = 4,
  encumber = 4,
  cost = 35000,
  combat = { 0, 0 }, to_h = 20, to_d = 22,
  pval = 3,
  convey_resist_dam = { [DamageType.DISENCHANT]=true },
  stat_flags = { DEX=true },
  pval_flags = { skill_stealth=true },
  cum_flags = { extra_shots=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'LONG_BOW',
  define_as = 'LONG_BOW_OF_BARD',
  name = 'LONG_BOW_OF_BARD',
  unique = 'LONG_BOW_OF_BARD',
  keep_base = 'LONG_BOW',
  artifact_name = 'of Bard',
  artifact_desc = 'The great yew bow of grim-faced Bard, who shot the mightiest arrow that songs record.',
  level = 30,
  rarity = 20,
  weight = 4,
  encumber = 4,
  cost = 20000,
  combat = { 0, 0 }, to_h = 17, to_d = 19,
  pval = 2,
  convey_flags = { FREE_ACT=true },
  stat_flags = { DEX=true },
  pval_flags = { adj_luck=true, extra_might=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  esp_flags = { DRAGON=true },
  set_info = {
    name = [[Dragon Slayer]],
    desc = [[It is from a group of items rumoured to be the bane of dragons.]],
    [2] = {
      pval = 3,
      convey_resist_dam = { [DamageType.FIRE]=true },
      stat_flags = { DEX=true, CON=true },
    },
  },
  resolvers.artifact(),
}

newEntity {
  base = 'LIGHT_CROSSBOW',
  define_as = 'CUBRAGOL',
  name = 'CUBRAGOL',
  unique = 'CUBRAGOL',
  keep_base = 'LIGHT_CROSSBOW',
  artifact_name = [['Cubragol']],
  artifact_desc = 'A crossbow that grants fiery speed to he who finds it, and from which shoot bolts that blaze with flame unquenchable.',
  level = 50,
  rarity = 25,
  weight = 11,
  encumber = 11,
  cost = 50000,
  combat = { 0, 0 }, to_h = 10, to_d = 14,
  pval = 10,
  convey_resist_dam = { [DamageType.FIRE]=true },
  pval_flags = { speed=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  resolvers.generic(function(e)
    if rng.chance(2) then
      obj_util.random_ability(e)
    else
      obj_util.random_resistance(e, rng.range(17, 38))
    end
    return nil	-- Delete the origin field
  end),
  use_power = {
    use = function(self, who, inven, floor, item)
      local function ok_cb(o, _, _)
	return o.type == 'ammo' and o.subtype == 'bolts' and not o:isArtifact() and not o:isEgo()
      end
      local o, item = util.findInInventoryBy(who:getInven('INVEN'), ok_cb)
      if not o then
	game.logPlayer(who, 'The fiery enchantment failed.')
	return { used=true }
      end
      game.logPlayer(who, 'Your %s %s covered in a fiery aura!', o:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true }, (o:getNumber() == 1 and 'is' or 'are'))
      local Ego = require 'mod.class.Ego'
      o.ego_names = { suffix='FLAME' }
      Ego:resolveEgos(o)
      Ego:resolveEgos(o, true)
      obj_util.enchant(o, rng.range(4, 6), {to_h=true, to_d=true})
      who:sortInven()
      who.changed = true
      util.live_update_inventory_dialogs()
      return { used=true }
    end,
    power = 999,
    name = 'convert a random stack of non-ego, non-artifact bolts in your inventory to bolts of Flame',
  },
  cant_use_if = { not_wielded=true },
  max_power = 999,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'MAGE_STAFF',
  define_as = 'MAGE_STAFF_OF_ETERNITY',
  name = 'MAGE_STAFF_OF_ETERNITY',
  unique = 'MAGE_STAFF_OF_ETERNITY',
  keep_base = 'MAGE_STAFF',
  artifact_name = 'of Eternity',
  artifact_desc = [[A simple, wooden wizard's staff.  Unremarkable in all aspects... except that it pulses with overwhelming power.]],
  level = 127,
  rarity = 220,
  weight = 2,
  encumber = 2,
  cost = 9000000,
  combat = { 1, 4 }, to_h = -19, to_d = -19,
  pval = 12,
  special_gene = true,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true },
  convey_immune_dam = { [DamageType.FIRE]=true },
  convey_flags = { SEE_INVIS=true, PRECOGNITION=true },
  stat_flags = { INT=true, CHA=true, WIS=true },
  pval_flags = { mana_mult=true, spellpower=true, adj_luck=true, infravision=true },
  flags = { ACTIVATE=true, NEVER_BLOW=true, ULTIMATE=true, SPELL_CONTAIN=true, WIELD_CAST=true, COULD2H=true },
  esp_flags = { EVIL=true, DEMON=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows deep blue...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      if who.mana and who.mana < who.max_mana then
	who:incMana(who.max_mana - who.mana)
	game.logPlayer(who, 'You feel your head clear.')
      end
      return { used=true }
    end,
    power = 666,
    name = 'restore mana',
  },
  cant_use_if = { not_wielded=true },
  max_power = 666,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'METAL_BOOMERANG',
  define_as = 'OF_BEOR',
  name = 'OF_BEOR',
  unique = 'OF_BEOR',
  keep_base = 'METAL_BOOMERANG',
  artifact_name = 'of Bëor',
  artifact_desc = [[Bëor's boomerang makes its wielder as agile as the winds, and as hard to harm.]],
  level = 20,
  rarity = 10,
  weight = 2,
  encumber = 2,
  cost = 40000,
  combat = { 4, 5 }, to_h = 8, to_d = 12,
  pval = 4,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true },
  stat_flags = { DEX=true },
  pval_flags = { speed=true },
  resolvers.artifact(),
}

newEntity {
  base = 'METAL_BOOMERANG',
  define_as = 'GLIMDRIR',
  name = 'GLIMDRIR',
  unique = 'GLIMDRIR',
  keep_base = 'METAL_BOOMERANG',
  artifact_name = [['Glimdrir']],
  artifact_desc = 'A powerful boomerang that makes one agile and fast, with a thirst for evil and undead creatures, but demands its wielder not teleport, for fear of desertion.',
  level = 40,
  rarity = 20,
  weight = 2,
  encumber = 2,
  cost = 60000,
  combat = { 5, 5 }, to_h = 15, to_d = 16,
  pval = 3,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.SOUND]=true },
  brand_dam = { [DamageType.POISON]=true },
  slay_flags = { EVIL=true, UNDEAD=true },
  convey_flags = { FREE_ACT=true, REGENERATE=true, NO_TELE=true },
  stat_flags = { DEX=true },
  pval_flags = { speed=true },
  flags = { CURSED=true },
  resolvers.artifact(),
}

newEntity {
  base = 'ROBE',
  define_as = 'OF_INCANUS',
  name = 'OF_INCANUS',
  unique = 'OF_INCANUS',
  keep_base = 'ROBE',
  artifact_name = 'of Incanus',
  artifact_desc = [[Gandalf's long, flowing robe.  It provides insight and allows the wearer to see things not seen by all.]],
  level = 30,
  rarity = 20,
  weight = 2,
  encumber = 2,
  cost = 60000,
  combat = { 0, 0 },
  pval = 3,
  armor = 2,
  to_a = 20,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true },
  convey_flags = { SUST_INT=true, SUST_WIS=true, FREE_ACT=true, SEE_INVIS=true },
  stat_flags = { INT=true, WIS=true },
  pval_flags = { skill_searching=true, skill_perception=true },
  flags = { HIDE_TYPE=true, SPELL_CONTAIN=true, WIELD_CAST=true },
  worn_talents = { ActorTalents.T_OBJ_WEIGH_MAGIC },
  resolvers.artifact(),
}

newEntity {
  base = 'SLING',
  define_as = 'OF_THE_THAIN',
  name = 'OF_THE_THAIN',
  unique = 'OF_THE_THAIN',
  keep_base = 'SLING',
  artifact_name = 'of the Thain',
  artifact_desc = [[This sling was crafted by Faramir I, Thain of the Shire, just in case the nasties of his father's stories ever dare to enter the Shire again.]],
  level = 40,
  rarity = 20,
  weight = 4,
  encumber = 4,
  cost = 35000,
  combat = { 0, 0 }, to_h = 15, to_d = 15,
  pval = 4,
  convey_resist_dam = { [DamageType.NETHER]=true },
  stat_flags = { DEX=true, CON=true },
  pval_flags = { extra_might=true },
  cum_flags = { extra_shots=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'WHIP',
  define_as = 'LASHER',
  name = 'LASHER',
  unique = 'LASHER',
  keep_base = 'WHIP',
  artifact_name = [['Lasher']],
  artifact_desc = 'A powerful whip that is deadly against orcs.  It poisons your foes and is said to go "snicker snack".',
  level = 20,
  rarity = 5,
  weight = 3,
  encumber = 3,
  cost = 50000,
  combat = { 1, 6 }, to_h = 12, to_d = 15,
  pval = 3,
  convey_resist_dam = { [DamageType.POISON]=true },
  brand_dam = { [DamageType.POISON]=true },
  slay_flags = { ANIMAL=true, ORC=true },
  convey_flags = { FREE_ACT=true },
  stat_flags = { DEX=true },
  pval_flags = { extra_blows=true },
  flags = { HIDE_TYPE=true, VORPAL=true },
  esp_flags = { ORC=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SEEKER_ARROW',
  define_as = 'BULLSEYE',
  name = 'BULLSEYE',
  unique = 'BULLSEYE',
  keep_base = 'SEEKER_ARROW',
  artifact_name = [['Bullseye']],
  artifact_desc = 'A powerful arrow that is feared by even the mightiest demons.',
  level = 45,
  rarity = 1,
  weight = 0.2,
  encumber = 0.2,
  cost = 50000,
  combat = { 7, 4 }, to_h = 20, to_d = 15,
  pval = 0,
  brand_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.POISON]=true },
  slay_flags = { ANIMAL=true, EVIL=true, UNDEAD=true, X_DEMON=true, ORC=true, TROLL=true, GIANT=true, DRAGON=true },
  resolvers.artifact(),
}

newEntity {
  base = 'ROUNDED_PEBBLE',
  define_as = 'TRAVAK',
  name = 'TRAVAK',
  unique = 'TRAVAK',
  keep_base = 'ROUNDED_PEBBLE',
  artifact_name = [['Travak']],
  artifact_desc = 'A rounded pebble imbued with the powers of the elements.',
  level = 5,
  rarity = 1,
  weight = 0.2,
  encumber = 0.2,
  cost = 5000,
  combat = { 3, 6 }, to_h = 8, to_d = 5,
  pval = 0,
  brand_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.POISON]=true },
  resolvers.artifact(),
}

newEntity {
  base = 'HARP',
  define_as = 'OF_MAGLOR',
  name = 'OF_MAGLOR',
  unique = 'OF_MAGLOR',
  keep_base = 'HARP',
  artifact_name = 'of Maglor',
  artifact_desc = 'This harp that once belonged to Maglor makes those who use it seem more forceful and convincing.  It is also said that those who have used it found themselves walking faster, as if to an unheard beat.',
  level = 60,
  rarity = 10,
  weight = 2,
  encumber = 2,
  cost = 100000,
  convey_resist_dam = { [DamageType.SOUND]=true, [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true },
  convey_flags = { SEE_INVIS=true },
  stat_flags = { CHA=true, WIS=true },
  pval_flags = { speed=true, skill_stealth=true, adj_luck=true },
  flags = { WIELD_CAST=true },
  esp_flags = { UNIQUE=true },
  resolvers.artifact(),
}

newEntity {
  base = 'DRUM',
  define_as = 'OF_THE_SKY',
  name = 'OF_THE_SKY',
  unique = 'OF_THE_SKY',
  keep_base = 'DRUM',
  artifact_name = 'of the Sky',
  artifact_desc = 'The drum is decorated with the images of the stars, the clouds, the Sun guided by Arien and the Moon with Tilion.  It imparts to the wearer an echo of the beauty of the sky, and protects him from the elements day or night.  The beat of the drum marks the passage of time, and will make time pass differently for the wearer.',
  level = 40,
  rarity = 10,
  weight = 1.5,
  encumber = 1.5,
  cost = 80000,
  convey_resist_dam = { [DamageType.SOUND]=true, [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true },
  convey_flags = { SEE_INVIS=true },
  stat_flags = { CHA=true, WIS=true },
  pval_flags = { speed=true, skill_stealth=true, adj_luck=true },
  flags = { WIELD_CAST=true },
  resolvers.artifact(),
}

newEntity {
  base = 'HARP',
  define_as = 'OF_DAERON',
  name = 'OF_DAERON',
  unique = 'OF_DAERON',
  keep_base = 'HARP',
  artifact_name = 'of Daeron',
  artifact_desc = 'A pretty harp that makes those who play it beautiful, wise and fast.',
  level = 20,
  rarity = 10,
  weight = 1,
  encumber = 1,
  cost = 50000,
  convey_resist_dam = { [DamageType.SOUND]=true, [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true },
  stat_flags = { CHA=true, WIS=true },
  pval_flags = { speed=true, skill_stealth=true, adj_luck=true },
  flags = { WIELD_CAST=true },
  resolvers.artifact(),
}

newEntity {
  base = 'DWARVEN_PICK',
  define_as = 'OF_EREBOR',
  name = 'OF_EREBOR',
  unique = 'OF_EREBOR',
  keep_base = 'DWARVEN_PICK',
  artifact_name = 'of Erebor',
  artifact_desc = 'A pick that provides a magical light by which to see while tunnelling.',
  level = 50,
  rarity = 15,
  weight = 20,
  encumber = 20,
  cost = 55000,
  combat = { 3, 4 },
  pval = 5,
  lite = 1,
  convey_resist_dam = { [DamageType.CHAOS]=true, [DamageType.LITE]=true, [DamageType.DARK]=true },
  convey_flags = { SUST_STR=true, CLIMB=true },
  stat_flags = { STR=true },
  pval_flags = { adj_digging=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s twists in your hands.', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.passwall(who, nil, nil, true)
      return { used=ret }
    end,
    power = 75,
    name = 'open a secret passage through walls',
  },
  cant_use_if = { not_wielded=true },
  max_power = 75,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'DRUM',
  define_as = 'OF_THE_DRUEDAIN',
  name = 'OF_THE_DRUEDAIN',
  unique = 'OF_THE_DRUEDAIN',
  keep_base = 'DRUM',
  artifact_name = 'of the Drúedain',
  artifact_desc = 'The fabled Drum of the Drúedain that will protect those who play it from darkness and poison attacks.  It also aids in the seeing of warm-blooded creatures.',
  level = 19,
  rarity = 10,
  weight = 1.5,
  encumber = 1.5,
  cost = 10000,
  convey_resist_dam = { [DamageType.POISON]=true, [DamageType.DARK]=true },
  pval_flags = { skill_stealth=true, skill_searching=true, skill_perception=true, infravision=true },
  flags = { ACTIVATE=true, WIELD_CAST=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s shows you the world...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      spell.detect_traps(25, who)
      spell.detect_doors_stairs(25, who)
      spell.detect_buried_treasure(25, who)
      spell.detect_gold(25, who)
      spell.detect_objects(25, who)
      spell.detect_monsters_normal(25, who)
      spell.detect_invisible_monsters(25, who)
      return { used=true }
    end,
    power = 99,
    name = 'detect various things',
  },
  cant_use_if = { not_wielded=true },
  max_power = 99,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'HORN',
  define_as = 'OF_ROHAN',
  name = 'OF_ROHAN',
  unique = 'OF_ROHAN',
  keep_base = 'HORN',
  artifact_name = 'of Rohan',
  artifact_desc = 'A horn carved from the bones of the Dragon of Ered-Mithrin, this heirloom of the House of Eorl bestows to its user the gifts of courage and command.',
  level = 14,
  rarity = 10,
  weight = 1.5,
  encumber = 1.5,
  cost = 80000,
  stat_flags = { CHA=true, WIS=true },
  flags = { ACTIVATE=true, WIELD_CAST=true },
  esp_flags = { DRAGON=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows deep red...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      who:removeEffect(who.EFF_AFRAID)
      who:setEffect(who.EFF_SUPERHEROISM, rng.dice(5, 10) + 30, { merge='combine' })
      who:setEffect(who.EFF_HEROISM, rng.range(5, 10) + 30, { merge='combine' })
      who:setEffect(who.EFF_SPEED, rng.range(5, 10) + 30, { speed=10, merge='combine' })
      who:heal(30, self)
      return { used=true }
    end,
    power = 250,
    name = 'increase your speed and induce heroism and berzerk rage',
  },
  cant_use_if = { not_wielded=true },
  max_power = 250,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'HORN',
  define_as = 'OF_HELM',
  name = 'OF_HELM',
  unique = 'OF_HELM',
  keep_base = 'HORN',
  artifact_name = 'of Helm',
  artifact_desc = 'Heedless of cold, fearless of darkness -- besiegers fled at the wind of the solitary coming of King Helm Hammerhand, proclaimed by a single horn-blast in the dead of winter.',
  level = 16,
  rarity = 10,
  weight = 1.5,
  encumber = 1.5,
  cost = 15000,
  convey_resist_dam = { [DamageType.NETHER]=true, [DamageType.FEAR]=true },
  convey_immune_dam = { [DamageType.COLD]=true },
  stat_flags = { STR=true, CON=true },
  flags = { ACTIVATE=true, WIELD_CAST=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s emits a lound sound.', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.ball_spell(who, nil, DamageType.FIRE, 300, 6, nil, nil, 20)
      return { used=ret }
    end,
    power = 300,
    name = 'fire a ball of sound (dam 300, rad 6)',
  },
  cant_use_if = { not_wielded=true },
  max_power = 300,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'HORN',
  define_as = 'OF_BOROMIR',
  name = 'OF_BOROMIR',
  unique = 'OF_BOROMIR',
  keep_base = 'HORN',
  artifact_name = 'of Boromir',
  artifact_desc = [[Boromir's horn gives courage and endurance to the wearer, provided he does not wish to travel in secrecy: for it must always sound when its wielder sets forth on a journey.  "Loud and clear it sounds in the valleys of the hills... and then let all the foes of Gondor flee!"]],
  level = 18,
  rarity = 10,
  weight = 1.5,
  encumber = 1.5,
  cost = 18000,
  convey_resist_dam = { [DamageType.FEAR]=true, [DamageType.FIRE]=true },
  convey_flags = { AGGRAVATE=true },
  stat_flags = { STR=true, CON=true },
  flags = { ACTIVATE=true, WIELD_CAST=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s calls for help.', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local filter = {
	not_properties = { 'unique' },
	display = 'p',
      }
      -- TODO I think we want some kind of OoD here
      -- [cf. src/cmd6.c line 5912]
      spell.summon(who, who.x, who.y, filter, 15)
      return { used=true }
    end,
    power = 1000,
    name = 'summon multiple human allies',
  },
  cant_use_if = { not_wielded=true },
  max_power = 1000,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'LOCHABER_AXE',
  define_as = 'LOCHABER_AXE_OF_GOTHMOG',
  name = 'LOCHABER_AXE_OF_GOTHMOG',
  unique = 'LOCHABER_AXE_OF_GOTHMOG',
  keep_base = 'LOCHABER_AXE',
  artifact_name = 'of Gothmog',
  artifact_desc = 'The black axe of Gothmog, which struck Fingon at Nírnaeth.  Mighty spells of evil make it unsafe in any hands but those of its original wielder.',
  level = 30,
  rarity = 8,
  weight = 25,
  encumber = 25,
  cost = 30000,
  combat = { 3, 8 }, to_h = 14, to_d = 19,
  pval = -4,
  convey_immune_dam = { [DamageType.FIRE]=true },
  brand_dam = { [DamageType.FIRE]=true },
  stat_flags = { CHA=true },
  flags = { ACTIVATE=true, SHOW_MODS=true, CURSED=true, TY_CURSE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s is covered in fire...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.ball_spell(who, nil, DamageType.FIRE, 300, 4, nil, nil, 20)
      return { used=ret }
    end,
    power = { 200, 200 },
    name = 'shoot a ball of fire (dam 300, rad 4)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'SEEKER_ARROW',
  define_as = 'SEEKER_ARROW_OF_GONDOR',
  name = 'SEEKER_ARROW_OF_GONDOR',
  unique = 'SEEKER_ARROW_OF_GONDOR',
  keep_base = 'SEEKER_ARROW',
  artifact_name = 'of Gondor',
  artifact_desc = 'An arrow that was created to rid the world of demons.',
  level = 20,
  rarity = 5,
  weight = 0.3,
  encumber = 0.3,
  cost = 25000,
  combat = { 10, 8 }, to_h = 10, to_d = 20,
  pval = 0,
  slay_flags = { EVIL=true, DEMON=true },
  resolvers.artifact(),
}

newEntity {
  base = 'LONG_SWORD',
  define_as = 'LONG_SWORD_OF_ETERNITY',
  name = 'LONG_SWORD_OF_ETERNITY',
  unique = 'LONG_SWORD_OF_ETERNITY',
  keep_base = 'LONG_SWORD',
  artifact_name = 'of Eternity',
  artifact_desc = 'A warm light bathes this translucent blade.  The power of the fates are at the command of its wielder as the weapon passes Supreme Judgment on the inhabitants of Angband.',
  level = 127,
  rarity = 220,
  weight = 13,
  encumber = 13,
  cost = 9000000,
  combat = { 5, 6 }, to_h = 21, to_d = 26,
  pval = 10,
  to_a = 50,
  special_gene = true,
  lite = 1,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.DARK]=true },
  convey_immune_dam = { [DamageType.COLD]=true },
  brand_dam = { [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.ELEC]=true },
  slay_flags = { EVIL=true, UNDEAD=true, DEMON=true, TROLL=true, DEMON=true },
  convey_flags = { SUST_STR=true, SUST_INT=true, SUST_WIS=true, SUST_DEX=true, SUST_CON=true, SUST_CHA=true, FREE_ACT=true, SEE_INVIS=true, SLOW_DIGEST=true, REGENERATE=true, BLESSED=true, PRECOGNITION=true, NO_MAGIC=true },
  stat_flags = { CON=true, CHA=true },
  pval_flags = { hp_mult=true, adj_luck=true },
  flags = { VORPAL=true, ACTIVATE=true, SHOW_MODS=true, ULTIMATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows an intense white...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      who:heal(7000, self)
      if who.healSanity then who:healSanity(50, self) end
      who:removeEffect(who.EFF_BLIND)
      who:removeEffect(who.EFF_POISON)
      who:removeEffect(who.EFF_CONFUSED)
      who:removeEffect(who.EFF_STUN)
      who:removeEffect(who.EFF_CUT)
      who:removeEffect(who.EFF_HALLUCINATION)
      return { used=true }
    end,
    power = 500,
    name = 'heal 7000hp and cure various ailments',
  },
  cant_use_if = { not_wielded=true },
  max_power = 500,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'ROBE',
  define_as = 'OF_GREAT_LUCK',
  name = 'OF_GREAT_LUCK',
  unique = 'OF_GREAT_LUCK',
  keep_base = 'ROBE',
  artifact_name = 'of Great Luck',
  artifact_desc = 'A powerful wizard once created this robe to grant him incredible luck....It seems he forgot to wear it.',
  level = 50,
  rarity = 120,
  weight = 2,
  encumber = 2,
  cost = 60000,
  combat = { 0, 0 },
  pval = 60,
  armor = -30,
  to_a = -20,
  convey_flags = { FREE_ACT=true },
  pval_flags = { adj_luck=true },
  cum_flags = { drain_hp=true, drain_mana=true },
  flags = { HIDE_TYPE=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SLING',
  define_as = 'OF_FARMER_MAGGOT',
  name = 'OF_FARMER_MAGGOT',
  unique = 'OF_FARMER_MAGGOT',
  keep_base = 'SLING',
  artifact_name = 'of Farmer Maggot',
  artifact_desc = [[This ordinary seeming leather sling has been raised to legendary status amongst generations of hobbit children.  Farmer Maggot's ability to notice and strike any mushroom thief anywhere within his patch almost keeps young poachers at bay, but once they get within range they soon flee for less painful pastures, frequently with rounded pebbles stinging their backsides...]],
  level = 10,
  rarity = 10,
  weight = 0.5,
  encumber = 0.5,
  cost = 20000,
  combat = { 0, 0 }, to_h = 20,
  pval = 2,
  special_gene = true,
  pval_flags = { infravision=true, skill_searching=true, skill_perception=true },
  cum_flags = { extra_shots=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, ACTIVATE=true },
  worn_talents = { ActorTalents.T_DEVICE_MAGGOT },
  resolvers.artifact(),
}

newEntity {
  base = 'LONG_SWORD',
  define_as = 'OF_ANGMAR',
  name = 'OF_ANGMAR',
  unique = 'OF_ANGMAR',
  keep_base = 'LONG_SWORD',
  artifact_name = 'of Angmar',
  artifact_desc = 'Dark flames wreath the naked steel of the Witch-King of Angmar.  A mighty curse to all those who wield it apart from its master, the torture of the wraithworld awaits those who dare.',
  level = 20,
  rarity = 40,
  weight = 13,
  encumber = 13,
  cost = 30000,
  combat = { 4, 5 }, to_h = -22, to_d = -25,
  pval = -10,
  brand_dam = { [DamageType.FIRE]=true },
  convey_flags = { SEE_INVIS=true, SLOW_DIGEST=true, FREE_ACT=true, NO_TELE=true, AGGRAVATE=true, WRAITH=true },
  stat_flags = { STR=true, WIS=true, CHA=true },
  pval_flags = { speed=true, invisibility=true },
  flags = { VAMPIRIC=true, CURSED=true, HEAVY_CURSE=true, DG_CURSE=true, SHOW_MODS=true, CLONE=true },
  esp_flags = { UNDEAD=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SEEKER_BOLT',
  define_as = 'SEEKER_BOLT_OF_FEANOR',
  name = 'SEEKER_BOLT_OF_FEANOR',
  unique = 'SEEKER_BOLT_OF_FEANOR',
  keep_base = 'SEEKER_BOLT',
  artifact_name = 'of Fëanor',
  artifact_desc = [[Made during the war against Morgoth by Fëanor, this powerful bolt is the bane of Morgoth's power, and has especial strength against those foes who are already dead.]],
  level = 127,
  rarity = 220,
  weight = 13,
  encumber = 13,
  cost = 100000,
  combat = { 5, 5 }, to_h = 5, to_d = 6,
  pval = 0,
  special_gene = true,
  brand_dam = { [DamageType.COLD]=true, [DamageType.FIRE]=true, [DamageType.ELEC]=true, [DamageType.ACID]=true, [DamageType.POISON]=true },
  slay_flags = { DRAGON=true, GIANT=true, TROLL=true, X_UNDEAD=true, ORC=true, DEMON=true, EVIL=true },
  resolvers.artifact(),
}

newEntity {
  base = 'HEAVY_CROSSBOW',
  define_as = 'HEAVY_CROSSBOW_OF_ETERNITY',
  name = 'HEAVY_CROSSBOW_OF_ETERNITY',
  unique = 'HEAVY_CROSSBOW_OF_ETERNITY',
  keep_base = 'HEAVY_CROSSBOW',
  artifact_name = 'of Eternity',
  artifact_desc = 'Designed to be used with the Seeker Bolt of Fëanor, this Crossbow is perfect against the terrible powers of Morgoth.',
  level = 127,
  rarity = 220,
  weight = 13,
  encumber = 13,
  cost = 8000000,
  combat = { 0, 0 }, to_h = 36, to_d = 28,
  pval = 5,
  special_gene = true,
  convey_resist_dam = { [DamageType.CHAOS]=true, [DamageType.DISENCHANT]=true, [DamageType.CONFUSION]=true, [DamageType.BLIND]=true },
  convey_immune_dam = { [DamageType.ELEC]=true },
  convey_flags = { SEE_INVIS=true, SLOW_DIGEST=true, FREE_ACT=true, FLY=true, REFLECT=true, SUST_STR=true, SUST_INT=true, SUST_WIS=true, SUST_DEX=true, SUST_CON=true, SUST_CHA=true, PRECOGNITION=true, NO_MAGIC=true },
  stat_flags = { DEX=true, CON=true },
  pval_flags = { speed=true, adj_luck=true, extra_might=true, invisibility=true, skill_stealth=true, infravision=true },
  cum_flags = { extra_shots=true },
  flags = { ULTIMATE=true },
  esp_flags = { ORC=true, TROLL=true, EVIL=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SOFT_LEATHER_ARMOUR',
  define_as = 'OF_THE_SANDWORM',
  name = 'OF_THE_SANDWORM',
  unique = 'OF_THE_SANDWORM',
  keep_base = 'SOFT_LEATHER_ARMOUR',
  artifact_name = 'of the Sandworm',
  artifact_desc = 'This powerful piece of armour was made using the remains of the Sandworm Queen.',
  level = 30,
  rarity = 3,
  weight = 8,
  encumber = 8,
  cost = 65000,
  combat = { 0, 0 },
  pval = 5,
  armor = 30,
  special_gene = true,
  convey_resist_dam = { [DamageType.POISON]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.ACID]=true },
  stat_flags = { STR=true },
  pval_flags = { adj_digging=true, skill_stealth=true, infravision=true },
  esp_flags = { ANIMAL=true },
  resolvers.artifact(),
}

newEntity {
  base = 'LOCHABER_AXE',
  define_as = 'DRAGONBANE',
  name = 'DRAGONBANE',
  unique = 'DRAGONBANE',
  keep_base = 'LOCHABER_AXE',
  artifact_name = [['Dragonbane']],
  artifact_desc = 'Forged by the Dwarves to defend their home of Khazad-dûm from dragons, this axe has been lost to time... until now.',
  level = 70,
  rarity = 20,
  weight = 26,
  encumber = 26,
  cost = 33000,
  combat = { 3, 8 }, to_h = 20, to_d = 20,
  pval = 2,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.POISON]=true },
  slay_flags = { X_DRAGON=true },
  pval_flags = { extra_blows=true },
  flags = { SHOW_MODS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'LIGHT_WAR_AXE',
  define_as = 'LIMBSLICER',
  name = 'LIMBSLICER',
  unique = 'LIMBSLICER',
  keep_base = 'LIGHT_WAR_AXE',
  artifact_name = [['Limbslicer']],
  artifact_desc = 'The Petty-dwarves of Bathak forged this blade, and it shares their thirst for blood.',
  level = 15,
  rarity = 3,
  weight = 14,
  encumber = 14,
  cost = 12000,
  combat = { 2, 5 }, to_h = 12, to_d = 15,
  pval = 4,
  stat_flags = { DEX=true },
  flags = { VORPAL=true, HIDE_TYPE=true, SHOW_MODS=true, WOUNDING=true },
  resolvers.artifact(),
}

newEntity {
  base = 'BROAD_AXE',
  define_as = 'ORCHAST',
  name = 'ORCHAST',
  unique = 'ORCHAST',
  keep_base = 'BROAD_AXE',
  artifact_name = [['Orchast']],
  artifact_desc = 'Forged by the dwarves of Khazad-dûm in a time of desperation, this axe turned many a battle against the invading orcs.',
  level = 15,
  rarity = 2,
  weight = 17,
  encumber = 17,
  cost = 12000,
  combat = { 2, 7 }, to_h = 20, to_d = 14,
  pval = 4,
  slay_flags = { ORC=true },
  stat_flags = { DEX=true },
  pval_flags = { skill_searching=true, skill_perception=true },
  flags = { ACTIVATE=true, HIDE_TYPE=true, SHOW_MODS=true, COULD2H=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows brightly...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local function det_cb(who, src) return who:has('ORC') end
      spell.detect_monsters_by(25, who, det_cb)
      return { used=true }
    end,
    power = 10,
    name = 'detect orcs',
  },
  cant_use_if = { not_wielded=true },
  max_power = 400,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'HATCHET',
  define_as = 'OF_THE_NIGHT',
  name = 'OF_THE_NIGHT',
  unique = 'OF_THE_NIGHT',
  keep_base = 'HATCHET',
  artifact_name = 'of the Night',
  artifact_desc = 'Found on an unmarked grave after a violent storm, this hatchet has a sinister aura of darkness and decay.',
  level = 45,
  rarity = 20,
  weight = 4.5,
  encumber = 4.5,
  cost = 34000,
  combat = { 2, 6 }, to_h = 34, to_d = 22,
  pval = 4,
  convey_resist_dam = { [DamageType.DARK]=true },
  slay_flags = { X_UNDEAD=true },
  convey_flags = { SEE_INVIS=true, DRAIN_EXP=true },
  stat_flags = { DEX=true },
  pval_flags = { skill_stealth=true },
  flags = { VAMPIRIC=true, HIDE_TYPE=true, SHOW_MODS=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s emits a black aura...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local Map = require 'engine.Map'
      for _ = 1, 3 do
	local ret = spell.bolt_spell(who, nil, DamageType.OLD_DRAIN, 100, nil, nil, 18)
	local a = ret and game.level.map(x, y, Map.ACTOR)
	if a and not a:immuneDam(DamageType.OLD_DRAIN) then who:heal(100) end
      end
      return { used=true }
    end,
    power = 250,
    name = 'fire three separately targeted bolts of vampiric drain (100)',
  },
  cant_use_if = { not_wielded=true },
  max_power = 500,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'SLAUGHTER_AXE',
  define_as = 'NATUREBANE',
  name = 'NATUREBANE',
  unique = 'NATUREBANE',
  keep_base = 'SLAUGHTER_AXE',
  artifact_name = [['Naturebane']],
  artifact_desc = 'Used by the orcs in their battle at Dagor Bragollach against the elves, this axe has a bloodthirst for nature.',
  level = 70,
  rarity = 20,
  weight = 30,
  encumber = 30,
  cost = 28400,
  combat = { 5, 7 }, to_h = 31, to_d = 27,
  pval = 3,
  convey_resist_dam = { [DamageType.SHARDS]=true, [DamageType.NEXUS]=true },
  slay_flags = { ANIMAL=true },
  convey_flags = { SUST_STR=true, FEATHER=true },
  stat_flags = { STR=true },
  cum_flags = { drain_hp=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s glows blood red...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      spell.los_spell(who, nil, DamageType.DISP_ALL, 300)
      return { used=true }
    end,
    power = { 200, 200 },
    name = 'dispel monsters (300)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'LIGHT_WAR_AXE',
  define_as = 'OF_ICE',
  name = 'OF_ICE',
  unique = 'OF_ICE',
  keep_base = 'LIGHT_WAR_AXE',
  artifact_name = 'of Ice',
  artifact_desc = 'Crafted of purest ice and held solid by powerful spells, this icy axe delivers a chill of death to its victims.',
  level = 30,
  rarity = 25,
  weight = 14,
  encumber = 14,
  cost = 26550,
  combat = { 2, 5 }, to_h = 3, to_d = 15,
  pval = 3,
  convey_resist_dam = { [DamageType.NEXUS]=true },
  convey_immune_dam = { [DamageType.COLD]=true },
  brand_dam = { [DamageType.COLD]=true },
  convey_flags = { SUST_DEX=true },
  stat_flags = { INT=true, CHA=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'IRON_HELM',
  define_as = 'OF_KNOWLEDGE',
  name = 'OF_KNOWLEDGE',
  unique = 'OF_KNOWLEDGE',
  keep_base = 'IRON_HELM',
  artifact_name = 'of Knowledge',
  artifact_desc = 'This helm, designed by Petty-Dwarves ages ago to act as the brain of a long lost project, is made of finest glass.  Its light banishes all secrets, and makes audible whispers from the deceased.',
  level = 20,
  rarity = 5,
  weight = 7.5,
  encumber = 7.5,
  cost = 100000,
  pval = -6,
  armor = 6,
  to_a = 20,
  special_gene = true,
  lite = 1,
  convey_flags = { AUTO_ID=true },
  pval_flags = { adj_luck=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      spell.identify_dialog(who, 'full', 'Select item to fully identify')
      if who.takeSanityHit then
	who:takeSanityHit(rng.dice(10, 7), self, 'the sounds of the dead')
      end
      return { used=true }
    end,
    power = { 100, 200},
    name = 'fully identify an item (at the cost of 10d7 sanity)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'TRAP_CATAPULT',
  define_as = 'OF_AHROMARWAR',
  name = 'OF_AHROMARWAR',
  unique = 'OF_AHROMARWAR',
  keep_base = 'TRAP_CATAPULT',
  artifact_name = 'of Ahromarwar',
  artifact_desc = 'A trap that can almost never be detected.  Its missiles may be mere pebbles, but fired at an incredibly high velocity to penetrate even the toughest hide or armour.',
  level = 20,
  rarity = 10,
  weight = 4,
  encumber = 4,
  cost = 20000,
  combat = { 0, 0 }, to_h = 25, to_d = 15,
  pval = 3,
  to_a = 30,
  pval_flags = { CONCEAL=true, extra_might=true },
  flags = { AUTOMATIC_99=true, HIDE_TYPE=true },
  resolvers.artifact(),
}

newEntity {
  base = 'TRAP_DEVICE',
  define_as = 'HANISBRONER_S_SURPRISE',
  name = 'HANISBRONER_S_SURPRISE',
  unique = 'HANISBRONER_S_SURPRISE',
  keep_base = 'TRAP_DEVICE',
  artifact_name = [['Hanisbroner's Surprise']],
  artifact_desc = 'A magical trap, armed with a wand.  Unaccountably, its victims keep on coming back for more...',
  level = 20,
  rarity = 20,
  weight = 4,
  encumber = 4,
  cost = 20000,
  combat = { 0, 0 },
  pval = 3,
  to_a = 25,
  pval_flags = { CONCEAL=true, MULTI_SHOT=true },
  flags = { TELEPORT_TO=true, HIDE_TYPE=true, AUTOMATIC_99=true },
  resolvers.artifact(),
}

newEntity {
  base = 'TRAP_BOLT',
  define_as = 'MERLION_KARC_S_DEMONBANE',
  name = 'MERLION_KARC_S_DEMONBANE',
  unique = 'MERLION_KARC_S_DEMONBANE',
  keep_base = 'TRAP_BOLT',
  artifact_name = [['Merlion Karc's Demonbane']],
  artifact_desc = 'A snare set not for animals, or people, but for demons alone, and enchanted so that whenever the demon sets foot or claw into the (hidden) pentagram, its hide is immediately pierced by many magical crossbow bolts.',
  level = 20,
  rarity = 20,
  weight = 20,
  encumber = 20,
  cost = 20000,
  combat = { 0, 0 }, to_h = 17, to_d = 27,
  pval = 2,
  to_a = 37,
  pval_flags = { CONCEAL=true, MULTI_SHOT=true, extra_might=true },
  trap_trigger = { DEMON=true },
  flags = { HIDE_TYPE=true },
  resolvers.artifact(),
}

newEntity {
  base = 'BROKEN_SWORD',
  define_as = 'NARSIL',
  name = 'NARSIL',
  unique = 'NARSIL',
  keep_base = 'BROKEN_SWORD',
  artifact_name = [['Narsil']],
  artifact_desc = 'The sword that was broken shall be reforged...',
  level = 20,
  rarity = 5,
  weight = 3,
  encumber = 3,
  cost = 2000,
  combat = { 3, 2 }, to_h = 6, to_d = 10,
  pval = 2,
  convey_resist_dam = { [DamageType.FIRE]=true },
  slay_flags = { ORC=true, TROLL=true },
  convey_flags = { BLESSED=true },
  stat_flags = { STR=true, DEX=true },
  flags = { HIDE_TYPE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  on_identify = function(self)
    local Dialog = require 'engine.util.Dialog'
    local txt = [[You recognize this broken sword as the remains of Narsil, the legendary sword of Elendil that was broken in the Battle of the Last Alliance.  Legend foretells that "the sword that was broken shal be reforged"; perhaps that refers to this sword?  King Aragorn in Minas Anor would know; you should show it to him.]]
    Dialog:simpleLongPopup('Narsil', txt, game.w * 0.5, function() game.player:grantQuest('narsil') end)
  end,
  -- END VERBATIM
}

newEntity {
  base = 'STEEL_HELM',
  define_as = 'LEBOHAUM',
  name = 'LEBOHAUM',
  unique = 'LEBOHAUM',
  keep_base = 'STEEL_HELM',
  artifact_name = [['Lebohaum']],
  artifact_desc = [[With the Helm 'Lebohaum' your head is safe!]],
  level = 20,
  rarity = 15,
  weight = 1.5,
  encumber = 1.5,
  cost = 25000,
  pval = 0,
  armor = 20,
  to_a = 80,
  flags = { ACTIVATE=true },
  worn_talents = { ActorTalents.T_DEVICE_LEBAUHAUM },
  resolvers.artifact(),
}

newEntity {
  base = 'POWER_DRAGON_SCALE_MAIL',
  define_as = 'MEDIATOR',
  name = 'MEDIATOR',
  unique = 'MEDIATOR',
  keep_base = 'POWER_DRAGON_SCALE_MAIL',
  artifact_name = [['Mediator']],
  artifact_desc = 'A mighty suit of dragon armour, set with the scales of dragons of both Law and Chaos, and with power over both.',
  level = 95,
  rarity = 12,
  weight = 50,
  encumber = 50,
  cost = 400000,
  to_h = -8,
  pval = 0,
  armor = 50,
  to_a = 35,
  convey_resist_dam = { [DamageType.NEXUS]=true, [DamageType.CHAOS]=true, [DamageType.SHARDS]=true, [DamageType.SOUND]=true, [DamageType.DISENCHANT]=true, [DamageType.CONFUSION]=true },
  convey_flags = { FEATHER=true, FLY=true, AGGRAVATE=true, REGENERATE=true },
  flags = { ACTIVATE=true },
  esp_flags = { DRAGON=true },
  ignore_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'You breathe the elements.')
      spell.ball_spell(who, nil, DamageType.MISSILE, 300, 4, nil, nil, 20)
      game.logPlayer(who, 'Your %s glows many colors...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      who:removeEffect(who.EFF_AFRAID)
      who:setEffect(who.EFF_SUPERHEROISM, 50+rng.range(1, 50), { merge='combine' })
      who:heal(30, self)
      who:setEffect(who.EFF_BLESSED, 50+rng.range(1, 50), { merge='combine' })
      who:setEffect(who.EFF_RES_ACID, 50+rng.range(1, 50), { merge='combine' })
      who:setEffect(who.EFF_RES_LIGHTNING, 50+rng.range(1, 50), { merge='combine' })
      who:setEffect(who.EFF_RES_FIRE, 50+rng.range(1, 50), { merge='combine' })
      who:setEffect(who.EFF_RES_COLD, 50+rng.range(1, 50), { merge='combine' })
      who:setEffect(who.EFF_RES_POISON, 50+rng.range(1, 50), { merge='combine' })
      return { used=true }
    end,
    power = 400,
    name = 'breathe a ball of elemental power (300 damage, radius 4) and induce berzerker rage and temporary resistance and blessing',
  },
  cant_use_if = { not_wielded=true },
  max_power = 400,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'HARD_LEATHER_ARMOUR',
  define_as = 'OF_HIMRING',
  name = 'OF_HIMRING',
  unique = 'OF_HIMRING',
  keep_base = 'HARD_LEATHER_ARMOUR',
  artifact_name = 'of Himring',
  artifact_desc = 'Contained within this studded cuirass of pliable leather is the memory of unvanquished Himring, defiant fortress surrounded by the legions of Morgoth.',
  level = 50,
  rarity = 20,
  weight = 10,
  encumber = 10,
  cost = 35000,
  combat = { 0, 0 },
  pval = 0,
  armor = 6,
  to_a = 15,
  convey_resist_dam = { [DamageType.CHAOS]=true, [DamageType.NETHER]=true, [DamageType.POISON]=true },
  flags = { ACTIVATE=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s lets out a shrill wail...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      who:setEffect(who.EFF_PROTECT_EVIL, rng.range(1, 25) + 3*who.level, {merge='combine'})
      return { used=true }
    end,
    power = { 225, 225 },
    name = 'protect yourself from evil creatures (dur lev*3 + d25)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  resolvers.artifact(),
}

newEntity {
  base = 'SOFT_LEATHER_ARMOUR',
  define_as = 'HITHLOMIR',
  name = 'HITHLOMIR',
  unique = 'HITHLOMIR',
  keep_base = 'SOFT_LEATHER_ARMOUR',
  artifact_name = [['Hithlomir']],
  artifact_desc = 'Familiar with the secret ways hidden in darkness, this leather cuirass is truly more than it appears.',
  level = 20,
  rarity = 3,
  weight = 8,
  encumber = 8,
  cost = 45000,
  combat = { 0, 0 },
  pval = 4,
  armor = 4,
  to_a = 20,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.DARK]=true },
  pval_flags = { skill_stealth=true, skill_searching=true, skill_perception=true },
  flags = { HIDE_TYPE=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SHIELD_OF_DEFLECTION',
  define_as = 'OF_GIL_GALAD',
  name = 'OF_GIL_GALAD',
  unique = 'OF_GIL_GALAD',
  keep_base = 'SHIELD_OF_DEFLECTION',
  artifact_name = 'of Gil-galad',
  artifact_desc = 'The legendary shield of Gil-Galad, who fought his way to the gates of the Dark Tower, and with whom came light even to Gorgoroth.',
  level = 70,
  rarity = 4,
  weight = 8,
  encumber = 8,
  cost = 65000,
  pval = 5,
  armor = 10,
  to_a = 20,
  lite = 1,
  convey_resist_dam = { [DamageType.ELEC]=true, [DamageType.ACID]=true, [DamageType.DISENCHANT]=true, [DamageType.DARK]=true },
  convey_flags = { SUST_WIS=true, SUST_DEX=true, SUST_CHA=true },
  stat_flags = { WIS=true, CHA=true },
  pval_flags = { skill_searching=true, skill_perception=true, adj_luck=true },
  flags = { ACTIVATE=true, HIDE_TYPE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      spelll.ray_spells(who, nil, DamageType.LITE, 75, -1, 20)
      return { used=true }
    end,
    power = { 75, 75 },
    name = function(self)
      local DamageType = require 'engine.DamageType'
      local lf = util.colorize_damtype(DamageType.LITE)
      local ret = [[fire beams of starlight (75 %s damage) in all eight directions]]
      return ret:format(lf)
    end,
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'METAL_CAP',
  define_as = 'OF_CELEBRIMBOR',
  name = 'OF_CELEBRIMBOR',
  unique = 'OF_CELEBRIMBOR',
  keep_base = 'METAL_CAP',
  artifact_name = 'of Celebrimbor',
  artifact_desc = 'This once belonged to Celebrimbor, maker of the Rings of Power.  One who knows both fire and acid, from the business of forging and engraving, will fear neither: nor have his enchantments ever faded.  Celebrimbor was even aware of Sauron before Sauron became aware of him, when Sauron put on the One Ring for the first time.',
  level = 55,
  rarity = 12,
  weight = 2,
  encumber = 2,
  cost = 45000,
  pval = 3,
  armor = 3,
  to_a = 18,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.ACID]=true, [DamageType.DISENCHANT]=true, [DamageType.SHARDS]=true },
  stat_flags = { INT=true, DEX=true, CHA=true },
  pval_flags = { spellpower=true, skill_searching=true, skill_perception=true },
  flags = { ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      who:setEffect(who.EFF_SENSE_MONSTER, 20+rng.range(1, 20), { merge='combine' })
      return { used=true }
    end,
    power = { 20, 50 },
    name = 'gain temporary ESP (dur 20+d20)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'HEAVY_CROSSBOW',
  define_as = 'OF_UMBAR',
  name = 'OF_UMBAR',
  unique = 'OF_UMBAR',
  keep_base = 'HEAVY_CROSSBOW',
  artifact_name = 'of Umbar',
  artifact_desc = 'A great brazen arbalest with arms of gleaming steel, shooting quarrels with speed and power for those brave enough to risk betrayal.',
  level = 60,
  rarity = 20,
  weight = 20,
  encumber = 20,
  cost = 35000,
  combat = { 4, 1 }, to_h = 18, to_d = 18,
  pval = 2,
  convey_resist_dam = { [DamageType.LITE]=true, [DamageType.DARK]=true, [DamageType.BLIND]=true, [DamageType.ELEC]=true },
  convey_flags = { AGGRAVATE=true },
  stat_flags = { STR=true, CON=true },
  pval_flags = { extra_might=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, SHOW_MODS=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      local ret = spell.bolt_spell(who, nil, DamageType.MISSILE, rng.dice(10, 10), nil, nil, 20)
      return { used=ret }
    end,
    power = { 20, 20 },
    name = 'shoot a magic arrow (10d10)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'SHORT_BOW',
  define_as = 'OF_AMROD',
  name = 'OF_AMROD',
  unique = 'OF_AMROD',
  keep_base = 'SHORT_BOW',
  artifact_name = 'of Amrod',
  artifact_desc = [[This bow, and its twin, belonged to Fëanor's last two twin sons, Amrod and Amras, who both hunted with the Green-elves for a time.  Like the twins, the bows are similar, for both protect their wielders from the elements:  and yet they are also unlike, for this bow gives endurance and strength, while the other gives quickness and subtlety.]],
  level = 25,
  rarity = 10,
  weight = 3,
  encumber = 3,
  cost = 9000,
  combat = { 0, 0 }, to_h = 12, to_d = 15,
  pval = 2,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.ELEC]=true, [DamageType.COLD]=true },
  convey_flags = { REGENERATE=true },
  stat_flags = { STR=true, CON=true },
  pval_flags = { extra_might=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SHORT_BOW',
  define_as = 'OF_AMRAS',
  name = 'OF_AMRAS',
  unique = 'OF_AMRAS',
  keep_base = 'SHORT_BOW',
  artifact_name = 'of Amras',
  artifact_desc = [[This bow, and its twin, belonged to Fëanor's last two twin sons, Amrod and Amras, who both hunted with the Green-elves for a time.  Like the twins, the bows are similar, for both protect their wielders from the elements:  and yet they are also unlike, for this bow gives quickness and subtlety, while the other gives endurance and strength.]],
  level = 25,
  rarity = 10,
  weight = 3,
  encumber = 3,
  cost = 9000,
  combat = { 0, 0 }, to_h = 12, to_d = 15,
  pval = 1,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.ELEC]=true, [DamageType.COLD]=true },
  convey_flags = { SLOW_DIGEST=true },
  stat_flags = { INT=true, WIS=true, DEX=true },
  pval_flags = { extra_might=true, speed=true },
  cum_flags = { extra_shots=true },
  resolvers.artifact(),
}

newEntity {
  base = 'MATTOCK',
  define_as = 'OF_NAIN',
  name = 'OF_NAIN',
  unique = 'OF_NAIN',
  keep_base = 'MATTOCK',
  artifact_name = 'of Náin',
  artifact_desc = [[Wielded by Náin of the Iron Hills at the Battle of Azanulbizar, this great mattock brought victory to the Dwarves over Azog's Orcs - though Náin himself fell at the last, even with victory already assured.]],
  level = 60,
  rarity = 5,
  weight = 25,
  encumber = 25,
  cost = 30000,
  combat = { 3, 8 }, to_h = 12, to_d = 18,
  pval = 6,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.DARK]=true, [DamageType.DISENCHANT]=true },
  brand_dam = { [DamageType.ACID]=true },
  slay_flags = { ORC=true, TROLL=true, GIANT=true, DRAGON=true },
  convey_flags = { CLIMB=true },
  stat_flags = { STR=true },
  pval_flags = { adj_digging=true, infravision=true, skill_searching=true, skill_perception=true },
  flags = { ACTIVATE=true },
  esp_flags = { ORC=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      game.logPlayer(who, 'Your %s pulsates...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local ret = spell.beam_spell(who, nil, DamageType.KILL_WALL, 20+rng.range(1, 30), nil, nil, 20)
      return { used=ret }
    end,
    power = 5,
    name = 'destroy walls',
  },
  cant_use_if = { not_wielded=true },
  max_power = 5,
  power_regen = 1,
  resolvers.artifact(),
}

newEntity {
  base = 'BALL_AND_CHAIN',
  define_as = 'OF_FUNDIN_BLUECLOAK',
  name = 'OF_FUNDIN_BLUECLOAK',
  unique = 'OF_FUNDIN_BLUECLOAK',
  keep_base = 'BALL_AND_CHAIN',
  artifact_name = 'of Fundin Bluecloak',
  artifact_desc = 'The weapon of one of the great dwarven priests, with powers to preserve body, soul and enchantments, and the bane of those who seek life beyond death.',
  level = 25,
  rarity = 100,
  weight = 13,
  encumber = 13,
  cost = 60000,
  combat = { 5, 4 }, to_h = 13, to_d = 17,
  pval = 4,
  to_a = 10,
  lite = 1,
  convey_resist_dam = { [DamageType.FIRE]=true, [DamageType.ELEC]=true, [DamageType.NETHER]=true, [DamageType.DISENCHANT]=true },
  slay_flags = { EVIL=true, UNDEAD=true },
  convey_flags = { HOLD_LIFE=true },
  stat_flags = { STR=true, WIS=true },
  pval_flags = { speed=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true, COULD2H=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      spell.los_spell(who, nil, DamageType.DISP_EVIL, 4*who.level)
      return { used=true }
    end,
    power = { 100, 100 },
    name = 'dispel evil (lev*4)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'LARGE_LEATHER_SHIELD',
  define_as = 'OF_THE_HARADRIM',
  name = 'OF_THE_HARADRIM',
  unique = 'OF_THE_HARADRIM',
  keep_base = 'LARGE_LEATHER_SHIELD',
  artifact_name = 'of the Haradrim',
  artifact_desc = 'A great shield from the far lands of the South, whose wielder will go charging into battle heedless of danger, with the strength and endurance of a madman.  Nor will he fear poison, for the Southron barbarians handle poisoned darts naturally.',
  level = 35,
  rarity = 12,
  weight = 12,
  encumber = 12,
  cost = 25000,
  pval = 2,
  armor = 4,
  to_a = 15,
  convey_resist_dam = { [DamageType.FEAR]=true, [DamageType.BLIND]=true, [DamageType.POISON]=true },
  convey_flags = { SUST_STR=true, SUST_CON=true, AGGRAVATE=true },
  stat_flags = { STR=true, CON=true },
  flags = { ACTIVATE=true, HIDE_TYPE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      who:removeEffect(who.EFF_AFRAID)
      who:setEffect(who.EFF_SUPERHEROISM, 25+rng.range(1, 25), { merge='combine' })
      who:heal(30, self)
      return { used=true }
    end,
    power = { 50, 50 },
    name = 'induce a berzerker rage',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'LEAD_FILLED_MACE',
  define_as = 'SKULLCLEAVER',
  name = 'SKULLCLEAVER',
  unique = 'SKULLCLEAVER',
  keep_base = 'LEAD_FILLED_MACE',
  artifact_name = [['Skullcleaver']],
  artifact_desc = 'This mighty bludgeon brings destruction to all around it, and is the bane of dragons and magic.',
  level = 30,
  rarity = 15,
  weight = 50,
  encumber = 50,
  cost = 60000,
  combat = { 5, 4 }, to_h = 11, to_d = 23,
  pval = 5,
  to_a = 20,
  convey_resist_dam = { [DamageType.NEXUS]=true, [DamageType.BLIND]=true, [DamageType.SOUND]=true },
  brand_dam = { [DamageType.POISON]=true, [DamageType.ELEC]=true },
  slay_flags = { X_DRAGON=true, ANIMAL=true },
  convey_flags = { AGGRAVATE=true, NO_MAGIC=true },
  stat_flags = { STR=true },
  pval_flags = { adj_digging=true, infravision=true },
  flags = { HIDE_TYPE=true, CURSED=true, ACTIVATE=true, COULD2H=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      spell.destroy_area(who.x, who.y, 15, true, false)
      return { used=true }
    end,
    power = { 200, 200 },
    name = 'destroy the area around you',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'SET_OF_GAUNTLETS',
  define_as = 'OF_EOL',
  name = 'OF_EOL',
  unique = 'OF_EOL',
  keep_base = 'SET_OF_GAUNTLETS',
  artifact_name = 'of Eöl',
  artifact_desc = 'The iron-shod gauntlets of the Dark Elven smith Eöl, tingling with magics that he could channel in battle.',
  level = 55,
  rarity = 35,
  weight = 2.5,
  encumber = 2.5,
  cost = 40000,
  pval = 3,
  armor = 3,
  to_a = 15,
  convey_resist_dam = { [DamageType.ELEC]=true, [DamageType.DARK]=true, [DamageType.POISON]=true },
  convey_flags = { FREE_ACT=true, FEATHER=true },
  stat_flags = { INT=true },
  pval_flags = { mana_mult=true, adj_luck=true },
  flags = { ACTIVATE=true, SPELL_CONTAIN=true, WIELD_CAST=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      local DamageType = require 'engine.DamageType'
      local ret = spell.bolt_spell(who, nil, DamageType.MANA, rng.dice(9, 8), nil, nil, 20)
      return { used=ret }
    end,
    power = { 7, 7 },
    name = 'shoot a mana bold (9d8)',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'PAIR_OF_HARD_LEATHER_BOOTS',
  define_as = 'OF_NEVRAST',
  name = 'OF_NEVRAST',
  unique = 'OF_NEVRAST',
  keep_base = 'PAIR_OF_HARD_LEATHER_BOOTS',
  artifact_name = 'of Nevrast',
  artifact_desc = 'Footgear made of bear leather and set with opals, which grant the wearer silent, hasted movement.',
  level = 20,
  rarity = 8,
  weight = 4,
  encumber = 4,
  cost = 35000,
  pval = 3,
  armor = 3,
  to_a = 13,
  stat_flags = { CON=true },
  pval_flags = { skill_stealth=true, speed=true },
  flags = { HIDE_TYPE=true },
  resolvers.artifact(),
}

newEntity {
  base = 'PAIR_OF_METAL_SHOD_BOOTS',
  define_as = 'OF_GIMLI',
  name = 'OF_GIMLI',
  unique = 'OF_GIMLI',
  keep_base = 'PAIR_OF_METAL_SHOD_BOOTS',
  artifact_name = 'of Gimli',
  artifact_desc = [[A set of iron-shod boots stamped by Gimli's combat prowess, a peerless ally to those journeying through halls of stone under mountains.]],
  level = 40,
  rarity = 8,
  weight = 6,
  encumber = 6,
  cost = 22500,
  to_h = 5, to_d = 5,
  pval = 4,
  armor = 4,
  to_a = 10,
  convey_flags = { CLIMB=true },
  pval_flags = { infravision=true, skill_searching=true, skill_perception=true, adj_digging=true },
  flags = { HIDE_TYPE=true },
  worn_talents = { ActorTalents.T_OBJ_MAGIC_MAP },
  resolvers.artifact(),
}

newEntity {
  base = 'DEMONBLADE',
  define_as = 'DEMONBLADE_OF_GOTHMOG',
  name = 'DEMONBLADE_OF_GOTHMOG',
  unique = 'DEMONBLADE_OF_GOTHMOG',
  keep_base = 'DEMONBLADE',
  artifact_name = 'of Gothmog',
  level = 10,
  rarity = 0,
  weight = 15,
  encumber = 15,
  cost = 500,
  combat = { 7, 6 }, to_h = 13, to_d = 13,
  pval = -20,
  lite = 1,
  brand_dam = { [DamageType.FIRE]=true, [DamageType.POISON]=true },
  slay_flags = { DEMON=true, EVIL=true },
  pval_flags = { adj_luck=true },
  flags = { SHOW_MODS=true, CHAOTIC=true, WOUNDING=true, RES_MORGUL=true, WIELD_CAST=true, HEAVY_CURSE=true, AUTO_CURSE=true },
  set_info = {
    name = [[Gothmog's Armoury]],
    desc = [[It is from a group of items that once belonged to Gothmog, the High Captain of the Balrogs]],
    [3] = {
      pval = 7,
      stat_flags = { STR=true, CON=true },
      pval_flags = { speed=true },
      flags = { VAMPIRIC=true },
    },
  },
  resolvers.artifact(),
}

newEntity {
  base = 'DEMONSHIELD',
  define_as = 'DEMONSHIELD_OF_GOTHMOG',
  name = 'DEMONSHIELD_OF_GOTHMOG',
  unique = 'DEMONSHIELD_OF_GOTHMOG',
  keep_base = 'DEMONSHIELD',
  artifact_name = 'of Gothmog',
  level = 15,
  rarity = 0,
  weight = 7,
  encumber = 7,
  cost = 500,
  pval = 4,
  armor = 13,
  to_a = 13,
  convey_melee_retal = { [DamageType.FIRE]='plyrdam' },
  convey_flags = { SUST_STR=true, SUST_CON=true, SUST_DEX=true, FEATHER=true, FREE_ACT=true, HOLD_LIFE=true },
  stat_flags = { DEX=true },
  pval_flags = { invisibility=true },
  flags = { HEAVY_CURSE=true, AUTO_CURSE=true, WIELD_CAST=true },
  set_info = {
    name = [[Gothmog's Armoury]],
    desc = [[It is from a group of items that once belonged to Gothmog, the High Captain of the Balrogs]],
    [3] = {
      pval = 0,
      convey_immune_dam = { [DamageType.FIRE]=true, [DamageType.COLD]=true },
      convey_melee_retal = { [DamageType.ELEC]='plyrdam' },
    },
  },
  resolvers.artifact(),
}

newEntity {
  base = 'DEMONHORN',
  define_as = 'DEMONHORN_OF_GOTHMOG',
  name = 'DEMONHORN_OF_GOTHMOG',
  unique = 'DEMONHORN_OF_GOTHMOG',
  keep_base = 'DEMONHORN',
  artifact_name = 'of Gothmog',
  level = 20,
  rarity = 0,
  weight = 3,
  encumber = 3,
  cost = 500,
  pval = -5,
  armor = 2,
  to_a = 13,
  lite = 2,
  convey_flags = { REGENERATE=true, SLOW_DIGEST=true, SEE_INVIS=true },
  stat_flags = { CHA=true },
  flags = { HEAVY_CURSE=true, AUTO_CURSE=true, WIELD_CAST=true },
  esp_flags = { DEMON=true },
  set_info = {
    name = [[Gothmog's Armoury]],
    desc = [[It is from a group of items that once belonged to Gothmog, the High Captain of the Balrogs]],
    [3] = {
      pval = 0,
      convey_flags = { AUTO_ID=true },
      esp_flags = { EVIL=true, GOOD=true },
    },
  },
  resolvers.artifact(),
}

newEntity {
  base = 'LONG_SWORD',
  define_as = 'DURANDIL',
  name = 'DURANDIL',
  unique = 'DURANDIL',
  keep_base = 'LONG_SWORD',
  artifact_name = [['Durandil']],
  artifact_desc = [[Don't go adventuring without your Durandil sword!]],
  level = 5,
  rarity = 10,
  weight = 13,
  encumber = 13,
  cost = 500,
  combat = { 2, 5 }, to_h = 5, to_d = 6,
  pval = 3,
  convey_resist_dam = { [DamageType.FEAR]=true },
  pval_flags = { adj_luck=true },
  flags = { ACTIVATE=true, SHOW_MODS=true },
  worn_talents = { ActorTalents.T_DEVICE_DURANDIL },
  resolvers.artifact(),
}

newEntity {
  base = 'UNDEATH_BASE',
  define_as = 'OF_UNDEATH',
  name = 'OF_UNDEATH',
  unique = 'OF_UNDEATH',
  keep_base = 'UNDEATH_BASE',
  artifact_name = 'of Undeath',
  artifact_desc = 'It appears like the Phial of Galadriel at first - but wait! It is a cursed phial created by an evil wizard to lure adventurers into wielding it unknowingly.',
  level = 20,
  rarity = 10,
  weight = 1,
  encumber = 1,
  cost = 0,
  combat = { 1, 1 },
  pval = -5,
  insta_art = true,
  lite = 5,
  convey_flags = { MAGIC_BREATH=true },
  stat_flags = { INT=true, WIS=true, CON=true, DEX=true, CHA=true, STR=true },
  pval_flags = { adj_luck=true },
  flags = { CURSED=true, ACTIVATE=true, DG_CURSE=true },
  esp_flags = { UNDEAD=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s wells with dark light...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      -- TODO unlight area
      local Stats = require 'mod.class.interface.ActorStats'
      for _, s in ipairs(Stats.stats) do who:bumpStatDown(s) end
      return { used=true }
    end,
    power = { 10, 10 },
    name = 'induce ruination',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  -- END VERBATIM
}

newEntity {
  base = 'ORTHANC_BASE',
  define_as = 'OF_ORTHANC',
  name = 'OF_ORTHANC',
  unique = 'OF_ORTHANC',
  keep_base = 'ORTHANC_BASE',
  artifact_name = 'of Orthanc',
  artifact_desc = 'A shining white ball of unbreakable crystal, the ancient Palantíri were used by kings of Númenor and later by the Exiles for rapid communication between distant lands.  Nothing is hidden from one who gazes into a Palantír, but the observed will also be aware of the observer, as was Sauron when Saruman tried to spy on him with this particular Palantír.',
  level = 75,
  rarity = 60,
  weight = 20,
  encumber = 20,
  cost = 100000,
  combat = { 10, 10 },
  pval = 2,
  insta_art = true,
  lite = 2,
  convey_resist_dam = { [DamageType.BLIND]=true },
  convey_flags = { SEE_INVIS=true, AGGRAVATE=true },
  stat_flags = { WIS=true, INT=true },
  pval_flags = { skill_searching=true, skill_perception=true, infravision=true },
  cum_flags = { drain_mana=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  esp_flags = { ALL=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows a deep green...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      spell.detect_traps(25, who)
      spell.detect_doors_stairs(25, who)
      return { used=true }
    end,
    power = { 100, 100 },
    name = 'sense traps, doors and stairs in a radius of 25',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  resolvers.artifact(),
}

newEntity {
  base = 'PHASING_BASE',
  define_as = 'OF_PHASING',
  name = 'OF_PHASING',
  unique = 'OF_PHASING',
  keep_base = 'PHASING_BASE',
  artifact_name = 'of Phasing',
  artifact_desc = 'Imbued with the screams of the victims of undead everywhere, this ring is more a hole in reality than anything else.  Strange forces ripple over its surface, giving you visions of a reality considerably less solid than this one.  You feel your senses reel, and must make a conscious effort not to throw this ring as far from you as possible.',
  level = 110,
  rarity = 0,
  weight = 0.2,
  encumber = 0.2,
  cost = 3000000,
  combat = { 1, 1 },
  pval = 15,
  special_gene = true,
  insta_art = true,
  convey_immune_dam = { [DamageType.NETHER]=true },
  convey_flags = { SEE_INVIS=true, MAGIC_BREATH=true, REGENERATE=true, WRAITH=true, DRAIN_EXP=true, HOLD_LIFE=true },
  pval_flags = { speed=true, adj_luck=true },
  flags = { CURSED=true, HEAVY_CURSE=true },
  worn_talents = { ActorTalents.T_OBJ_TELEPORT },
  resolvers.artifact(),
}

newEntity {
  base = 'TORIS_MEJISTOS_BASE',
  define_as = 'TORIS_MEJISTOS',
  name = 'TORIS_MEJISTOS',
  unique = 'TORIS_MEJISTOS',
  keep_base = 'TORIS_MEJISTOS_BASE',
  artifact_name = [['Toris Mejistos']],
  artifact_desc = 'A blue stone, with an incredible number of incredibly small runes of power on it.  It carries many secrets.',
  level = 50,
  rarity = 10,
  weight = 0.3,
  encumber = 0.3,
  cost = 60000,
  pval = 2,
  insta_art = true,
  special_gene = true,
  lite = 1,
  convey_flags = { SUST_INT=true, SUST_WIS=true, REGENERATE=true, SLOW_DIGEST=true, HOLD_LIFE=true, WATER_BREATH=true },
  stat_flags = { INT=true, WIS=true },
  pval_flags = { mana_mult=true, adj_luck=true },
  flags = { HIDE_TYPE=true, AUTO_CURSE=true, HEAVY_CURSE=true, SPELL_CONTAIN=true, WIELD_CAST=true },
  esp_flags = { GOOD=true, EVIL=true },
  worn_talents = { ActorTalents.T_OBJ_RESTORE_LIFE },
  resolvers.artifact(),
}

newEntity {
  base = 'DURIN_BASE',
  define_as = 'RING_OF_DURIN',
  name = 'RING_OF_DURIN',
  unique = 'RING_OF_DURIN',
  keep_base = 'DURIN_BASE',
  artifact_name = 'of Durin',
  artifact_desc = 'The greatest of the Seven Rings of the Dwarf-lords, and the last to be lost.  Alone among the Seven, it was not taken by Sauron when he made war on the Elves, but was given as a gift from Celebrimbor to King Durin III of Moria in token of friendship:  nevertheless, Sauron in disguise had a hand in its making, and so it is cursed, and draws evil towards it.',
  level = 70,
  rarity = 70,
  weight = 0.2,
  encumber = 0.2,
  cost = 65000,
  pval = 2,
  insta_art = true,
  special_gene = true,
  convey_resist_dam = { [DamageType.DARK]=true, [DamageType.CHAOS]=true, [DamageType.NETHER]=true, [DamageType.COLD]=true, [DamageType.ACID]=true },
  convey_flags = { SUST_CHA=true, SUST_CON=true, SUST_STR=true, AGGRAVATE=true, HOLD_LIFE=true, DRAIN_EXP=true },
  stat_flags = { CON=true, CHA=true, STR=true },
  flags = { HIDE_TYPE=true, HEAVY_CURSE=true, CURSED=true },
  esp_flags = { EVIL=true },
  worn_talents = { ActorTalents.T_OBJ_MIDAS_TOUCH },
  resolvers.artifact(),
}

newEntity {
  base = 'ELESSAR_BASE',
  define_as = 'ELESSAR',
  name = 'ELESSAR',
  unique = 'ELESSAR',
  keep_base = 'ELESSAR_BASE',
  artifact_name = [['Elessar']],
  artifact_desc = [[This green gem glows with inner light.  Aragorn son of Arathorn wore it at the Battle of the Pelennor Fields, and he was himself given the name of 'Elessar' by the people of Gondor because of this.]],
  level = 60,
  rarity = 60,
  weight = 0.3,
  encumber = 0.3,
  cost = 40000,
  combat = { 0, 0 }, to_h = 7, to_d = 7,
  pval = 4,
  to_a = 10,
  insta_art = true,
  lite = 3,
  convey_resist_dam = { [DamageType.FEAR]=true, [DamageType.FIRE]=true, [DamageType.POISON]=true, [DamageType.DISENCHANT]=true },
  stat_flags = { STR=true, WIS=true, CHA=true },
  pval_flags = { speed=true },
  flags = { HIDE_TYPE=true, ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      who:heal(100, self)
      who:removeEffect(who.EFF_BLACK_BREATH)
      return { used=true }
    end,
    power = 200,
    name = 'heal 100hp and cure Black Breath',
  },
  cant_use_if = { not_wielded=true },
  max_power = 200,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'EVENSTAR_BASE',
  define_as = 'EVENSTAR',
  name = 'EVENSTAR',
  unique = 'EVENSTAR',
  keep_base = 'EVENSTAR_BASE',
  artifact_name = [['Evenstar']],
  artifact_desc = 'A pure white jewel, the last gift of Queen Arwen Undomiel to Frodo Baggins, intended to be worn around his neck on the chain that had once borne the One Ring.',
  level = 50,
  rarity = 50,
  weight = 0.3,
  encumber = 0.3,
  cost = 35000,
  pval = 3,
  insta_art = true,
  lite = 1,
  convey_resist_dam = { [DamageType.DARK]=true, [DamageType.COLD]=true, [DamageType.NETHER]=true },
  convey_flags = { HOLD_LIFE=true, SUST_CON=true, SUST_WIS=true, SUST_INT=true, REGENERATE=true },
  stat_flags = { CON=true },
  flags = { ACTIVATE=true },
  resolvers.artifact(),
  -- BEGIN VERBATIM
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows a deep green...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      local Stats = require 'mod.class.interface.ActorStats'
      for _, s in ipairs(Stats.stats) do who:restoreStat(s) end
      if who.restoreExp then who:restoreExp() end
      return { used=true }
    end,
    power = 750,
    name = 'restore stats and experience',
  },
  cant_use_if = { not_wielded=true },
  max_power = 750,
  power_regen = 1,
  -- END VERBATIM
}

newEntity {
  base = 'MINAS_ITHIL_BASE',
  define_as = 'OF_MINAS_ITHIL',
  name = 'OF_MINAS_ITHIL',
  unique = 'OF_MINAS_ITHIL',
  keep_base = 'MINAS_ITHIL_BASE',
  artifact_name = 'of Minas Ithil',
  artifact_desc = 'A shining white ball of unbreakable crystal, the ancient Palantíri were used by kings of Númenor and later by the Exiles for rapid communication between distant lands.  This Palantír, however, was taken by Sauron long ago, and mastered to his evil uses, to the destruction of all others who would gaze into it.',
  level = 75,
  rarity = 60,
  weight = 20,
  encumber = 20,
  cost = 0,
  combat = { 10, 10 },
  pval = -3,
  to_a = -30,
  lite = 4,
  convey_resist_dam = { [DamageType.BLIND]=true },
  convey_flags = { DRAIN_EXP=true, SEE_INVIS=true },
  stat_flags = { CON=true, INT=true, WIS=true },
  pval_flags = { hp_mult=true },
  flags = { CURSED=true, HEAVY_CURSE=true, TY_CURSE=true, ACTIVATE=true },
  esp_flags = { ALL=true },
  use_power = {
    use = function(self, who, inven, floor, item)
      game.logPlayer(who, 'Your %s glows a deep green...', self:getName{no_count=true, no_mods=true, no_pval=true, no_inscr=true})
      spell.detect_traps(25, who)
      spell.detect_doors_stairs(25, who)
      return { used=true }
    end,
    power = { 100, 100 },
    name = 'sense traps, doors and stairs in a radius of 25',
  },
  cant_use_if = { not_wielded=true },
  power = 0,
  power_regen = -1,
  resolvers.artifact(),
}

newEntity {
  base = 'SILVER_BOLT',
  define_as = 'BALEFIRE',
  name = 'BALEFIRE',
  unique = 'BALEFIRE',
  keep_base = 'SILVER_BOLT',
  artifact_name = [['Balefire']],
  artifact_desc = 'This silver-tipped bolt, ablaze with undying celestial fire, is especially potent against undead and creatures of the netherworld; it even points the way to places where such enemies lurk.',
  level = 55,
  rarity = 30,
  weight = 0.2,
  encumber = 0.2,
  cost = 50000,
  combat = { 6, 5 }, to_h = 20, to_d = 15,
  pval = 0,
  lite = 1,
  brand_dam = { [DamageType.FIRE]=true },
  slay_flags = { X_DEMON=true, X_UNDEAD=true },
  esp_flags = { DEMON=true, UNDEAD=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SILVER_BOLT',
  define_as = 'STONE_BITER',
  name = 'STONE_BITER',
  unique = 'STONE_BITER',
  keep_base = 'SILVER_BOLT',
  artifact_name = [['Stone-biter']],
  artifact_desc = 'Wherever it strikes, this silver-tipped bolt eats through rock and metal as easily as through flesh.  The dwarf-smith who crafted Stone-biter also inscribed the shaft with powerful doom-spells against the orcs and trolls who had destroyed his ancestral home.',
  level = 55,
  rarity = 30,
  weight = 0.2,
  encumber = 0.2,
  cost = 50000,
  combat = { 6, 5 }, to_h = 20, to_d = 15,
  pval = 3,
  brand_dam = { [DamageType.ACID]=true },
  slay_flags = { ORC=true, TROLL=true },
  pval_flags = { infravision=true, skill_searching=true, skill_perception=true, adj_digging=true, adj_luck=true },
  esp_flags = { ORC=true, TROLL=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SEEKER_BOLT',
  define_as = 'HEART_S_BLOOD',
  name = 'HEART_S_BLOOD',
  unique = 'HEART_S_BLOOD',
  keep_base = 'SEEKER_BOLT',
  artifact_name = [['Heart's Blood']],
  artifact_desc = [[The barbed head of this bolt glows deep red with terrible runes of destruction; legend has it that Heart's Blood cannot hit its mark without causing a mortal wound.]],
  level = 85,
  rarity = 40,
  weight = 0.3,
  encumber = 0.3,
  cost = 35000,
  combat = { 8, 5 }, to_h = 15, to_d = 20,
  pval = 5,
  pval_flags = { extra_crit=true },
  flags = { VORPAL=true, WOUNDING=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SEEKER_BOLT',
  define_as = 'SCALE_PIERCER',
  name = 'SCALE_PIERCER',
  unique = 'SCALE_PIERCER',
  keep_base = 'SEEKER_BOLT',
  artifact_name = [['Scale-piercer']],
  artifact_desc = [[This bolt, crafted from the bones of a Great Wyrm, is less famous and less powerful than Bard's black arrow.  Nonetheless it enables the owner to find dragons unerringly, face them bravely, and kill them swiftly.]],
  level = 85,
  rarity = 40,
  weight = 0.3,
  encumber = 0.3,
  cost = 35000,
  combat = { 8, 5 }, to_h = 15, to_d = 20,
  pval = 0,
  convey_resist_dam = { [DamageType.FEAR]=true },
  slay_flags = { X_DRAGON=true },
  esp_flags = { DRAGON=true },
  resolvers.artifact(),
}

newEntity {
  base = 'MAGE_STAFF',
  define_as = 'OF_FOROCHEL',
  name = 'OF_FOROCHEL',
  unique = 'OF_FOROCHEL',
  keep_base = 'MAGE_STAFF',
  artifact_name = 'of Forochel',
  artifact_desc = 'A shaft of pure, invincible crystal cut from the heart of one of the great glaciers ringing the Ice-Bay of Forochel. While you hold it, your mind feels as clear as the winter sky.',
  level = 65,
  rarity = 70,
  weight = 6,
  encumber = 6,
  cost = 60000,
  combat = { 3, 4 }, to_h = -12, to_d = -8,
  pval = 3,
  special_gene = true,
  convey_resist_dam = { [DamageType.BLIND]=true },
  convey_vuln_dam = { [DamageType.FIRE]=true },
  convey_immune_dam = { [DamageType.COLD]=true },
  convey_flags = { SEE_INVIS=true, SUST_INT=true, SUST_WIS=true },
  stat_flags = { INT=true, WIS=true },
  pval_flags = { mana_mult=true, spellpower=true, infravision=true },
  flags = { WIELD_CAST=true, COULD2H=true },
  obvious_flags = { flags = { COULD2H=true } },
  resolvers.artifact(),
}

newEntity {
  base = 'ELVEN_CLOAK',
  define_as = 'OF_MELLYRN',
  name = 'OF_MELLYRN',
  unique = 'OF_MELLYRN',
  keep_base = 'ELVEN_CLOAK',
  artifact_name = 'of Mellyrn',
  artifact_desc = 'Bearing the same lyrical name as the great trees of Lothlórien and containing in its close-woven folds the speed and skill of the Galadrim, this grey cloak is ideal for those who travel in forests.',
  level = 40,
  rarity = 40,
  weight = 0.5,
  encumber = 0.5,
  cost = 65000,
  pval = 4,
  armor = 4,
  to_a = 20,
  special_gene = true,
  convey_resist_dam = { [DamageType.LITE]=true, [DamageType.DARK]=true },
  convey_flags = { SUST_DEX=true },
  stat_flags = { DEX=true },
  pval_flags = { invisibility=true, speed=true, skill_stealth=true, adj_luck=true },
  flags = { HIDE_TYPE=true },
  resolvers.artifact(),
}

newEntity {
  base = 'BLUESTEEL_BLADE',
  define_as = 'OF_EPHEL_DUATH',
  name = 'OF_EPHEL_DUATH',
  unique = 'OF_EPHEL_DUATH',
  keep_base = 'BLUESTEEL_BLADE',
  artifact_name = 'of Ephel Dúath',
  artifact_desc = 'This filthy orc-blade is famed for vile deeds of torture and blood, and its wielder will never cease to fear treachery.',
  level = 60,
  rarity = 60,
  weight = 5,
  encumber = 5,
  cost = 30000,
  combat = { 2, 6 }, to_h = -20, to_d = -18,
  pval = -3,
  special_gene = true,
  brand_dam = { [DamageType.POISON]=true },
  convey_flags = { AGGRAVATE=true },
  stat_flags = { STR=true, WIS=true, CHA=true },
  pval_flags = { invisibility=true },
  flags = { VAMPIRIC=true, VORPAL=true, CURSED=true, HEAVY_CURSE=true, SHOW_MODS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SLAUGHTER_AXE',
  define_as = 'GARACHOTH',
  name = 'GARACHOTH',
  unique = 'GARACHOTH',
  keep_base = 'SLAUGHTER_AXE',
  artifact_name = [['Garachoth']],
  artifact_desc = 'A ghastly axe with the soul of a demon lord trapped inside, this horrifying creation reverberates with the screams of the damned.  As you gaze into its glassy, translucent blade, it seems that endless sulphrous wastelands stretch away from you into the distance, obscured by sheets of fire.',
  level = 70,
  rarity = 300,
  weight = 40,
  encumber = 40,
  cost = 91000,
  combat = { 7, 5 }, to_h = 18, to_d = 18,
  pval = 2,
  to_a = -20,
  special_gene = true,
  convey_resist_dam = { [DamageType.FEAR]=true, [DamageType.FIRE]=true, [DamageType.CHAOS]=true, [DamageType.NETHER]=true },
  brand_dam = { [DamageType.FIRE]=true },
  slay_flags = { X_DEMON=true, ANIMAL=true },
  convey_flags = { BLACK_BREATH=true },
  stat_flags = { STR=true, CON=true },
  pval_flags = { speed=true },
  flags = { LEVELS=true, VORPAL=true, HIDE_TYPE=true, SHOW_MODS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'SET_OF_CESTI',
  define_as = 'SKYCLEAVER',
  name = 'SKYCLEAVER',
  unique = 'SKYCLEAVER',
  keep_base = 'SET_OF_CESTI',
  artifact_name = [['Skycleaver']],
  artifact_desc = 'The handgear of a legendary dragonslaying hero.  The wearer of these wyrmskin gauntlets will be versed in all aerial ways, and will fear no dragon that walks or flies.',
  level = 40,
  rarity = 45,
  weight = 4,
  encumber = 4,
  cost = 100000,
  to_h = 16, to_d = 7,
  pval = 1,
  armor = 5,
  to_a = 16,
  special_gene = true,
  convey_resist_dam = { [DamageType.ACID]=true, [DamageType.ELEC]=true, [DamageType.FIRE]=true, [DamageType.COLD]=true, [DamageType.POISON]=true },
  convey_flags = { FLY=true },
  stat_flags = { STR=true, CON=true, DEX=true, CHA=true },
  pval_flags = { adj_luck=true },
  flags = { HIDE_TYPE=true, SHOW_MODS=true },
  resolvers.artifact(),
}

newEntity {
  base = 'PAIR_OF_METAL_SHOD_BOOTS',
  define_as = 'OF_THE_MACHINE',
  name = 'OF_THE_MACHINE',
  unique = 'OF_THE_MACHINE',
  keep_base = 'PAIR_OF_METAL_SHOD_BOOTS',
  artifact_name = 'of the Machine',
  artifact_desc = 'A massive pair of adamantine boots studded with gold, the final and greatest product of the petty-dwarven magical forge.  Despite the great powers they contain, they are heavy and awkward enough to make quite a racket whenever you move.',
  level = 30,
  rarity = 100,
  weight = 17,
  encumber = 17,
  cost = 19000,
  pval = 3,
  armor = 6,
  to_a = 24,
  special_gene = true,
  convey_resist_dam = { [DamageType.CHAOS]=true, [DamageType.SHARDS]=true, [DamageType.CONFUSION]=true },
  convey_flags = { AGGRAVATE=true },
  stat_flags = { INT=true },
  pval_flags = { speed=true, adj_digging=true },
  flags = { HIDE_TYPE=true },
  esp_flags = { NONLIVING=true },
  resolvers.artifact(),
}
